package com.mortals.xhx.module.alarm.model;

import java.util.List;
import com.mortals.xhx.module.alarm.model.AlarmSmsInfoEntity;
/**
* 短信告警信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class AlarmSmsInfoQuery extends AlarmSmsInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> titleList;

    /** 任务说明排除列表 */
    private List <String> titleNotList;
    /** 信息 */
    private List<String> msgList;

    /** 信息排除列表 */
    private List <String> msgNotList;
    /** 信息类型 (通知,营销) */
    private List<String> msgTypeList;

    /** 信息类型 (通知,营销)排除列表 */
    private List <String> msgTypeNotList;
    /** 短信附带连接 */
    private List<String> msgUrlList;

    /** 短信附带连接排除列表 */
    private List <String> msgUrlNotList;
    /** 手机号 */
    private List<String> phoneList;

    /** 手机号排除列表 */
    private List <String> phoneNotList;
    /** 开始 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理) */
    private Integer statusStart;

    /** 结束 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理) */
    private Integer statusEnd;

    /** 增加 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理) */
    private Integer statusIncrement;

    /** 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)列表 */
    private List <Integer> statusList;

    /** 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)排除列表 */
    private List <Integer> statusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AlarmSmsInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AlarmSmsInfoQuery> andConditionList;

    public AlarmSmsInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 任务说明
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 任务说明
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 任务说明
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 信息
    * @return msgList
    */
    public List<String> getMsgList(){
        return this.msgList;
    }

    /**
    * 设置 信息
    * @param msgList
    */
    public void setMsgList(List<String> msgList){
        this.msgList = msgList;
    }

    /**
    * 获取 信息
    * @return msgNotList
    */
    public List<String> getMsgNotList(){
        return this.msgNotList;
    }

    /**
    * 设置 信息
    * @param msgNotList
    */
    public void setMsgNotList(List<String> msgNotList){
        this.msgNotList = msgNotList;
    }

    /**
    * 获取 信息类型 (通知,营销)
    * @return msgTypeList
    */
    public List<String> getMsgTypeList(){
        return this.msgTypeList;
    }

    /**
    * 设置 信息类型 (通知,营销)
    * @param msgTypeList
    */
    public void setMsgTypeList(List<String> msgTypeList){
        this.msgTypeList = msgTypeList;
    }

    /**
    * 获取 信息类型 (通知,营销)
    * @return msgTypeNotList
    */
    public List<String> getMsgTypeNotList(){
        return this.msgTypeNotList;
    }

    /**
    * 设置 信息类型 (通知,营销)
    * @param msgTypeNotList
    */
    public void setMsgTypeNotList(List<String> msgTypeNotList){
        this.msgTypeNotList = msgTypeNotList;
    }

    /**
    * 获取 短信附带连接
    * @return msgUrlList
    */
    public List<String> getMsgUrlList(){
        return this.msgUrlList;
    }

    /**
    * 设置 短信附带连接
    * @param msgUrlList
    */
    public void setMsgUrlList(List<String> msgUrlList){
        this.msgUrlList = msgUrlList;
    }

    /**
    * 获取 短信附带连接
    * @return msgUrlNotList
    */
    public List<String> getMsgUrlNotList(){
        return this.msgUrlNotList;
    }

    /**
    * 设置 短信附带连接
    * @param msgUrlNotList
    */
    public void setMsgUrlNotList(List<String> msgUrlNotList){
        this.msgUrlNotList = msgUrlNotList;
    }

    /**
    * 获取 手机号
    * @return phoneList
    */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 手机号
    * @param phoneList
    */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
    * 获取 手机号
    * @return phoneNotList
    */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
    * 设置 手机号
    * @param phoneNotList
    */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
    * 获取 开始 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AlarmSmsInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AlarmSmsInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AlarmSmsInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AlarmSmsInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AlarmSmsInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AlarmSmsInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param title
    */
    public AlarmSmsInfoQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 任务说明
    * @param titleList
    */
    public AlarmSmsInfoQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 信息
    * @param msg
    */
    public AlarmSmsInfoQuery msg(String msg){
        setMsg(msg);
		return this;
    }

    /**
    * 设置 信息
    * @param msgList
    */
    public AlarmSmsInfoQuery msgList(List<String> msgList){
        this.msgList = msgList;
		return this;
    }


	/**
    * 设置 信息类型 (通知,营销)
    * @param msgType
    */
    public AlarmSmsInfoQuery msgType(String msgType){
        setMsgType(msgType);
		return this;
    }

    /**
    * 设置 信息类型 (通知,营销)
    * @param msgTypeList
    */
    public AlarmSmsInfoQuery msgTypeList(List<String> msgTypeList){
        this.msgTypeList = msgTypeList;
		return this;
    }


	/**
    * 设置 短信附带连接
    * @param msgUrl
    */
    public AlarmSmsInfoQuery msgUrl(String msgUrl){
        setMsgUrl(msgUrl);
		return this;
    }

    /**
    * 设置 短信附带连接
    * @param msgUrlList
    */
    public AlarmSmsInfoQuery msgUrlList(List<String> msgUrlList){
        this.msgUrlList = msgUrlList;
		return this;
    }


	/**
    * 设置 手机号
    * @param phone
    */
    public AlarmSmsInfoQuery phone(String phone){
        setPhone(phone);
		return this;
    }

    /**
    * 设置 手机号
    * @param phoneList
    */
    public AlarmSmsInfoQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
		return this;
    }

    /**
    * 设置  状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param status
    */
    public AlarmSmsInfoQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusStart
    */
    public AlarmSmsInfoQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusEnd
    */
    public AlarmSmsInfoQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusIncrement
    */
    public AlarmSmsInfoQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    * @param statusList
    */
    public AlarmSmsInfoQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
        * @param statusNotList
        */
        public AlarmSmsInfoQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AlarmSmsInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AlarmSmsInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AlarmSmsInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AlarmSmsInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AlarmSmsInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AlarmSmsInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public AlarmSmsInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public AlarmSmsInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public AlarmSmsInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public AlarmSmsInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public AlarmSmsInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public AlarmSmsInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public AlarmSmsInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public AlarmSmsInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AlarmSmsInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AlarmSmsInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AlarmSmsInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AlarmSmsInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}