package com.mortals.xhx.module.data.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.data.model.vo.DataSourcesTypeInfoVo;
import lombok.Data;
/**
* 数据源类型实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class DataSourcesTypeInfoEntity extends DataSourcesTypeInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String sourcesType;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DataSourcesTypeInfoEntity) {
            DataSourcesTypeInfoEntity tmp = (DataSourcesTypeInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.sourcesType = "";
            this.createUserName = "";
    }
}