package com.mortals.xhx.module.every.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.every.model.vo.EveryDayNoticeVo;
import lombok.Data;
/**
* 系统通知信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class EveryDayNoticeEntity extends EveryDayNoticeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 通知消息
    */
    private String msg;
    /**
    * 展示类型 (1.弹框,2.文字)
    */
    private Integer showType;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof EveryDayNoticeEntity) {
            EveryDayNoticeEntity tmp = (EveryDayNoticeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.msg = "";
            this.showType = 2;
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}