package com.mortals.xhx.module.every.model;

import java.util.List;
import com.mortals.xhx.module.every.model.EveryDayNoticeEntity;
/**
* 系统通知信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class EveryDayNoticeQuery extends EveryDayNoticeEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 通知消息 */
    private List<String> msgList;

    /** 通知消息排除列表 */
    private List <String> msgNotList;
    /** 开始 展示类型 (1.弹框,2.文字) */
    private Integer showTypeStart;

    /** 结束 展示类型 (1.弹框,2.文字) */
    private Integer showTypeEnd;

    /** 增加 展示类型 (1.弹框,2.文字) */
    private Integer showTypeIncrement;

    /** 展示类型 (1.弹框,2.文字)列表 */
    private List <Integer> showTypeList;

    /** 展示类型 (1.弹框,2.文字)排除列表 */
    private List <Integer> showTypeNotList;

    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<EveryDayNoticeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<EveryDayNoticeQuery> andConditionList;

    public EveryDayNoticeQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 通知消息
    * @return msgList
    */
    public List<String> getMsgList(){
        return this.msgList;
    }

    /**
    * 设置 通知消息
    * @param msgList
    */
    public void setMsgList(List<String> msgList){
        this.msgList = msgList;
    }

    /**
    * 获取 通知消息
    * @return msgNotList
    */
    public List<String> getMsgNotList(){
        return this.msgNotList;
    }

    /**
    * 设置 通知消息
    * @param msgNotList
    */
    public void setMsgNotList(List<String> msgNotList){
        this.msgNotList = msgNotList;
    }

    /**
    * 获取 开始 展示类型 (1.弹框,2.文字)
    * @return showTypeStart
    */
    public Integer getShowTypeStart(){
        return this.showTypeStart;
    }

    /**
    * 设置 开始 展示类型 (1.弹框,2.文字)
    * @param showTypeStart
    */
    public void setShowTypeStart(Integer showTypeStart){
        this.showTypeStart = showTypeStart;
    }

    /**
    * 获取 结束 展示类型 (1.弹框,2.文字)
    * @return $showTypeEnd
    */
    public Integer getShowTypeEnd(){
        return this.showTypeEnd;
    }

    /**
    * 设置 结束 展示类型 (1.弹框,2.文字)
    * @param showTypeEnd
    */
    public void setShowTypeEnd(Integer showTypeEnd){
        this.showTypeEnd = showTypeEnd;
    }

    /**
    * 获取 增加 展示类型 (1.弹框,2.文字)
    * @return showTypeIncrement
    */
    public Integer getShowTypeIncrement(){
        return this.showTypeIncrement;
    }

    /**
    * 设置 增加 展示类型 (1.弹框,2.文字)
    * @param showTypeIncrement
    */
    public void setShowTypeIncrement(Integer showTypeIncrement){
        this.showTypeIncrement = showTypeIncrement;
    }

    /**
    * 获取 展示类型 (1.弹框,2.文字)
    * @return showTypeList
    */
    public List<Integer> getShowTypeList(){
        return this.showTypeList;
    }

    /**
    * 设置 展示类型 (1.弹框,2.文字)
    * @param showTypeList
    */
    public void setShowTypeList(List<Integer> showTypeList){
        this.showTypeList = showTypeList;
    }

    /**
    * 获取 展示类型 (1.弹框,2.文字)
    * @return showTypeNotList
    */
    public List<Integer> getShowTypeNotList(){
        return this.showTypeNotList;
    }

    /**
    * 设置 展示类型 (1.弹框,2.文字)
    * @param showTypeNotList
    */
    public void setShowTypeNotList(List<Integer> showTypeNotList){
        this.showTypeNotList = showTypeNotList;
    }


    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public EveryDayNoticeQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public EveryDayNoticeQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public EveryDayNoticeQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public EveryDayNoticeQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public EveryDayNoticeQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public EveryDayNoticeQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 通知消息
    * @param msg
    */
    public EveryDayNoticeQuery msg(String msg){
        setMsg(msg);
		return this;
    }

    /**
    * 设置 通知消息
    * @param msgList
    */
    public EveryDayNoticeQuery msgList(List<String> msgList){
        this.msgList = msgList;
		return this;
    }

    /**
    * 设置  展示类型 (1.弹框,2.文字)
    * @param showType
    */
    public EveryDayNoticeQuery showType(Integer showType){
	    setShowType(showType);
		return this;
    }
	
	 /**
    * 设置 开始 展示类型 (1.弹框,2.文字)
    * @param showTypeStart
    */
    public EveryDayNoticeQuery showTypeStart(Integer showTypeStart){
		this.showTypeStart = showTypeStart;
		return this;
    }

    /**
    * 设置 结束 展示类型 (1.弹框,2.文字)
    * @param showTypeEnd
    */
    public EveryDayNoticeQuery showTypeEnd(Integer showTypeEnd){
		this.showTypeEnd = showTypeEnd;
		return this;
    }

    /**
    * 设置 增加 展示类型 (1.弹框,2.文字)
    * @param showTypeIncrement
    */
    public EveryDayNoticeQuery showTypeIncrement(Integer showTypeIncrement){
		this.showTypeIncrement = showTypeIncrement;
		return this;
    }

    /**
    * 设置 展示类型 (1.弹框,2.文字)
    * @param showTypeList
    */
    public EveryDayNoticeQuery showTypeList(List<Integer> showTypeList){
        this.showTypeList = showTypeList;
		return this;
        }

        /**
        * 设置 展示类型 (1.弹框,2.文字)
        * @param showTypeNotList
        */
        public EveryDayNoticeQuery showTypeNotList(List<Integer> showTypeNotList){
        this.showTypeNotList = showTypeNotList;
        return this;
        }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public EveryDayNoticeQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public EveryDayNoticeQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public EveryDayNoticeQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public EveryDayNoticeQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public EveryDayNoticeQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public EveryDayNoticeQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public EveryDayNoticeQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public EveryDayNoticeQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public EveryDayNoticeQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public EveryDayNoticeQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public EveryDayNoticeQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public EveryDayNoticeQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public EveryDayNoticeQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public EveryDayNoticeQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public EveryDayNoticeQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public EveryDayNoticeQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public EveryDayNoticeQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public EveryDayNoticeQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public EveryDayNoticeQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public EveryDayNoticeQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public EveryDayNoticeQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public EveryDayNoticeQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<EveryDayNoticeQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<EveryDayNoticeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<EveryDayNoticeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<EveryDayNoticeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}