package com.mortals.xhx.module.function.model;

import java.util.List;
import com.mortals.xhx.module.function.model.FunctionInfoEntity;
/**
* 函数信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class FunctionInfoQuery extends FunctionInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 函数说明 */
    private List<String> functionContextList;

    /** 函数说明排除列表 */
    private List <String> functionContextNotList;
    /** 函数名 */
    private List<String> functionNameList;

    /** 函数名排除列表 */
    private List <String> functionNameNotList;
    /** 函数全类名 */
    private List<String> functionClassList;

    /** 函数全类名排除列表 */
    private List <String> functionClassNotList;
    /** 函数加载路径 */
    private List<String> functionLoadPathList;

    /** 函数加载路径排除列表 */
    private List <String> functionLoadPathNotList;
    /** 作用域,(global.全局,local.局部) */
    private List<String> functionScopeList;

    /** 作用域,(global.全局,local.局部)排除列表 */
    private List <String> functionScopeNotList;
    /** 函数参数 */
    private List<String> paramJsonList;

    /** 函数参数排除列表 */
    private List <String> paramJsonNotList;
    /** 函数逻辑 */
    private List<String> functionScriptList;

    /** 函数逻辑排除列表 */
    private List <String> functionScriptNotList;
    /** 函数返回类型,(int,long,string,array,map,object) */
    private List<String> returnTypeList;

    /** 函数返回类型,(int,long,string,array,map,object)排除列表 */
    private List <String> returnTypeNotList;
    /** 状态 (offline.下线,online.上线) */
    private List<String> statusList;

    /** 状态 (offline.下线,online.上线)排除列表 */
    private List <String> statusNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FunctionInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FunctionInfoQuery> andConditionList;

    public FunctionInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 函数说明
    * @return functionContextList
    */
    public List<String> getFunctionContextList(){
        return this.functionContextList;
    }

    /**
    * 设置 函数说明
    * @param functionContextList
    */
    public void setFunctionContextList(List<String> functionContextList){
        this.functionContextList = functionContextList;
    }

    /**
    * 获取 函数说明
    * @return functionContextNotList
    */
    public List<String> getFunctionContextNotList(){
        return this.functionContextNotList;
    }

    /**
    * 设置 函数说明
    * @param functionContextNotList
    */
    public void setFunctionContextNotList(List<String> functionContextNotList){
        this.functionContextNotList = functionContextNotList;
    }

    /**
    * 获取 函数名
    * @return functionNameList
    */
    public List<String> getFunctionNameList(){
        return this.functionNameList;
    }

    /**
    * 设置 函数名
    * @param functionNameList
    */
    public void setFunctionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
    }

    /**
    * 获取 函数名
    * @return functionNameNotList
    */
    public List<String> getFunctionNameNotList(){
        return this.functionNameNotList;
    }

    /**
    * 设置 函数名
    * @param functionNameNotList
    */
    public void setFunctionNameNotList(List<String> functionNameNotList){
        this.functionNameNotList = functionNameNotList;
    }

    /**
    * 获取 函数全类名
    * @return functionClassList
    */
    public List<String> getFunctionClassList(){
        return this.functionClassList;
    }

    /**
    * 设置 函数全类名
    * @param functionClassList
    */
    public void setFunctionClassList(List<String> functionClassList){
        this.functionClassList = functionClassList;
    }

    /**
    * 获取 函数全类名
    * @return functionClassNotList
    */
    public List<String> getFunctionClassNotList(){
        return this.functionClassNotList;
    }

    /**
    * 设置 函数全类名
    * @param functionClassNotList
    */
    public void setFunctionClassNotList(List<String> functionClassNotList){
        this.functionClassNotList = functionClassNotList;
    }

    /**
    * 获取 函数加载路径
    * @return functionLoadPathList
    */
    public List<String> getFunctionLoadPathList(){
        return this.functionLoadPathList;
    }

    /**
    * 设置 函数加载路径
    * @param functionLoadPathList
    */
    public void setFunctionLoadPathList(List<String> functionLoadPathList){
        this.functionLoadPathList = functionLoadPathList;
    }

    /**
    * 获取 函数加载路径
    * @return functionLoadPathNotList
    */
    public List<String> getFunctionLoadPathNotList(){
        return this.functionLoadPathNotList;
    }

    /**
    * 设置 函数加载路径
    * @param functionLoadPathNotList
    */
    public void setFunctionLoadPathNotList(List<String> functionLoadPathNotList){
        this.functionLoadPathNotList = functionLoadPathNotList;
    }

    /**
    * 获取 作用域,(global.全局,local.局部)
    * @return functionScopeList
    */
    public List<String> getFunctionScopeList(){
        return this.functionScopeList;
    }

    /**
    * 设置 作用域,(global.全局,local.局部)
    * @param functionScopeList
    */
    public void setFunctionScopeList(List<String> functionScopeList){
        this.functionScopeList = functionScopeList;
    }

    /**
    * 获取 作用域,(global.全局,local.局部)
    * @return functionScopeNotList
    */
    public List<String> getFunctionScopeNotList(){
        return this.functionScopeNotList;
    }

    /**
    * 设置 作用域,(global.全局,local.局部)
    * @param functionScopeNotList
    */
    public void setFunctionScopeNotList(List<String> functionScopeNotList){
        this.functionScopeNotList = functionScopeNotList;
    }

    /**
    * 获取 函数参数
    * @return paramJsonList
    */
    public List<String> getParamJsonList(){
        return this.paramJsonList;
    }

    /**
    * 设置 函数参数
    * @param paramJsonList
    */
    public void setParamJsonList(List<String> paramJsonList){
        this.paramJsonList = paramJsonList;
    }

    /**
    * 获取 函数参数
    * @return paramJsonNotList
    */
    public List<String> getParamJsonNotList(){
        return this.paramJsonNotList;
    }

    /**
    * 设置 函数参数
    * @param paramJsonNotList
    */
    public void setParamJsonNotList(List<String> paramJsonNotList){
        this.paramJsonNotList = paramJsonNotList;
    }

    /**
    * 获取 函数逻辑
    * @return functionScriptList
    */
    public List<String> getFunctionScriptList(){
        return this.functionScriptList;
    }

    /**
    * 设置 函数逻辑
    * @param functionScriptList
    */
    public void setFunctionScriptList(List<String> functionScriptList){
        this.functionScriptList = functionScriptList;
    }

    /**
    * 获取 函数逻辑
    * @return functionScriptNotList
    */
    public List<String> getFunctionScriptNotList(){
        return this.functionScriptNotList;
    }

    /**
    * 设置 函数逻辑
    * @param functionScriptNotList
    */
    public void setFunctionScriptNotList(List<String> functionScriptNotList){
        this.functionScriptNotList = functionScriptNotList;
    }

    /**
    * 获取 函数返回类型,(int,long,string,array,map,object)
    * @return returnTypeList
    */
    public List<String> getReturnTypeList(){
        return this.returnTypeList;
    }

    /**
    * 设置 函数返回类型,(int,long,string,array,map,object)
    * @param returnTypeList
    */
    public void setReturnTypeList(List<String> returnTypeList){
        this.returnTypeList = returnTypeList;
    }

    /**
    * 获取 函数返回类型,(int,long,string,array,map,object)
    * @return returnTypeNotList
    */
    public List<String> getReturnTypeNotList(){
        return this.returnTypeNotList;
    }

    /**
    * 设置 函数返回类型,(int,long,string,array,map,object)
    * @param returnTypeNotList
    */
    public void setReturnTypeNotList(List<String> returnTypeNotList){
        this.returnTypeNotList = returnTypeNotList;
    }

    /**
    * 获取 状态 (offline.下线,online.上线)
    * @return statusList
    */
    public List<String> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态 (offline.下线,online.上线)
    * @param statusList
    */
    public void setStatusList(List<String> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 状态 (offline.下线,online.上线)
    * @return statusNotList
    */
    public List<String> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 状态 (offline.下线,online.上线)
    * @param statusNotList
    */
    public void setStatusNotList(List<String> statusNotList){
        this.statusNotList = statusNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public FunctionInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public FunctionInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public FunctionInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public FunctionInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public FunctionInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public FunctionInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 函数说明
    * @param functionContext
    */
    public FunctionInfoQuery functionContext(String functionContext){
        setFunctionContext(functionContext);
		return this;
    }

    /**
    * 设置 函数说明
    * @param functionContextList
    */
    public FunctionInfoQuery functionContextList(List<String> functionContextList){
        this.functionContextList = functionContextList;
		return this;
    }


	/**
    * 设置 函数名
    * @param functionName
    */
    public FunctionInfoQuery functionName(String functionName){
        setFunctionName(functionName);
		return this;
    }

    /**
    * 设置 函数名
    * @param functionNameList
    */
    public FunctionInfoQuery functionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
		return this;
    }


	/**
    * 设置 函数全类名
    * @param functionClass
    */
    public FunctionInfoQuery functionClass(String functionClass){
        setFunctionClass(functionClass);
		return this;
    }

    /**
    * 设置 函数全类名
    * @param functionClassList
    */
    public FunctionInfoQuery functionClassList(List<String> functionClassList){
        this.functionClassList = functionClassList;
		return this;
    }


	/**
    * 设置 函数加载路径
    * @param functionLoadPath
    */
    public FunctionInfoQuery functionLoadPath(String functionLoadPath){
        setFunctionLoadPath(functionLoadPath);
		return this;
    }

    /**
    * 设置 函数加载路径
    * @param functionLoadPathList
    */
    public FunctionInfoQuery functionLoadPathList(List<String> functionLoadPathList){
        this.functionLoadPathList = functionLoadPathList;
		return this;
    }


	/**
    * 设置 作用域,(global.全局,local.局部)
    * @param functionScope
    */
    public FunctionInfoQuery functionScope(String functionScope){
        setFunctionScope(functionScope);
		return this;
    }

    /**
    * 设置 作用域,(global.全局,local.局部)
    * @param functionScopeList
    */
    public FunctionInfoQuery functionScopeList(List<String> functionScopeList){
        this.functionScopeList = functionScopeList;
		return this;
    }


	/**
    * 设置 函数参数
    * @param paramJson
    */
    public FunctionInfoQuery paramJson(String paramJson){
        setParamJson(paramJson);
		return this;
    }

    /**
    * 设置 函数参数
    * @param paramJsonList
    */
    public FunctionInfoQuery paramJsonList(List<String> paramJsonList){
        this.paramJsonList = paramJsonList;
		return this;
    }


	/**
    * 设置 函数逻辑
    * @param functionScript
    */
    public FunctionInfoQuery functionScript(String functionScript){
        setFunctionScript(functionScript);
		return this;
    }

    /**
    * 设置 函数逻辑
    * @param functionScriptList
    */
    public FunctionInfoQuery functionScriptList(List<String> functionScriptList){
        this.functionScriptList = functionScriptList;
		return this;
    }


	/**
    * 设置 函数返回类型,(int,long,string,array,map,object)
    * @param returnType
    */
    public FunctionInfoQuery returnType(String returnType){
        setReturnType(returnType);
		return this;
    }

    /**
    * 设置 函数返回类型,(int,long,string,array,map,object)
    * @param returnTypeList
    */
    public FunctionInfoQuery returnTypeList(List<String> returnTypeList){
        this.returnTypeList = returnTypeList;
		return this;
    }


	/**
    * 设置 状态 (offline.下线,online.上线)
    * @param status
    */
    public FunctionInfoQuery status(String status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 状态 (offline.下线,online.上线)
    * @param statusList
    */
    public FunctionInfoQuery statusList(List<String> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public FunctionInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public FunctionInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public FunctionInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public FunctionInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public FunctionInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public FunctionInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public FunctionInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public FunctionInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FunctionInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FunctionInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FunctionInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FunctionInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FunctionInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public FunctionInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public FunctionInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public FunctionInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public FunctionInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public FunctionInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public FunctionInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public FunctionInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public FunctionInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public FunctionInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FunctionInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FunctionInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FunctionInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FunctionInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}