package com.mortals.xhx.module.function.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.function.model.FunctionInfoEntity;
import com.mortals.xhx.module.function.service.FunctionInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 函数信息
*
* @author zxfei
* @date 2024-07-15
*/
@RestController
@RequestMapping("function/info")
public class FunctionInfoController extends BaseCRUDJsonBodyMappingController<FunctionInfoService,FunctionInfoEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FunctionInfoController(){
        super.setModuleDesc( "函数信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "functionScope", FunctionScopeEnum.getEnumMap());
                this.addDict(model, "returnType", ReturnTypeEnum.getEnumMap());
                this.addDict(model, "status", StatusEnum.getEnumMap());
                this.addDict(model, "deleted", DeletedEnum.getEnumMap());
        super.init(model, context);
    }


}