package com.mortals.xhx.module.issue.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.issue.model.vo.IssueDataInfoVo;
import lombok.Data;
/**
* 发布数据信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class IssueDataInfoEntity extends IssueDataInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String issueContext;
    /**
    * 
    */
    private String dataSourcesChooseInput;
    /**
    * 
    */
    private String dataSourceTypeInput;
    /**
    * 
    */
    private String dataSourcesTableNameInput;
    /**
    * 
    */
    private String dataSourcesFileNameInput;
    /**
    * 
    */
    private String dataSourcesFileColumns;
    /**
    * 
    */
    private String dataSourcesTableColumns;
    /**
    * 
    */
    private String columnDatas;
    /**
    * 
    */
    private String company;
    /**
    * 
    */
    private String section;
    /**
    * 
    */
    private String service;
    /**
    * 
    */
    private String updateContext;
    /**
    * 状态 (1.发布,2.未发布)
    */
    private Integer status;
    /**
    * 数据标签,多个逗号分割
    */
    private String labelParams;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof IssueDataInfoEntity) {
            IssueDataInfoEntity tmp = (IssueDataInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.issueContext = "";
            this.dataSourcesChooseInput = "";
            this.dataSourceTypeInput = "";
            this.dataSourcesTableNameInput = "";
            this.dataSourcesFileNameInput = "";
            this.dataSourcesFileColumns = "";
            this.dataSourcesTableColumns = "";
            this.columnDatas = "";
            this.company = "";
            this.section = "";
            this.service = "";
            this.updateContext = "";
            this.status = 2;
            this.labelParams = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}