package com.mortals.xhx.module.jar.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.jar.model.vo.JarFileInfoVo;
import lombok.Data;
/**
* jar文件上传信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class JarFileInfoEntity extends JarFileInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 文件名称
    */
    private String fileName;
    /**
    * 文件目录
    */
    private String path;
    /**
    * 任务id
    */
    private String jarEtlId;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer status;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof JarFileInfoEntity) {
            JarFileInfoEntity tmp = (JarFileInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.fileName = "";
            this.path = "";
            this.jarEtlId = "";
            this.status = 0;
            this.owner = "";
            this.createUserName = "";
    }
}