package com.mortals.xhx.module.jar.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.jar.model.vo.JarTaskInfoVo;
import lombok.Data;
/**
* jar任务信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class JarTaskInfoEntity extends JarTaskInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String etlContext;
    /**
    * 
    */
    private String files;
    /**
    * 
    */
    private String master;
    /**
    * 
    */
    private String deployMode;
    /**
    * 
    */
    private String cpu;
    /**
    * 
    */
    private String memory;
    /**
    * 
    */
    private String mainClass;
    /**
    * 
    */
    private String sparkSubmitParams;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof JarTaskInfoEntity) {
            JarTaskInfoEntity tmp = (JarTaskInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.etlContext = "";
            this.files = "";
            this.master = "";
            this.deployMode = "";
            this.cpu = "";
            this.memory = "";
            this.mainClass = "";
            this.sparkSubmitParams = "";
            this.owner = "";
            this.createUserName = "";
    }
}