package com.mortals.xhx.module.jar.model;

import java.util.List;
import com.mortals.xhx.module.jar.model.JarTaskInfoEntity;
/**
* jar任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class JarTaskInfoQuery extends JarTaskInfoEntity {
    /** 开始 序号，主键 */
    private Long idStart;

    /** 结束 序号，主键 */
    private Long idEnd;

    /** 增加 序号，主键 */
    private Long idIncrement;

    /** 序号，主键列表 */
    private List <Long> idList;

    /** 序号，主键排除列表 */
    private List <Long> idNotList;

    /**  */
    private List<String> etlContextList;

    /** 排除列表 */
    private List <String> etlContextNotList;
    /**  */
    private List<String> filesList;

    /** 排除列表 */
    private List <String> filesNotList;
    /**  */
    private List<String> masterList;

    /** 排除列表 */
    private List <String> masterNotList;
    /**  */
    private List<String> deployModeList;

    /** 排除列表 */
    private List <String> deployModeNotList;
    /**  */
    private List<String> cpuList;

    /** 排除列表 */
    private List <String> cpuNotList;
    /**  */
    private List<String> memoryList;

    /** 排除列表 */
    private List <String> memoryNotList;
    /**  */
    private List<String> mainClassList;

    /** 排除列表 */
    private List <String> mainClassNotList;
    /**  */
    private List<String> sparkSubmitParamsList;

    /** 排除列表 */
    private List <String> sparkSubmitParamsNotList;
    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<JarTaskInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<JarTaskInfoQuery> andConditionList;

    public JarTaskInfoQuery(){}

    /**
    * 获取 开始 序号，主键
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 
    * @return etlContextList
    */
    public List<String> getEtlContextList(){
        return this.etlContextList;
    }

    /**
    * 设置 
    * @param etlContextList
    */
    public void setEtlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
    }

    /**
    * 获取 
    * @return etlContextNotList
    */
    public List<String> getEtlContextNotList(){
        return this.etlContextNotList;
    }

    /**
    * 设置 
    * @param etlContextNotList
    */
    public void setEtlContextNotList(List<String> etlContextNotList){
        this.etlContextNotList = etlContextNotList;
    }

    /**
    * 获取 
    * @return filesList
    */
    public List<String> getFilesList(){
        return this.filesList;
    }

    /**
    * 设置 
    * @param filesList
    */
    public void setFilesList(List<String> filesList){
        this.filesList = filesList;
    }

    /**
    * 获取 
    * @return filesNotList
    */
    public List<String> getFilesNotList(){
        return this.filesNotList;
    }

    /**
    * 设置 
    * @param filesNotList
    */
    public void setFilesNotList(List<String> filesNotList){
        this.filesNotList = filesNotList;
    }

    /**
    * 获取 
    * @return masterList
    */
    public List<String> getMasterList(){
        return this.masterList;
    }

    /**
    * 设置 
    * @param masterList
    */
    public void setMasterList(List<String> masterList){
        this.masterList = masterList;
    }

    /**
    * 获取 
    * @return masterNotList
    */
    public List<String> getMasterNotList(){
        return this.masterNotList;
    }

    /**
    * 设置 
    * @param masterNotList
    */
    public void setMasterNotList(List<String> masterNotList){
        this.masterNotList = masterNotList;
    }

    /**
    * 获取 
    * @return deployModeList
    */
    public List<String> getDeployModeList(){
        return this.deployModeList;
    }

    /**
    * 设置 
    * @param deployModeList
    */
    public void setDeployModeList(List<String> deployModeList){
        this.deployModeList = deployModeList;
    }

    /**
    * 获取 
    * @return deployModeNotList
    */
    public List<String> getDeployModeNotList(){
        return this.deployModeNotList;
    }

    /**
    * 设置 
    * @param deployModeNotList
    */
    public void setDeployModeNotList(List<String> deployModeNotList){
        this.deployModeNotList = deployModeNotList;
    }

    /**
    * 获取 
    * @return cpuList
    */
    public List<String> getCpuList(){
        return this.cpuList;
    }

    /**
    * 设置 
    * @param cpuList
    */
    public void setCpuList(List<String> cpuList){
        this.cpuList = cpuList;
    }

    /**
    * 获取 
    * @return cpuNotList
    */
    public List<String> getCpuNotList(){
        return this.cpuNotList;
    }

    /**
    * 设置 
    * @param cpuNotList
    */
    public void setCpuNotList(List<String> cpuNotList){
        this.cpuNotList = cpuNotList;
    }

    /**
    * 获取 
    * @return memoryList
    */
    public List<String> getMemoryList(){
        return this.memoryList;
    }

    /**
    * 设置 
    * @param memoryList
    */
    public void setMemoryList(List<String> memoryList){
        this.memoryList = memoryList;
    }

    /**
    * 获取 
    * @return memoryNotList
    */
    public List<String> getMemoryNotList(){
        return this.memoryNotList;
    }

    /**
    * 设置 
    * @param memoryNotList
    */
    public void setMemoryNotList(List<String> memoryNotList){
        this.memoryNotList = memoryNotList;
    }

    /**
    * 获取 
    * @return mainClassList
    */
    public List<String> getMainClassList(){
        return this.mainClassList;
    }

    /**
    * 设置 
    * @param mainClassList
    */
    public void setMainClassList(List<String> mainClassList){
        this.mainClassList = mainClassList;
    }

    /**
    * 获取 
    * @return mainClassNotList
    */
    public List<String> getMainClassNotList(){
        return this.mainClassNotList;
    }

    /**
    * 设置 
    * @param mainClassNotList
    */
    public void setMainClassNotList(List<String> mainClassNotList){
        this.mainClassNotList = mainClassNotList;
    }

    /**
    * 获取 
    * @return sparkSubmitParamsList
    */
    public List<String> getSparkSubmitParamsList(){
        return this.sparkSubmitParamsList;
    }

    /**
    * 设置 
    * @param sparkSubmitParamsList
    */
    public void setSparkSubmitParamsList(List<String> sparkSubmitParamsList){
        this.sparkSubmitParamsList = sparkSubmitParamsList;
    }

    /**
    * 获取 
    * @return sparkSubmitParamsNotList
    */
    public List<String> getSparkSubmitParamsNotList(){
        return this.sparkSubmitParamsNotList;
    }

    /**
    * 设置 
    * @param sparkSubmitParamsNotList
    */
    public void setSparkSubmitParamsNotList(List<String> sparkSubmitParamsNotList){
        this.sparkSubmitParamsNotList = sparkSubmitParamsNotList;
    }

    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键
    * @param id
    */
    public JarTaskInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键
    * @param idStart
    */
    public JarTaskInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键
    * @param idEnd
    */
    public JarTaskInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键
    * @param idIncrement
    */
    public JarTaskInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键
    * @param idList
    */
    public JarTaskInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键
        * @param idNotList
        */
        public JarTaskInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 
    * @param etlContext
    */
    public JarTaskInfoQuery etlContext(String etlContext){
        setEtlContext(etlContext);
		return this;
    }

    /**
    * 设置 
    * @param etlContextList
    */
    public JarTaskInfoQuery etlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
		return this;
    }


	/**
    * 设置 
    * @param files
    */
    public JarTaskInfoQuery files(String files){
        setFiles(files);
		return this;
    }

    /**
    * 设置 
    * @param filesList
    */
    public JarTaskInfoQuery filesList(List<String> filesList){
        this.filesList = filesList;
		return this;
    }


	/**
    * 设置 
    * @param master
    */
    public JarTaskInfoQuery master(String master){
        setMaster(master);
		return this;
    }

    /**
    * 设置 
    * @param masterList
    */
    public JarTaskInfoQuery masterList(List<String> masterList){
        this.masterList = masterList;
		return this;
    }


	/**
    * 设置 
    * @param deployMode
    */
    public JarTaskInfoQuery deployMode(String deployMode){
        setDeployMode(deployMode);
		return this;
    }

    /**
    * 设置 
    * @param deployModeList
    */
    public JarTaskInfoQuery deployModeList(List<String> deployModeList){
        this.deployModeList = deployModeList;
		return this;
    }


	/**
    * 设置 
    * @param cpu
    */
    public JarTaskInfoQuery cpu(String cpu){
        setCpu(cpu);
		return this;
    }

    /**
    * 设置 
    * @param cpuList
    */
    public JarTaskInfoQuery cpuList(List<String> cpuList){
        this.cpuList = cpuList;
		return this;
    }


	/**
    * 设置 
    * @param memory
    */
    public JarTaskInfoQuery memory(String memory){
        setMemory(memory);
		return this;
    }

    /**
    * 设置 
    * @param memoryList
    */
    public JarTaskInfoQuery memoryList(List<String> memoryList){
        this.memoryList = memoryList;
		return this;
    }


	/**
    * 设置 
    * @param mainClass
    */
    public JarTaskInfoQuery mainClass(String mainClass){
        setMainClass(mainClass);
		return this;
    }

    /**
    * 设置 
    * @param mainClassList
    */
    public JarTaskInfoQuery mainClassList(List<String> mainClassList){
        this.mainClassList = mainClassList;
		return this;
    }


	/**
    * 设置 
    * @param sparkSubmitParams
    */
    public JarTaskInfoQuery sparkSubmitParams(String sparkSubmitParams){
        setSparkSubmitParams(sparkSubmitParams);
		return this;
    }

    /**
    * 设置 
    * @param sparkSubmitParamsList
    */
    public JarTaskInfoQuery sparkSubmitParamsList(List<String> sparkSubmitParamsList){
        this.sparkSubmitParamsList = sparkSubmitParamsList;
		return this;
    }


	/**
    * 设置 拥有者
    * @param owner
    */
    public JarTaskInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public JarTaskInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public JarTaskInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public JarTaskInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public JarTaskInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public JarTaskInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public JarTaskInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public JarTaskInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public JarTaskInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public JarTaskInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public JarTaskInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public JarTaskInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public JarTaskInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public JarTaskInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public JarTaskInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public JarTaskInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<JarTaskInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<JarTaskInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<JarTaskInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<JarTaskInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}