package com.mortals.xhx.module.jar.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.jar.dao.JarTaskInfoDao;
import com.mortals.xhx.module.jar.model.JarTaskInfoEntity;
import com.mortals.xhx.module.jar.service.JarTaskInfoService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* JarTaskInfoService
* jar任务信息 service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("jarTaskInfoService")
@Slf4j
public class JarTaskInfoServiceImpl extends AbstractCRUDServiceImpl<JarTaskInfoDao, JarTaskInfoEntity, Long> implements JarTaskInfoService {
        @Override
    protected void saveBefore(JarTaskInfoEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setId(IdUtil.getSnowflake(0,1).nextId());
    super.saveBefore(entity, context);
    }

}