package com.mortals.xhx.module.label.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.label.model.LabelCompleteInfoEntity;
import com.mortals.xhx.module.label.service.LabelCompleteInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 标签完成信息
*
* @author zxfei
* @date 2024-07-15
*/
@RestController
@RequestMapping("label/complete/info")
public class LabelCompleteInfoController extends BaseCRUDJsonBodyMappingController<LabelCompleteInfoService,LabelCompleteInfoEntity,Long> {

    @Autowired
    private ParamService paramService;

    public LabelCompleteInfoController(){
        super.setModuleDesc( "标签完成信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "enabled", EnabledEnum.getEnumMap());
        super.init(model, context);
    }


}