package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzCronTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzCronTriggersQuery extends QrtzCronTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /**  */
    private List<String> cronExpressionList;

    /** 排除列表 */
    private List <String> cronExpressionNotList;
    /**  */
    private List<String> timeZoneIdList;

    /** 排除列表 */
    private List <String> timeZoneIdNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzCronTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzCronTriggersQuery> andConditionList;

    public QrtzCronTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }

    /**
    * 获取 
    * @return cronExpressionList
    */
    public List<String> getCronExpressionList(){
        return this.cronExpressionList;
    }

    /**
    * 设置 
    * @param cronExpressionList
    */
    public void setCronExpressionList(List<String> cronExpressionList){
        this.cronExpressionList = cronExpressionList;
    }

    /**
    * 获取 
    * @return cronExpressionNotList
    */
    public List<String> getCronExpressionNotList(){
        return this.cronExpressionNotList;
    }

    /**
    * 设置 
    * @param cronExpressionNotList
    */
    public void setCronExpressionNotList(List<String> cronExpressionNotList){
        this.cronExpressionNotList = cronExpressionNotList;
    }

    /**
    * 获取 
    * @return timeZoneIdList
    */
    public List<String> getTimeZoneIdList(){
        return this.timeZoneIdList;
    }

    /**
    * 设置 
    * @param timeZoneIdList
    */
    public void setTimeZoneIdList(List<String> timeZoneIdList){
        this.timeZoneIdList = timeZoneIdList;
    }

    /**
    * 获取 
    * @return timeZoneIdNotList
    */
    public List<String> getTimeZoneIdNotList(){
        return this.timeZoneIdNotList;
    }

    /**
    * 设置 
    * @param timeZoneIdNotList
    */
    public void setTimeZoneIdNotList(List<String> timeZoneIdNotList){
        this.timeZoneIdNotList = timeZoneIdNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzCronTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzCronTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzCronTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzCronTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzCronTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzCronTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }


	/**
    * 设置 
    * @param cronExpression
    */
    public QrtzCronTriggersQuery cronExpression(String cronExpression){
        setCronExpression(cronExpression);
		return this;
    }

    /**
    * 设置 
    * @param cronExpressionList
    */
    public QrtzCronTriggersQuery cronExpressionList(List<String> cronExpressionList){
        this.cronExpressionList = cronExpressionList;
		return this;
    }


	/**
    * 设置 
    * @param timeZoneId
    */
    public QrtzCronTriggersQuery timeZoneId(String timeZoneId){
        setTimeZoneId(timeZoneId);
		return this;
    }

    /**
    * 设置 
    * @param timeZoneIdList
    */
    public QrtzCronTriggersQuery timeZoneIdList(List<String> timeZoneIdList){
        this.timeZoneIdList = timeZoneIdList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzCronTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzCronTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzCronTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzCronTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}