package com.mortals.xhx.module.qrtz.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzSchedulerStateVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzSchedulerStateEntity extends QrtzSchedulerStateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String instanceName;
    /**
    * 
    */
    private Long lastCheckinTime;
    /**
    * 
    */
    private Long checkinInterval;
    /**
    * 状态，下线offline,上线online
    */
    private String status;
    /**
    * 正在执行中的任务数
    */
    private String running;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzSchedulerStateEntity) {
            QrtzSchedulerStateEntity tmp = (QrtzSchedulerStateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.instanceName = "";
            this.lastCheckinTime = null;
            this.checkinInterval = null;
            this.status = "online";
            this.running = "";
    }
}