package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzSchedulerStateEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzSchedulerStateQuery extends QrtzSchedulerStateEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> instanceNameList;

    /** 排除列表 */
    private List <String> instanceNameNotList;
    /** 开始  */
    private Long lastCheckinTimeStart;

    /** 结束  */
    private Long lastCheckinTimeEnd;

    /** 增加  */
    private Long lastCheckinTimeIncrement;

    /** 列表 */
    private List <Long> lastCheckinTimeList;

    /** 排除列表 */
    private List <Long> lastCheckinTimeNotList;

    /** 开始  */
    private Long checkinIntervalStart;

    /** 结束  */
    private Long checkinIntervalEnd;

    /** 增加  */
    private Long checkinIntervalIncrement;

    /** 列表 */
    private List <Long> checkinIntervalList;

    /** 排除列表 */
    private List <Long> checkinIntervalNotList;

    /** 状态，下线offline,上线online */
    private List<String> statusList;

    /** 状态，下线offline,上线online排除列表 */
    private List <String> statusNotList;
    /** 正在执行中的任务数 */
    private List<String> runningList;

    /** 正在执行中的任务数排除列表 */
    private List <String> runningNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzSchedulerStateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzSchedulerStateQuery> andConditionList;

    public QrtzSchedulerStateQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return instanceNameList
    */
    public List<String> getInstanceNameList(){
        return this.instanceNameList;
    }

    /**
    * 设置 
    * @param instanceNameList
    */
    public void setInstanceNameList(List<String> instanceNameList){
        this.instanceNameList = instanceNameList;
    }

    /**
    * 获取 
    * @return instanceNameNotList
    */
    public List<String> getInstanceNameNotList(){
        return this.instanceNameNotList;
    }

    /**
    * 设置 
    * @param instanceNameNotList
    */
    public void setInstanceNameNotList(List<String> instanceNameNotList){
        this.instanceNameNotList = instanceNameNotList;
    }

    /**
    * 获取 开始 
    * @return lastCheckinTimeStart
    */
    public Long getLastCheckinTimeStart(){
        return this.lastCheckinTimeStart;
    }

    /**
    * 设置 开始 
    * @param lastCheckinTimeStart
    */
    public void setLastCheckinTimeStart(Long lastCheckinTimeStart){
        this.lastCheckinTimeStart = lastCheckinTimeStart;
    }

    /**
    * 获取 结束 
    * @return $lastCheckinTimeEnd
    */
    public Long getLastCheckinTimeEnd(){
        return this.lastCheckinTimeEnd;
    }

    /**
    * 设置 结束 
    * @param lastCheckinTimeEnd
    */
    public void setLastCheckinTimeEnd(Long lastCheckinTimeEnd){
        this.lastCheckinTimeEnd = lastCheckinTimeEnd;
    }

    /**
    * 获取 增加 
    * @return lastCheckinTimeIncrement
    */
    public Long getLastCheckinTimeIncrement(){
        return this.lastCheckinTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param lastCheckinTimeIncrement
    */
    public void setLastCheckinTimeIncrement(Long lastCheckinTimeIncrement){
        this.lastCheckinTimeIncrement = lastCheckinTimeIncrement;
    }

    /**
    * 获取 
    * @return lastCheckinTimeList
    */
    public List<Long> getLastCheckinTimeList(){
        return this.lastCheckinTimeList;
    }

    /**
    * 设置 
    * @param lastCheckinTimeList
    */
    public void setLastCheckinTimeList(List<Long> lastCheckinTimeList){
        this.lastCheckinTimeList = lastCheckinTimeList;
    }

    /**
    * 获取 
    * @return lastCheckinTimeNotList
    */
    public List<Long> getLastCheckinTimeNotList(){
        return this.lastCheckinTimeNotList;
    }

    /**
    * 设置 
    * @param lastCheckinTimeNotList
    */
    public void setLastCheckinTimeNotList(List<Long> lastCheckinTimeNotList){
        this.lastCheckinTimeNotList = lastCheckinTimeNotList;
    }


    /**
    * 获取 开始 
    * @return checkinIntervalStart
    */
    public Long getCheckinIntervalStart(){
        return this.checkinIntervalStart;
    }

    /**
    * 设置 开始 
    * @param checkinIntervalStart
    */
    public void setCheckinIntervalStart(Long checkinIntervalStart){
        this.checkinIntervalStart = checkinIntervalStart;
    }

    /**
    * 获取 结束 
    * @return $checkinIntervalEnd
    */
    public Long getCheckinIntervalEnd(){
        return this.checkinIntervalEnd;
    }

    /**
    * 设置 结束 
    * @param checkinIntervalEnd
    */
    public void setCheckinIntervalEnd(Long checkinIntervalEnd){
        this.checkinIntervalEnd = checkinIntervalEnd;
    }

    /**
    * 获取 增加 
    * @return checkinIntervalIncrement
    */
    public Long getCheckinIntervalIncrement(){
        return this.checkinIntervalIncrement;
    }

    /**
    * 设置 增加 
    * @param checkinIntervalIncrement
    */
    public void setCheckinIntervalIncrement(Long checkinIntervalIncrement){
        this.checkinIntervalIncrement = checkinIntervalIncrement;
    }

    /**
    * 获取 
    * @return checkinIntervalList
    */
    public List<Long> getCheckinIntervalList(){
        return this.checkinIntervalList;
    }

    /**
    * 设置 
    * @param checkinIntervalList
    */
    public void setCheckinIntervalList(List<Long> checkinIntervalList){
        this.checkinIntervalList = checkinIntervalList;
    }

    /**
    * 获取 
    * @return checkinIntervalNotList
    */
    public List<Long> getCheckinIntervalNotList(){
        return this.checkinIntervalNotList;
    }

    /**
    * 设置 
    * @param checkinIntervalNotList
    */
    public void setCheckinIntervalNotList(List<Long> checkinIntervalNotList){
        this.checkinIntervalNotList = checkinIntervalNotList;
    }


    /**
    * 获取 状态，下线offline,上线online
    * @return statusList
    */
    public List<String> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态，下线offline,上线online
    * @param statusList
    */
    public void setStatusList(List<String> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 状态，下线offline,上线online
    * @return statusNotList
    */
    public List<String> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 状态，下线offline,上线online
    * @param statusNotList
    */
    public void setStatusNotList(List<String> statusNotList){
        this.statusNotList = statusNotList;
    }

    /**
    * 获取 正在执行中的任务数
    * @return runningList
    */
    public List<String> getRunningList(){
        return this.runningList;
    }

    /**
    * 设置 正在执行中的任务数
    * @param runningList
    */
    public void setRunningList(List<String> runningList){
        this.runningList = runningList;
    }

    /**
    * 获取 正在执行中的任务数
    * @return runningNotList
    */
    public List<String> getRunningNotList(){
        return this.runningNotList;
    }

    /**
    * 设置 正在执行中的任务数
    * @param runningNotList
    */
    public void setRunningNotList(List<String> runningNotList){
        this.runningNotList = runningNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzSchedulerStateQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzSchedulerStateQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param instanceName
    */
    public QrtzSchedulerStateQuery instanceName(String instanceName){
        setInstanceName(instanceName);
		return this;
    }

    /**
    * 设置 
    * @param instanceNameList
    */
    public QrtzSchedulerStateQuery instanceNameList(List<String> instanceNameList){
        this.instanceNameList = instanceNameList;
		return this;
    }

    /**
    * 设置  
    * @param lastCheckinTime
    */
    public QrtzSchedulerStateQuery lastCheckinTime(Long lastCheckinTime){
	    setLastCheckinTime(lastCheckinTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param lastCheckinTimeStart
    */
    public QrtzSchedulerStateQuery lastCheckinTimeStart(Long lastCheckinTimeStart){
		this.lastCheckinTimeStart = lastCheckinTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param lastCheckinTimeEnd
    */
    public QrtzSchedulerStateQuery lastCheckinTimeEnd(Long lastCheckinTimeEnd){
		this.lastCheckinTimeEnd = lastCheckinTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param lastCheckinTimeIncrement
    */
    public QrtzSchedulerStateQuery lastCheckinTimeIncrement(Long lastCheckinTimeIncrement){
		this.lastCheckinTimeIncrement = lastCheckinTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param lastCheckinTimeList
    */
    public QrtzSchedulerStateQuery lastCheckinTimeList(List<Long> lastCheckinTimeList){
        this.lastCheckinTimeList = lastCheckinTimeList;
		return this;
        }

        /**
        * 设置 
        * @param lastCheckinTimeNotList
        */
        public QrtzSchedulerStateQuery lastCheckinTimeNotList(List<Long> lastCheckinTimeNotList){
        this.lastCheckinTimeNotList = lastCheckinTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param checkinInterval
    */
    public QrtzSchedulerStateQuery checkinInterval(Long checkinInterval){
	    setCheckinInterval(checkinInterval);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param checkinIntervalStart
    */
    public QrtzSchedulerStateQuery checkinIntervalStart(Long checkinIntervalStart){
		this.checkinIntervalStart = checkinIntervalStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param checkinIntervalEnd
    */
    public QrtzSchedulerStateQuery checkinIntervalEnd(Long checkinIntervalEnd){
		this.checkinIntervalEnd = checkinIntervalEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param checkinIntervalIncrement
    */
    public QrtzSchedulerStateQuery checkinIntervalIncrement(Long checkinIntervalIncrement){
		this.checkinIntervalIncrement = checkinIntervalIncrement;
		return this;
    }

    /**
    * 设置 
    * @param checkinIntervalList
    */
    public QrtzSchedulerStateQuery checkinIntervalList(List<Long> checkinIntervalList){
        this.checkinIntervalList = checkinIntervalList;
		return this;
        }

        /**
        * 设置 
        * @param checkinIntervalNotList
        */
        public QrtzSchedulerStateQuery checkinIntervalNotList(List<Long> checkinIntervalNotList){
        this.checkinIntervalNotList = checkinIntervalNotList;
        return this;
        }


	/**
    * 设置 状态，下线offline,上线online
    * @param status
    */
    public QrtzSchedulerStateQuery status(String status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 状态，下线offline,上线online
    * @param statusList
    */
    public QrtzSchedulerStateQuery statusList(List<String> statusList){
        this.statusList = statusList;
		return this;
    }


	/**
    * 设置 正在执行中的任务数
    * @param running
    */
    public QrtzSchedulerStateQuery running(String running){
        setRunning(running);
		return this;
    }

    /**
    * 设置 正在执行中的任务数
    * @param runningList
    */
    public QrtzSchedulerStateQuery runningList(List<String> runningList){
        this.runningList = runningList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzSchedulerStateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzSchedulerStateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzSchedulerStateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzSchedulerStateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}