package com.mortals.xhx.module.qrtz.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzSimpleTriggersVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzSimpleTriggersEntity extends QrtzSimpleTriggersVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String triggerName;
    /**
    * 
    */
    private String triggerGroup;
    /**
    * 
    */
    private Integer repeatCount;
    /**
    * 
    */
    private Long repeatInterval;
    /**
    * 
    */
    private Integer timesTriggered;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzSimpleTriggersEntity) {
            QrtzSimpleTriggersEntity tmp = (QrtzSimpleTriggersEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.triggerName = "";
            this.triggerGroup = "";
            this.repeatCount = 0;
            this.repeatInterval = null;
            this.timesTriggered = 0;
    }
}