package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzJobDetailsDao;
import com.mortals.xhx.module.qrtz.model.QrtzJobDetailsEntity;
import com.mortals.xhx.module.qrtz.service.QrtzJobDetailsService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzJobDetailsService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzJobDetailsService")
@Slf4j
public class QrtzJobDetailsServiceImpl extends AbstractCRUDServiceImpl<QrtzJobDetailsDao, QrtzJobDetailsEntity, String> implements QrtzJobDetailsService {
        @Override
    protected void saveBefore(QrtzJobDetailsEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}