package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzLocksDao;
import com.mortals.xhx.module.qrtz.model.QrtzLocksEntity;
import com.mortals.xhx.module.qrtz.service.QrtzLocksService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzLocksService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzLocksService")
@Slf4j
public class QrtzLocksServiceImpl extends AbstractCRUDServiceImpl<QrtzLocksDao, QrtzLocksEntity, String> implements QrtzLocksService {
        @Override
    protected void saveBefore(QrtzLocksEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}