package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzSchedulerStateDao;
import com.mortals.xhx.module.qrtz.model.QrtzSchedulerStateEntity;
import com.mortals.xhx.module.qrtz.service.QrtzSchedulerStateService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzSchedulerStateService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzSchedulerStateService")
@Slf4j
public class QrtzSchedulerStateServiceImpl extends AbstractCRUDServiceImpl<QrtzSchedulerStateDao, QrtzSchedulerStateEntity, String> implements QrtzSchedulerStateService {
        @Override
    protected void saveBefore(QrtzSchedulerStateEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}