package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzSimpleTriggersDao;
import com.mortals.xhx.module.qrtz.model.QrtzSimpleTriggersEntity;
import com.mortals.xhx.module.qrtz.service.QrtzSimpleTriggersService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzSimpleTriggersService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzSimpleTriggersService")
@Slf4j
public class QrtzSimpleTriggersServiceImpl extends AbstractCRUDServiceImpl<QrtzSimpleTriggersDao, QrtzSimpleTriggersEntity, String> implements QrtzSimpleTriggersService {
        @Override
    protected void saveBefore(QrtzSimpleTriggersEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}