package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskLogInfoEntity;
/**
* etl-日志采集信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskLogInfoQuery extends TaskLogInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 日志唯一标识code */
    private List<String> logCodeList;

    /** 日志唯一标识code排除列表 */
    private List <String> logCodeNotList;
    /** 日志说明 */
    private List<String> logContextList;

    /** 日志说明排除列表 */
    private List <String> logContextNotList;
    /** flume启动命令 */
    private List<String> flumeCommandList;

    /** flume启动命令排除列表 */
    private List <String> flumeCommandNotList;
    /** flume地址 */
    private List<String> flumePathList;

    /** flume地址排除列表 */
    private List <String> flumePathNotList;
    /** 任务配置 */
    private List<String> jobConfigList;

    /** 任务配置排除列表 */
    private List <String> jobConfigNotList;
    /** 主机地址 */
    private List<String> hostList;

    /** 主机地址排除列表 */
    private List <String> hostNotList;
    /** 主机端口 */
    private List<String> portList;

    /** 主机端口排除列表 */
    private List <String> portNotList;
    /** 用户名 */
    private List<String> userNameList;

    /** 用户名排除列表 */
    private List <String> userNameNotList;
    /** 密码 */
    private List<String> passwordList;

    /** 密码排除列表 */
    private List <String> passwordNotList;
    /** 日志样例 */
    private List<String> logExampleList;

    /** 日志样例排除列表 */
    private List <String> logExampleNotList;
    /** 日志解析类型,1:正则解析 */
    private List<String> logResovleTypeList;

    /** 日志解析类型,1:正则解析排除列表 */
    private List <String> logResovleTypeNotList;
    /** 日志解析表达式 */
    private List<String> logResovleExprList;

    /** 日志解析表达式排除列表 */
    private List <String> logResovleExprNotList;
    /** 日志输出类型,string,json */
    private List<String> logOutputTypeList;

    /** 日志输出类型,string,json排除列表 */
    private List <String> logOutputTypeNotList;
    /** 日志输出配置 */
    private List<String> logOutputConfigList;

    /** 日志输出配置排除列表 */
    private List <String> logOutputConfigNotList;
    /** 输出数据源id */
    private List<String> dataSourcesChooseOutputList;

    /** 输出数据源id排除列表 */
    private List <String> dataSourcesChooseOutputNotList;
    /** 输出数据源类型 */
    private List<String> dataSourceTypeOutputList;

    /** 输出数据源类型排除列表 */
    private List <String> dataSourceTypeOutputNotList;
    /** 输出数据源表名,文件名,topic */
    private List<String> dataSourcesOutputList;

    /** 输出数据源表名,文件名,topic排除列表 */
    private List <String> dataSourcesOutputNotList;
    /** 输出数据字段 */
    private List<String> dataSourcesOutputColumnsList;

    /** 输出数据字段排除列表 */
    private List <String> dataSourcesOutputColumnsNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskLogInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskLogInfoQuery> andConditionList;

    public TaskLogInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 日志唯一标识code
    * @return logCodeList
    */
    public List<String> getLogCodeList(){
        return this.logCodeList;
    }

    /**
    * 设置 日志唯一标识code
    * @param logCodeList
    */
    public void setLogCodeList(List<String> logCodeList){
        this.logCodeList = logCodeList;
    }

    /**
    * 获取 日志唯一标识code
    * @return logCodeNotList
    */
    public List<String> getLogCodeNotList(){
        return this.logCodeNotList;
    }

    /**
    * 设置 日志唯一标识code
    * @param logCodeNotList
    */
    public void setLogCodeNotList(List<String> logCodeNotList){
        this.logCodeNotList = logCodeNotList;
    }

    /**
    * 获取 日志说明
    * @return logContextList
    */
    public List<String> getLogContextList(){
        return this.logContextList;
    }

    /**
    * 设置 日志说明
    * @param logContextList
    */
    public void setLogContextList(List<String> logContextList){
        this.logContextList = logContextList;
    }

    /**
    * 获取 日志说明
    * @return logContextNotList
    */
    public List<String> getLogContextNotList(){
        return this.logContextNotList;
    }

    /**
    * 设置 日志说明
    * @param logContextNotList
    */
    public void setLogContextNotList(List<String> logContextNotList){
        this.logContextNotList = logContextNotList;
    }

    /**
    * 获取 flume启动命令
    * @return flumeCommandList
    */
    public List<String> getFlumeCommandList(){
        return this.flumeCommandList;
    }

    /**
    * 设置 flume启动命令
    * @param flumeCommandList
    */
    public void setFlumeCommandList(List<String> flumeCommandList){
        this.flumeCommandList = flumeCommandList;
    }

    /**
    * 获取 flume启动命令
    * @return flumeCommandNotList
    */
    public List<String> getFlumeCommandNotList(){
        return this.flumeCommandNotList;
    }

    /**
    * 设置 flume启动命令
    * @param flumeCommandNotList
    */
    public void setFlumeCommandNotList(List<String> flumeCommandNotList){
        this.flumeCommandNotList = flumeCommandNotList;
    }

    /**
    * 获取 flume地址
    * @return flumePathList
    */
    public List<String> getFlumePathList(){
        return this.flumePathList;
    }

    /**
    * 设置 flume地址
    * @param flumePathList
    */
    public void setFlumePathList(List<String> flumePathList){
        this.flumePathList = flumePathList;
    }

    /**
    * 获取 flume地址
    * @return flumePathNotList
    */
    public List<String> getFlumePathNotList(){
        return this.flumePathNotList;
    }

    /**
    * 设置 flume地址
    * @param flumePathNotList
    */
    public void setFlumePathNotList(List<String> flumePathNotList){
        this.flumePathNotList = flumePathNotList;
    }

    /**
    * 获取 任务配置
    * @return jobConfigList
    */
    public List<String> getJobConfigList(){
        return this.jobConfigList;
    }

    /**
    * 设置 任务配置
    * @param jobConfigList
    */
    public void setJobConfigList(List<String> jobConfigList){
        this.jobConfigList = jobConfigList;
    }

    /**
    * 获取 任务配置
    * @return jobConfigNotList
    */
    public List<String> getJobConfigNotList(){
        return this.jobConfigNotList;
    }

    /**
    * 设置 任务配置
    * @param jobConfigNotList
    */
    public void setJobConfigNotList(List<String> jobConfigNotList){
        this.jobConfigNotList = jobConfigNotList;
    }

    /**
    * 获取 主机地址
    * @return hostList
    */
    public List<String> getHostList(){
        return this.hostList;
    }

    /**
    * 设置 主机地址
    * @param hostList
    */
    public void setHostList(List<String> hostList){
        this.hostList = hostList;
    }

    /**
    * 获取 主机地址
    * @return hostNotList
    */
    public List<String> getHostNotList(){
        return this.hostNotList;
    }

    /**
    * 设置 主机地址
    * @param hostNotList
    */
    public void setHostNotList(List<String> hostNotList){
        this.hostNotList = hostNotList;
    }

    /**
    * 获取 主机端口
    * @return portList
    */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
    * 设置 主机端口
    * @param portList
    */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }

    /**
    * 获取 主机端口
    * @return portNotList
    */
    public List<String> getPortNotList(){
        return this.portNotList;
    }

    /**
    * 设置 主机端口
    * @param portNotList
    */
    public void setPortNotList(List<String> portNotList){
        this.portNotList = portNotList;
    }

    /**
    * 获取 用户名
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 用户名
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 用户名
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 密码
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }

    /**
    * 获取 密码
    * @return passwordNotList
    */
    public List<String> getPasswordNotList(){
        return this.passwordNotList;
    }

    /**
    * 设置 密码
    * @param passwordNotList
    */
    public void setPasswordNotList(List<String> passwordNotList){
        this.passwordNotList = passwordNotList;
    }

    /**
    * 获取 日志样例
    * @return logExampleList
    */
    public List<String> getLogExampleList(){
        return this.logExampleList;
    }

    /**
    * 设置 日志样例
    * @param logExampleList
    */
    public void setLogExampleList(List<String> logExampleList){
        this.logExampleList = logExampleList;
    }

    /**
    * 获取 日志样例
    * @return logExampleNotList
    */
    public List<String> getLogExampleNotList(){
        return this.logExampleNotList;
    }

    /**
    * 设置 日志样例
    * @param logExampleNotList
    */
    public void setLogExampleNotList(List<String> logExampleNotList){
        this.logExampleNotList = logExampleNotList;
    }

    /**
    * 获取 日志解析类型,1:正则解析
    * @return logResovleTypeList
    */
    public List<String> getLogResovleTypeList(){
        return this.logResovleTypeList;
    }

    /**
    * 设置 日志解析类型,1:正则解析
    * @param logResovleTypeList
    */
    public void setLogResovleTypeList(List<String> logResovleTypeList){
        this.logResovleTypeList = logResovleTypeList;
    }

    /**
    * 获取 日志解析类型,1:正则解析
    * @return logResovleTypeNotList
    */
    public List<String> getLogResovleTypeNotList(){
        return this.logResovleTypeNotList;
    }

    /**
    * 设置 日志解析类型,1:正则解析
    * @param logResovleTypeNotList
    */
    public void setLogResovleTypeNotList(List<String> logResovleTypeNotList){
        this.logResovleTypeNotList = logResovleTypeNotList;
    }

    /**
    * 获取 日志解析表达式
    * @return logResovleExprList
    */
    public List<String> getLogResovleExprList(){
        return this.logResovleExprList;
    }

    /**
    * 设置 日志解析表达式
    * @param logResovleExprList
    */
    public void setLogResovleExprList(List<String> logResovleExprList){
        this.logResovleExprList = logResovleExprList;
    }

    /**
    * 获取 日志解析表达式
    * @return logResovleExprNotList
    */
    public List<String> getLogResovleExprNotList(){
        return this.logResovleExprNotList;
    }

    /**
    * 设置 日志解析表达式
    * @param logResovleExprNotList
    */
    public void setLogResovleExprNotList(List<String> logResovleExprNotList){
        this.logResovleExprNotList = logResovleExprNotList;
    }

    /**
    * 获取 日志输出类型,string,json
    * @return logOutputTypeList
    */
    public List<String> getLogOutputTypeList(){
        return this.logOutputTypeList;
    }

    /**
    * 设置 日志输出类型,string,json
    * @param logOutputTypeList
    */
    public void setLogOutputTypeList(List<String> logOutputTypeList){
        this.logOutputTypeList = logOutputTypeList;
    }

    /**
    * 获取 日志输出类型,string,json
    * @return logOutputTypeNotList
    */
    public List<String> getLogOutputTypeNotList(){
        return this.logOutputTypeNotList;
    }

    /**
    * 设置 日志输出类型,string,json
    * @param logOutputTypeNotList
    */
    public void setLogOutputTypeNotList(List<String> logOutputTypeNotList){
        this.logOutputTypeNotList = logOutputTypeNotList;
    }

    /**
    * 获取 日志输出配置
    * @return logOutputConfigList
    */
    public List<String> getLogOutputConfigList(){
        return this.logOutputConfigList;
    }

    /**
    * 设置 日志输出配置
    * @param logOutputConfigList
    */
    public void setLogOutputConfigList(List<String> logOutputConfigList){
        this.logOutputConfigList = logOutputConfigList;
    }

    /**
    * 获取 日志输出配置
    * @return logOutputConfigNotList
    */
    public List<String> getLogOutputConfigNotList(){
        return this.logOutputConfigNotList;
    }

    /**
    * 设置 日志输出配置
    * @param logOutputConfigNotList
    */
    public void setLogOutputConfigNotList(List<String> logOutputConfigNotList){
        this.logOutputConfigNotList = logOutputConfigNotList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputList
    */
    public List<String> getDataSourcesChooseOutputList(){
        return this.dataSourcesChooseOutputList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public void setDataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputNotList
    */
    public List<String> getDataSourcesChooseOutputNotList(){
        return this.dataSourcesChooseOutputNotList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputNotList
    */
    public void setDataSourcesChooseOutputNotList(List<String> dataSourcesChooseOutputNotList){
        this.dataSourcesChooseOutputNotList = dataSourcesChooseOutputNotList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputList
    */
    public List<String> getDataSourceTypeOutputList(){
        return this.dataSourceTypeOutputList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public void setDataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputNotList
    */
    public List<String> getDataSourceTypeOutputNotList(){
        return this.dataSourceTypeOutputNotList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputNotList
    */
    public void setDataSourceTypeOutputNotList(List<String> dataSourceTypeOutputNotList){
        this.dataSourceTypeOutputNotList = dataSourceTypeOutputNotList;
    }

    /**
    * 获取 输出数据源表名,文件名,topic
    * @return dataSourcesOutputList
    */
    public List<String> getDataSourcesOutputList(){
        return this.dataSourcesOutputList;
    }

    /**
    * 设置 输出数据源表名,文件名,topic
    * @param dataSourcesOutputList
    */
    public void setDataSourcesOutputList(List<String> dataSourcesOutputList){
        this.dataSourcesOutputList = dataSourcesOutputList;
    }

    /**
    * 获取 输出数据源表名,文件名,topic
    * @return dataSourcesOutputNotList
    */
    public List<String> getDataSourcesOutputNotList(){
        return this.dataSourcesOutputNotList;
    }

    /**
    * 设置 输出数据源表名,文件名,topic
    * @param dataSourcesOutputNotList
    */
    public void setDataSourcesOutputNotList(List<String> dataSourcesOutputNotList){
        this.dataSourcesOutputNotList = dataSourcesOutputNotList;
    }

    /**
    * 获取 输出数据字段
    * @return dataSourcesOutputColumnsList
    */
    public List<String> getDataSourcesOutputColumnsList(){
        return this.dataSourcesOutputColumnsList;
    }

    /**
    * 设置 输出数据字段
    * @param dataSourcesOutputColumnsList
    */
    public void setDataSourcesOutputColumnsList(List<String> dataSourcesOutputColumnsList){
        this.dataSourcesOutputColumnsList = dataSourcesOutputColumnsList;
    }

    /**
    * 获取 输出数据字段
    * @return dataSourcesOutputColumnsNotList
    */
    public List<String> getDataSourcesOutputColumnsNotList(){
        return this.dataSourcesOutputColumnsNotList;
    }

    /**
    * 设置 输出数据字段
    * @param dataSourcesOutputColumnsNotList
    */
    public void setDataSourcesOutputColumnsNotList(List<String> dataSourcesOutputColumnsNotList){
        this.dataSourcesOutputColumnsNotList = dataSourcesOutputColumnsNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskLogInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskLogInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskLogInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskLogInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskLogInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskLogInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 日志唯一标识code
    * @param logCode
    */
    public TaskLogInfoQuery logCode(String logCode){
        setLogCode(logCode);
		return this;
    }

    /**
    * 设置 日志唯一标识code
    * @param logCodeList
    */
    public TaskLogInfoQuery logCodeList(List<String> logCodeList){
        this.logCodeList = logCodeList;
		return this;
    }


	/**
    * 设置 日志说明
    * @param logContext
    */
    public TaskLogInfoQuery logContext(String logContext){
        setLogContext(logContext);
		return this;
    }

    /**
    * 设置 日志说明
    * @param logContextList
    */
    public TaskLogInfoQuery logContextList(List<String> logContextList){
        this.logContextList = logContextList;
		return this;
    }


	/**
    * 设置 flume启动命令
    * @param flumeCommand
    */
    public TaskLogInfoQuery flumeCommand(String flumeCommand){
        setFlumeCommand(flumeCommand);
		return this;
    }

    /**
    * 设置 flume启动命令
    * @param flumeCommandList
    */
    public TaskLogInfoQuery flumeCommandList(List<String> flumeCommandList){
        this.flumeCommandList = flumeCommandList;
		return this;
    }


	/**
    * 设置 flume地址
    * @param flumePath
    */
    public TaskLogInfoQuery flumePath(String flumePath){
        setFlumePath(flumePath);
		return this;
    }

    /**
    * 设置 flume地址
    * @param flumePathList
    */
    public TaskLogInfoQuery flumePathList(List<String> flumePathList){
        this.flumePathList = flumePathList;
		return this;
    }


	/**
    * 设置 任务配置
    * @param jobConfig
    */
    public TaskLogInfoQuery jobConfig(String jobConfig){
        setJobConfig(jobConfig);
		return this;
    }

    /**
    * 设置 任务配置
    * @param jobConfigList
    */
    public TaskLogInfoQuery jobConfigList(List<String> jobConfigList){
        this.jobConfigList = jobConfigList;
		return this;
    }


	/**
    * 设置 主机地址
    * @param host
    */
    public TaskLogInfoQuery host(String host){
        setHost(host);
		return this;
    }

    /**
    * 设置 主机地址
    * @param hostList
    */
    public TaskLogInfoQuery hostList(List<String> hostList){
        this.hostList = hostList;
		return this;
    }


	/**
    * 设置 主机端口
    * @param port
    */
    public TaskLogInfoQuery port(String port){
        setPort(port);
		return this;
    }

    /**
    * 设置 主机端口
    * @param portList
    */
    public TaskLogInfoQuery portList(List<String> portList){
        this.portList = portList;
		return this;
    }


	/**
    * 设置 用户名
    * @param userName
    */
    public TaskLogInfoQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名
    * @param userNameList
    */
    public TaskLogInfoQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 密码
    * @param password
    */
    public TaskLogInfoQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public TaskLogInfoQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }


	/**
    * 设置 日志样例
    * @param logExample
    */
    public TaskLogInfoQuery logExample(String logExample){
        setLogExample(logExample);
		return this;
    }

    /**
    * 设置 日志样例
    * @param logExampleList
    */
    public TaskLogInfoQuery logExampleList(List<String> logExampleList){
        this.logExampleList = logExampleList;
		return this;
    }


	/**
    * 设置 日志解析类型,1:正则解析
    * @param logResovleType
    */
    public TaskLogInfoQuery logResovleType(String logResovleType){
        setLogResovleType(logResovleType);
		return this;
    }

    /**
    * 设置 日志解析类型,1:正则解析
    * @param logResovleTypeList
    */
    public TaskLogInfoQuery logResovleTypeList(List<String> logResovleTypeList){
        this.logResovleTypeList = logResovleTypeList;
		return this;
    }


	/**
    * 设置 日志解析表达式
    * @param logResovleExpr
    */
    public TaskLogInfoQuery logResovleExpr(String logResovleExpr){
        setLogResovleExpr(logResovleExpr);
		return this;
    }

    /**
    * 设置 日志解析表达式
    * @param logResovleExprList
    */
    public TaskLogInfoQuery logResovleExprList(List<String> logResovleExprList){
        this.logResovleExprList = logResovleExprList;
		return this;
    }


	/**
    * 设置 日志输出类型,string,json
    * @param logOutputType
    */
    public TaskLogInfoQuery logOutputType(String logOutputType){
        setLogOutputType(logOutputType);
		return this;
    }

    /**
    * 设置 日志输出类型,string,json
    * @param logOutputTypeList
    */
    public TaskLogInfoQuery logOutputTypeList(List<String> logOutputTypeList){
        this.logOutputTypeList = logOutputTypeList;
		return this;
    }


	/**
    * 设置 日志输出配置
    * @param logOutputConfig
    */
    public TaskLogInfoQuery logOutputConfig(String logOutputConfig){
        setLogOutputConfig(logOutputConfig);
		return this;
    }

    /**
    * 设置 日志输出配置
    * @param logOutputConfigList
    */
    public TaskLogInfoQuery logOutputConfigList(List<String> logOutputConfigList){
        this.logOutputConfigList = logOutputConfigList;
		return this;
    }


	/**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutput
    */
    public TaskLogInfoQuery dataSourcesChooseOutput(String dataSourcesChooseOutput){
        setDataSourcesChooseOutput(dataSourcesChooseOutput);
		return this;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public TaskLogInfoQuery dataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
		return this;
    }


	/**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutput
    */
    public TaskLogInfoQuery dataSourceTypeOutput(String dataSourceTypeOutput){
        setDataSourceTypeOutput(dataSourceTypeOutput);
		return this;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public TaskLogInfoQuery dataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
		return this;
    }


	/**
    * 设置 输出数据源表名,文件名,topic
    * @param dataSourcesOutput
    */
    public TaskLogInfoQuery dataSourcesOutput(String dataSourcesOutput){
        setDataSourcesOutput(dataSourcesOutput);
		return this;
    }

    /**
    * 设置 输出数据源表名,文件名,topic
    * @param dataSourcesOutputList
    */
    public TaskLogInfoQuery dataSourcesOutputList(List<String> dataSourcesOutputList){
        this.dataSourcesOutputList = dataSourcesOutputList;
		return this;
    }


	/**
    * 设置 输出数据字段
    * @param dataSourcesOutputColumns
    */
    public TaskLogInfoQuery dataSourcesOutputColumns(String dataSourcesOutputColumns){
        setDataSourcesOutputColumns(dataSourcesOutputColumns);
		return this;
    }

    /**
    * 设置 输出数据字段
    * @param dataSourcesOutputColumnsList
    */
    public TaskLogInfoQuery dataSourcesOutputColumnsList(List<String> dataSourcesOutputColumnsList){
        this.dataSourcesOutputColumnsList = dataSourcesOutputColumnsList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public TaskLogInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public TaskLogInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public TaskLogInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public TaskLogInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskLogInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskLogInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskLogInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskLogInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskLogInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskLogInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskLogInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskLogInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskLogInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskLogInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskLogInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskLogInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskLogInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskLogInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskLogInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskLogInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskLogInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskLogInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskLogInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskLogInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskLogInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskLogInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskLogInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskLogInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskLogInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskLogInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}