package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskUpdateLogsEntity;
/**
* etl-任务更新日志查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskUpdateLogsQuery extends TaskUpdateLogsEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /**  */
    private List<String> updateContextList;

    /** 排除列表 */
    private List <String> updateContextNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskUpdateLogsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskUpdateLogsQuery> andConditionList;

    public TaskUpdateLogsQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskUpdateLogsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskUpdateLogsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskUpdateLogsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskUpdateLogsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskUpdateLogsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskUpdateLogsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 
    * @param updateContext
    */
    public TaskUpdateLogsQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 
    * @param updateContextList
    */
    public TaskUpdateLogsQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskUpdateLogsQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskUpdateLogsQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskUpdateLogsQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskUpdateLogsQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskUpdateLogsQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskUpdateLogsQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskUpdateLogsQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskUpdateLogsQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskUpdateLogsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskUpdateLogsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskUpdateLogsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskUpdateLogsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskUpdateLogsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskUpdateLogsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskUpdateLogsQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskUpdateLogsQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskUpdateLogsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskUpdateLogsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskUpdateLogsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskUpdateLogsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskUpdateLogsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskUpdateLogsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskUpdateLogsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskUpdateLogsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskUpdateLogsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskUpdateLogsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}