package com.mortals.xhx.module.data.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.data.model.vo.DataTagInfoVo;
import lombok.Data;
/**
* 权限-数据标识信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class DataTagInfoEntity extends DataTagInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标识code
    */
    private String tagCode;
    /**
    * 标识名称
    */
    private String tagName;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DataTagInfoEntity) {
            DataTagInfoEntity tmp = (DataTagInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.tagCode = "";
            this.tagName = "";
            this.productCode = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}