package com.mortals.xhx.module.issue.model;

import java.util.List;
import com.mortals.xhx.module.issue.model.IssueDataInfoEntity;
/**
* 发布数据信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class IssueDataInfoQuery extends IssueDataInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /**  */
    private List<String> issueContextList;

    /** 排除列表 */
    private List <String> issueContextNotList;
    /**  */
    private List<String> dataSourcesChooseInputList;

    /** 排除列表 */
    private List <String> dataSourcesChooseInputNotList;
    /**  */
    private List<String> dataSourceTypeInputList;

    /** 排除列表 */
    private List <String> dataSourceTypeInputNotList;
    /**  */
    private List<String> dataSourcesTableNameInputList;

    /** 排除列表 */
    private List <String> dataSourcesTableNameInputNotList;
    /**  */
    private List<String> dataSourcesFileNameInputList;

    /** 排除列表 */
    private List <String> dataSourcesFileNameInputNotList;
    /**  */
    private List<String> dataSourcesFileColumnsList;

    /** 排除列表 */
    private List <String> dataSourcesFileColumnsNotList;
    /**  */
    private List<String> dataSourcesTableColumnsList;

    /** 排除列表 */
    private List <String> dataSourcesTableColumnsNotList;
    /**  */
    private List<String> columnDatasList;

    /** 排除列表 */
    private List <String> columnDatasNotList;
    /**  */
    private List<String> companyList;

    /** 排除列表 */
    private List <String> companyNotList;
    /**  */
    private List<String> sectionList;

    /** 排除列表 */
    private List <String> sectionNotList;
    /**  */
    private List<String> serviceList;

    /** 排除列表 */
    private List <String> serviceNotList;
    /**  */
    private List<String> updateContextList;

    /** 排除列表 */
    private List <String> updateContextNotList;
    /** 开始 状态 (1.发布,2.未发布) */
    private Integer statusStart;

    /** 结束 状态 (1.发布,2.未发布) */
    private Integer statusEnd;

    /** 增加 状态 (1.发布,2.未发布) */
    private Integer statusIncrement;

    /** 状态 (1.发布,2.未发布)列表 */
    private List <Integer> statusList;

    /** 状态 (1.发布,2.未发布)排除列表 */
    private List <Integer> statusNotList;

    /** 数据标签,多个逗号分割 */
    private List<String> labelParamsList;

    /** 数据标签,多个逗号分割排除列表 */
    private List <String> labelParamsNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<IssueDataInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<IssueDataInfoQuery> andConditionList;

    public IssueDataInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 
    * @return issueContextList
    */
    public List<String> getIssueContextList(){
        return this.issueContextList;
    }

    /**
    * 设置 
    * @param issueContextList
    */
    public void setIssueContextList(List<String> issueContextList){
        this.issueContextList = issueContextList;
    }

    /**
    * 获取 
    * @return issueContextNotList
    */
    public List<String> getIssueContextNotList(){
        return this.issueContextNotList;
    }

    /**
    * 设置 
    * @param issueContextNotList
    */
    public void setIssueContextNotList(List<String> issueContextNotList){
        this.issueContextNotList = issueContextNotList;
    }

    /**
    * 获取 
    * @return dataSourcesChooseInputList
    */
    public List<String> getDataSourcesChooseInputList(){
        return this.dataSourcesChooseInputList;
    }

    /**
    * 设置 
    * @param dataSourcesChooseInputList
    */
    public void setDataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
    }

    /**
    * 获取 
    * @return dataSourcesChooseInputNotList
    */
    public List<String> getDataSourcesChooseInputNotList(){
        return this.dataSourcesChooseInputNotList;
    }

    /**
    * 设置 
    * @param dataSourcesChooseInputNotList
    */
    public void setDataSourcesChooseInputNotList(List<String> dataSourcesChooseInputNotList){
        this.dataSourcesChooseInputNotList = dataSourcesChooseInputNotList;
    }

    /**
    * 获取 
    * @return dataSourceTypeInputList
    */
    public List<String> getDataSourceTypeInputList(){
        return this.dataSourceTypeInputList;
    }

    /**
    * 设置 
    * @param dataSourceTypeInputList
    */
    public void setDataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
    }

    /**
    * 获取 
    * @return dataSourceTypeInputNotList
    */
    public List<String> getDataSourceTypeInputNotList(){
        return this.dataSourceTypeInputNotList;
    }

    /**
    * 设置 
    * @param dataSourceTypeInputNotList
    */
    public void setDataSourceTypeInputNotList(List<String> dataSourceTypeInputNotList){
        this.dataSourceTypeInputNotList = dataSourceTypeInputNotList;
    }

    /**
    * 获取 
    * @return dataSourcesTableNameInputList
    */
    public List<String> getDataSourcesTableNameInputList(){
        return this.dataSourcesTableNameInputList;
    }

    /**
    * 设置 
    * @param dataSourcesTableNameInputList
    */
    public void setDataSourcesTableNameInputList(List<String> dataSourcesTableNameInputList){
        this.dataSourcesTableNameInputList = dataSourcesTableNameInputList;
    }

    /**
    * 获取 
    * @return dataSourcesTableNameInputNotList
    */
    public List<String> getDataSourcesTableNameInputNotList(){
        return this.dataSourcesTableNameInputNotList;
    }

    /**
    * 设置 
    * @param dataSourcesTableNameInputNotList
    */
    public void setDataSourcesTableNameInputNotList(List<String> dataSourcesTableNameInputNotList){
        this.dataSourcesTableNameInputNotList = dataSourcesTableNameInputNotList;
    }

    /**
    * 获取 
    * @return dataSourcesFileNameInputList
    */
    public List<String> getDataSourcesFileNameInputList(){
        return this.dataSourcesFileNameInputList;
    }

    /**
    * 设置 
    * @param dataSourcesFileNameInputList
    */
    public void setDataSourcesFileNameInputList(List<String> dataSourcesFileNameInputList){
        this.dataSourcesFileNameInputList = dataSourcesFileNameInputList;
    }

    /**
    * 获取 
    * @return dataSourcesFileNameInputNotList
    */
    public List<String> getDataSourcesFileNameInputNotList(){
        return this.dataSourcesFileNameInputNotList;
    }

    /**
    * 设置 
    * @param dataSourcesFileNameInputNotList
    */
    public void setDataSourcesFileNameInputNotList(List<String> dataSourcesFileNameInputNotList){
        this.dataSourcesFileNameInputNotList = dataSourcesFileNameInputNotList;
    }

    /**
    * 获取 
    * @return dataSourcesFileColumnsList
    */
    public List<String> getDataSourcesFileColumnsList(){
        return this.dataSourcesFileColumnsList;
    }

    /**
    * 设置 
    * @param dataSourcesFileColumnsList
    */
    public void setDataSourcesFileColumnsList(List<String> dataSourcesFileColumnsList){
        this.dataSourcesFileColumnsList = dataSourcesFileColumnsList;
    }

    /**
    * 获取 
    * @return dataSourcesFileColumnsNotList
    */
    public List<String> getDataSourcesFileColumnsNotList(){
        return this.dataSourcesFileColumnsNotList;
    }

    /**
    * 设置 
    * @param dataSourcesFileColumnsNotList
    */
    public void setDataSourcesFileColumnsNotList(List<String> dataSourcesFileColumnsNotList){
        this.dataSourcesFileColumnsNotList = dataSourcesFileColumnsNotList;
    }

    /**
    * 获取 
    * @return dataSourcesTableColumnsList
    */
    public List<String> getDataSourcesTableColumnsList(){
        return this.dataSourcesTableColumnsList;
    }

    /**
    * 设置 
    * @param dataSourcesTableColumnsList
    */
    public void setDataSourcesTableColumnsList(List<String> dataSourcesTableColumnsList){
        this.dataSourcesTableColumnsList = dataSourcesTableColumnsList;
    }

    /**
    * 获取 
    * @return dataSourcesTableColumnsNotList
    */
    public List<String> getDataSourcesTableColumnsNotList(){
        return this.dataSourcesTableColumnsNotList;
    }

    /**
    * 设置 
    * @param dataSourcesTableColumnsNotList
    */
    public void setDataSourcesTableColumnsNotList(List<String> dataSourcesTableColumnsNotList){
        this.dataSourcesTableColumnsNotList = dataSourcesTableColumnsNotList;
    }

    /**
    * 获取 
    * @return columnDatasList
    */
    public List<String> getColumnDatasList(){
        return this.columnDatasList;
    }

    /**
    * 设置 
    * @param columnDatasList
    */
    public void setColumnDatasList(List<String> columnDatasList){
        this.columnDatasList = columnDatasList;
    }

    /**
    * 获取 
    * @return columnDatasNotList
    */
    public List<String> getColumnDatasNotList(){
        return this.columnDatasNotList;
    }

    /**
    * 设置 
    * @param columnDatasNotList
    */
    public void setColumnDatasNotList(List<String> columnDatasNotList){
        this.columnDatasNotList = columnDatasNotList;
    }

    /**
    * 获取 
    * @return companyList
    */
    public List<String> getCompanyList(){
        return this.companyList;
    }

    /**
    * 设置 
    * @param companyList
    */
    public void setCompanyList(List<String> companyList){
        this.companyList = companyList;
    }

    /**
    * 获取 
    * @return companyNotList
    */
    public List<String> getCompanyNotList(){
        return this.companyNotList;
    }

    /**
    * 设置 
    * @param companyNotList
    */
    public void setCompanyNotList(List<String> companyNotList){
        this.companyNotList = companyNotList;
    }

    /**
    * 获取 
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 开始 状态 (1.发布,2.未发布)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态 (1.发布,2.未发布)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态 (1.发布,2.未发布)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态 (1.发布,2.未发布)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态 (1.发布,2.未发布)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态 (1.发布,2.未发布)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态 (1.发布,2.未发布)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态 (1.发布,2.未发布)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 状态 (1.发布,2.未发布)
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 状态 (1.发布,2.未发布)
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 数据标签,多个逗号分割
    * @return labelParamsList
    */
    public List<String> getLabelParamsList(){
        return this.labelParamsList;
    }

    /**
    * 设置 数据标签,多个逗号分割
    * @param labelParamsList
    */
    public void setLabelParamsList(List<String> labelParamsList){
        this.labelParamsList = labelParamsList;
    }

    /**
    * 获取 数据标签,多个逗号分割
    * @return labelParamsNotList
    */
    public List<String> getLabelParamsNotList(){
        return this.labelParamsNotList;
    }

    /**
    * 设置 数据标签,多个逗号分割
    * @param labelParamsNotList
    */
    public void setLabelParamsNotList(List<String> labelParamsNotList){
        this.labelParamsNotList = labelParamsNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public IssueDataInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public IssueDataInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public IssueDataInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public IssueDataInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public IssueDataInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public IssueDataInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 
    * @param issueContext
    */
    public IssueDataInfoQuery issueContext(String issueContext){
        setIssueContext(issueContext);
		return this;
    }

    /**
    * 设置 
    * @param issueContextList
    */
    public IssueDataInfoQuery issueContextList(List<String> issueContextList){
        this.issueContextList = issueContextList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourcesChooseInput
    */
    public IssueDataInfoQuery dataSourcesChooseInput(String dataSourcesChooseInput){
        setDataSourcesChooseInput(dataSourcesChooseInput);
		return this;
    }

    /**
    * 设置 
    * @param dataSourcesChooseInputList
    */
    public IssueDataInfoQuery dataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourceTypeInput
    */
    public IssueDataInfoQuery dataSourceTypeInput(String dataSourceTypeInput){
        setDataSourceTypeInput(dataSourceTypeInput);
		return this;
    }

    /**
    * 设置 
    * @param dataSourceTypeInputList
    */
    public IssueDataInfoQuery dataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourcesTableNameInput
    */
    public IssueDataInfoQuery dataSourcesTableNameInput(String dataSourcesTableNameInput){
        setDataSourcesTableNameInput(dataSourcesTableNameInput);
		return this;
    }

    /**
    * 设置 
    * @param dataSourcesTableNameInputList
    */
    public IssueDataInfoQuery dataSourcesTableNameInputList(List<String> dataSourcesTableNameInputList){
        this.dataSourcesTableNameInputList = dataSourcesTableNameInputList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourcesFileNameInput
    */
    public IssueDataInfoQuery dataSourcesFileNameInput(String dataSourcesFileNameInput){
        setDataSourcesFileNameInput(dataSourcesFileNameInput);
		return this;
    }

    /**
    * 设置 
    * @param dataSourcesFileNameInputList
    */
    public IssueDataInfoQuery dataSourcesFileNameInputList(List<String> dataSourcesFileNameInputList){
        this.dataSourcesFileNameInputList = dataSourcesFileNameInputList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourcesFileColumns
    */
    public IssueDataInfoQuery dataSourcesFileColumns(String dataSourcesFileColumns){
        setDataSourcesFileColumns(dataSourcesFileColumns);
		return this;
    }

    /**
    * 设置 
    * @param dataSourcesFileColumnsList
    */
    public IssueDataInfoQuery dataSourcesFileColumnsList(List<String> dataSourcesFileColumnsList){
        this.dataSourcesFileColumnsList = dataSourcesFileColumnsList;
		return this;
    }


	/**
    * 设置 
    * @param dataSourcesTableColumns
    */
    public IssueDataInfoQuery dataSourcesTableColumns(String dataSourcesTableColumns){
        setDataSourcesTableColumns(dataSourcesTableColumns);
		return this;
    }

    /**
    * 设置 
    * @param dataSourcesTableColumnsList
    */
    public IssueDataInfoQuery dataSourcesTableColumnsList(List<String> dataSourcesTableColumnsList){
        this.dataSourcesTableColumnsList = dataSourcesTableColumnsList;
		return this;
    }


	/**
    * 设置 
    * @param columnDatas
    */
    public IssueDataInfoQuery columnDatas(String columnDatas){
        setColumnDatas(columnDatas);
		return this;
    }

    /**
    * 设置 
    * @param columnDatasList
    */
    public IssueDataInfoQuery columnDatasList(List<String> columnDatasList){
        this.columnDatasList = columnDatasList;
		return this;
    }


	/**
    * 设置 
    * @param company
    */
    public IssueDataInfoQuery company(String company){
        setCompany(company);
		return this;
    }

    /**
    * 设置 
    * @param companyList
    */
    public IssueDataInfoQuery companyList(List<String> companyList){
        this.companyList = companyList;
		return this;
    }


	/**
    * 设置 
    * @param section
    */
    public IssueDataInfoQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 
    * @param sectionList
    */
    public IssueDataInfoQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 
    * @param service
    */
    public IssueDataInfoQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 
    * @param serviceList
    */
    public IssueDataInfoQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 
    * @param updateContext
    */
    public IssueDataInfoQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 
    * @param updateContextList
    */
    public IssueDataInfoQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }

    /**
    * 设置  状态 (1.发布,2.未发布)
    * @param status
    */
    public IssueDataInfoQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态 (1.发布,2.未发布)
    * @param statusStart
    */
    public IssueDataInfoQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态 (1.发布,2.未发布)
    * @param statusEnd
    */
    public IssueDataInfoQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态 (1.发布,2.未发布)
    * @param statusIncrement
    */
    public IssueDataInfoQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态 (1.发布,2.未发布)
    * @param statusList
    */
    public IssueDataInfoQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 状态 (1.发布,2.未发布)
        * @param statusNotList
        */
        public IssueDataInfoQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }


	/**
    * 设置 数据标签,多个逗号分割
    * @param labelParams
    */
    public IssueDataInfoQuery labelParams(String labelParams){
        setLabelParams(labelParams);
		return this;
    }

    /**
    * 设置 数据标签,多个逗号分割
    * @param labelParamsList
    */
    public IssueDataInfoQuery labelParamsList(List<String> labelParamsList){
        this.labelParamsList = labelParamsList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public IssueDataInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public IssueDataInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public IssueDataInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public IssueDataInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public IssueDataInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public IssueDataInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public IssueDataInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public IssueDataInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public IssueDataInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public IssueDataInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public IssueDataInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public IssueDataInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public IssueDataInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public IssueDataInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public IssueDataInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public IssueDataInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public IssueDataInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public IssueDataInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public IssueDataInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public IssueDataInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public IssueDataInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public IssueDataInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<IssueDataInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<IssueDataInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<IssueDataInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<IssueDataInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}