package com.mortals.xhx.module.jar.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.jar.dao.JarFileInfoDao;
import com.mortals.xhx.module.jar.model.JarFileInfoEntity;
import com.mortals.xhx.module.jar.service.JarFileInfoService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* JarFileInfoService
* jar文件上传信息 service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("jarFileInfoService")
@Slf4j
public class JarFileInfoServiceImpl extends AbstractCRUDServiceImpl<JarFileInfoDao, JarFileInfoEntity, Long> implements JarFileInfoService {
        @Override
    protected void saveBefore(JarFileInfoEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setId(IdUtil.getSnowflake(0,1).nextId());
    super.saveBefore(entity, context);
    }

}