package com.mortals.xhx.module.label.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.label.model.vo.LabelCompleteInfoVo;
import lombok.Data;
/**
* 标签完成信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class LabelCompleteInfoEntity extends LabelCompleteInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标签code
    */
    private String labelCode;
    /**
    * 任务时间
    */
    private Date taskTime;
    /**
    * 启用状态 (0.停止,1.启用)
    */
    private Integer enabled;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof LabelCompleteInfoEntity) {
            LabelCompleteInfoEntity tmp = (LabelCompleteInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.labelCode = "";
            this.taskTime = null;
            this.enabled = 1;
            this.owner = "";
            this.createUserName = "";
    }
}