package com.mortals.xhx.module.more.model;

import java.util.List;
import com.mortals.xhx.module.more.model.MoreTaskInfoEntity;
/**
* etl多源任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class MoreTaskInfoQuery extends MoreTaskInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> etlContextList;

    /** 任务说明排除列表 */
    private List <String> etlContextNotList;
    /** 任务id列表 */
    private List<String> etlIdsList;

    /** 任务id列表排除列表 */
    private List <String> etlIdsNotList;
    /** 多源任务逻辑 */
    private List<String> etlSqlList;

    /** 多源任务逻辑排除列表 */
    private List <String> etlSqlNotList;
    /** 输出数据源id */
    private List<String> dataSourcesChooseOutputList;

    /** 输出数据源id排除列表 */
    private List <String> dataSourcesChooseOutputNotList;
    /** 输出数据源类型 */
    private List<String> dataSourceTypeOutputList;

    /** 输出数据源类型排除列表 */
    private List <String> dataSourceTypeOutputNotList;
    /** 输出数据源表名 */
    private List<String> dataSourcesTableNameOutputList;

    /** 输出数据源表名排除列表 */
    private List <String> dataSourcesTableNameOutputNotList;
    /** 输出数据源文件名 */
    private List<String> dataSourcesFileNameOutputList;

    /** 输出数据源文件名排除列表 */
    private List <String> dataSourcesFileNameOutputNotList;
    /** 输出数据源参数 */
    private List<String> dataSourcesParamsOutputList;

    /** 输出数据源参数排除列表 */
    private List <String> dataSourcesParamsOutputNotList;
    /** 删除临时表名 */
    private List<String> dropTmpTablesList;

    /** 删除临时表名排除列表 */
    private List <String> dropTmpTablesNotList;
    /** 输出文件类型 */
    private List<String> fileTypeOutputList;

    /** 输出文件类型排除列表 */
    private List <String> fileTypeOutputNotList;
    /** 输出文件编码 */
    private List<String> encodingOutputList;

    /** 输出文件编码排除列表 */
    private List <String> encodingOutputNotList;
    /** 输出文件分割符 */
    private List<String> sepOutputList;

    /** 输出文件分割符排除列表 */
    private List <String> sepOutputNotList;
    /** 输出文件是否带有表头 */
    private List<String> headerOutputList;

    /** 输出文件是否带有表头排除列表 */
    private List <String> headerOutputNotList;
    /** 写入模式默认空 */
    private List<String> modelOutputList;

    /** 写入模式默认空排除列表 */
    private List <String> modelOutputNotList;
    /** 分区字段默认空 */
    private List<String> partitionByOutputList;

    /** 分区字段默认空排除列表 */
    private List <String> partitionByOutputNotList;
    /** 合并小文件默认-1 不合并 */
    private List<String> mergeOutputList;

    /** 合并小文件默认-1 不合并排除列表 */
    private List <String> mergeOutputNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MoreTaskInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MoreTaskInfoQuery> andConditionList;

    public MoreTaskInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return etlContextList
    */
    public List<String> getEtlContextList(){
        return this.etlContextList;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public void setEtlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
    }

    /**
    * 获取 任务说明
    * @return etlContextNotList
    */
    public List<String> getEtlContextNotList(){
        return this.etlContextNotList;
    }

    /**
    * 设置 任务说明
    * @param etlContextNotList
    */
    public void setEtlContextNotList(List<String> etlContextNotList){
        this.etlContextNotList = etlContextNotList;
    }

    /**
    * 获取 任务id列表
    * @return etlIdsList
    */
    public List<String> getEtlIdsList(){
        return this.etlIdsList;
    }

    /**
    * 设置 任务id列表
    * @param etlIdsList
    */
    public void setEtlIdsList(List<String> etlIdsList){
        this.etlIdsList = etlIdsList;
    }

    /**
    * 获取 任务id列表
    * @return etlIdsNotList
    */
    public List<String> getEtlIdsNotList(){
        return this.etlIdsNotList;
    }

    /**
    * 设置 任务id列表
    * @param etlIdsNotList
    */
    public void setEtlIdsNotList(List<String> etlIdsNotList){
        this.etlIdsNotList = etlIdsNotList;
    }

    /**
    * 获取 多源任务逻辑
    * @return etlSqlList
    */
    public List<String> getEtlSqlList(){
        return this.etlSqlList;
    }

    /**
    * 设置 多源任务逻辑
    * @param etlSqlList
    */
    public void setEtlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
    }

    /**
    * 获取 多源任务逻辑
    * @return etlSqlNotList
    */
    public List<String> getEtlSqlNotList(){
        return this.etlSqlNotList;
    }

    /**
    * 设置 多源任务逻辑
    * @param etlSqlNotList
    */
    public void setEtlSqlNotList(List<String> etlSqlNotList){
        this.etlSqlNotList = etlSqlNotList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputList
    */
    public List<String> getDataSourcesChooseOutputList(){
        return this.dataSourcesChooseOutputList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public void setDataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputNotList
    */
    public List<String> getDataSourcesChooseOutputNotList(){
        return this.dataSourcesChooseOutputNotList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputNotList
    */
    public void setDataSourcesChooseOutputNotList(List<String> dataSourcesChooseOutputNotList){
        this.dataSourcesChooseOutputNotList = dataSourcesChooseOutputNotList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputList
    */
    public List<String> getDataSourceTypeOutputList(){
        return this.dataSourceTypeOutputList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public void setDataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputNotList
    */
    public List<String> getDataSourceTypeOutputNotList(){
        return this.dataSourceTypeOutputNotList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputNotList
    */
    public void setDataSourceTypeOutputNotList(List<String> dataSourceTypeOutputNotList){
        this.dataSourceTypeOutputNotList = dataSourceTypeOutputNotList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputList
    */
    public List<String> getDataSourcesTableNameOutputList(){
        return this.dataSourcesTableNameOutputList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public void setDataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputNotList
    */
    public List<String> getDataSourcesTableNameOutputNotList(){
        return this.dataSourcesTableNameOutputNotList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputNotList
    */
    public void setDataSourcesTableNameOutputNotList(List<String> dataSourcesTableNameOutputNotList){
        this.dataSourcesTableNameOutputNotList = dataSourcesTableNameOutputNotList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputList
    */
    public List<String> getDataSourcesFileNameOutputList(){
        return this.dataSourcesFileNameOutputList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public void setDataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputNotList
    */
    public List<String> getDataSourcesFileNameOutputNotList(){
        return this.dataSourcesFileNameOutputNotList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputNotList
    */
    public void setDataSourcesFileNameOutputNotList(List<String> dataSourcesFileNameOutputNotList){
        this.dataSourcesFileNameOutputNotList = dataSourcesFileNameOutputNotList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputList
    */
    public List<String> getDataSourcesParamsOutputList(){
        return this.dataSourcesParamsOutputList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public void setDataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputNotList
    */
    public List<String> getDataSourcesParamsOutputNotList(){
        return this.dataSourcesParamsOutputNotList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputNotList
    */
    public void setDataSourcesParamsOutputNotList(List<String> dataSourcesParamsOutputNotList){
        this.dataSourcesParamsOutputNotList = dataSourcesParamsOutputNotList;
    }

    /**
    * 获取 删除临时表名
    * @return dropTmpTablesList
    */
    public List<String> getDropTmpTablesList(){
        return this.dropTmpTablesList;
    }

    /**
    * 设置 删除临时表名
    * @param dropTmpTablesList
    */
    public void setDropTmpTablesList(List<String> dropTmpTablesList){
        this.dropTmpTablesList = dropTmpTablesList;
    }

    /**
    * 获取 删除临时表名
    * @return dropTmpTablesNotList
    */
    public List<String> getDropTmpTablesNotList(){
        return this.dropTmpTablesNotList;
    }

    /**
    * 设置 删除临时表名
    * @param dropTmpTablesNotList
    */
    public void setDropTmpTablesNotList(List<String> dropTmpTablesNotList){
        this.dropTmpTablesNotList = dropTmpTablesNotList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputList
    */
    public List<String> getFileTypeOutputList(){
        return this.fileTypeOutputList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public void setFileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputNotList
    */
    public List<String> getFileTypeOutputNotList(){
        return this.fileTypeOutputNotList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputNotList
    */
    public void setFileTypeOutputNotList(List<String> fileTypeOutputNotList){
        this.fileTypeOutputNotList = fileTypeOutputNotList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputList
    */
    public List<String> getEncodingOutputList(){
        return this.encodingOutputList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public void setEncodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputNotList
    */
    public List<String> getEncodingOutputNotList(){
        return this.encodingOutputNotList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputNotList
    */
    public void setEncodingOutputNotList(List<String> encodingOutputNotList){
        this.encodingOutputNotList = encodingOutputNotList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputList
    */
    public List<String> getSepOutputList(){
        return this.sepOutputList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public void setSepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputNotList
    */
    public List<String> getSepOutputNotList(){
        return this.sepOutputNotList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputNotList
    */
    public void setSepOutputNotList(List<String> sepOutputNotList){
        this.sepOutputNotList = sepOutputNotList;
    }

    /**
    * 获取 输出文件是否带有表头
    * @return headerOutputList
    */
    public List<String> getHeaderOutputList(){
        return this.headerOutputList;
    }

    /**
    * 设置 输出文件是否带有表头
    * @param headerOutputList
    */
    public void setHeaderOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
    }

    /**
    * 获取 输出文件是否带有表头
    * @return headerOutputNotList
    */
    public List<String> getHeaderOutputNotList(){
        return this.headerOutputNotList;
    }

    /**
    * 设置 输出文件是否带有表头
    * @param headerOutputNotList
    */
    public void setHeaderOutputNotList(List<String> headerOutputNotList){
        this.headerOutputNotList = headerOutputNotList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputList
    */
    public List<String> getModelOutputList(){
        return this.modelOutputList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public void setModelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputNotList
    */
    public List<String> getModelOutputNotList(){
        return this.modelOutputNotList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputNotList
    */
    public void setModelOutputNotList(List<String> modelOutputNotList){
        this.modelOutputNotList = modelOutputNotList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputList
    */
    public List<String> getPartitionByOutputList(){
        return this.partitionByOutputList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public void setPartitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputNotList
    */
    public List<String> getPartitionByOutputNotList(){
        return this.partitionByOutputNotList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputNotList
    */
    public void setPartitionByOutputNotList(List<String> partitionByOutputNotList){
        this.partitionByOutputNotList = partitionByOutputNotList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputList
    */
    public List<String> getMergeOutputList(){
        return this.mergeOutputList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public void setMergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputNotList
    */
    public List<String> getMergeOutputNotList(){
        return this.mergeOutputNotList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputNotList
    */
    public void setMergeOutputNotList(List<String> mergeOutputNotList){
        this.mergeOutputNotList = mergeOutputNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public MoreTaskInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public MoreTaskInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public MoreTaskInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public MoreTaskInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public MoreTaskInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public MoreTaskInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param etlContext
    */
    public MoreTaskInfoQuery etlContext(String etlContext){
        setEtlContext(etlContext);
		return this;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public MoreTaskInfoQuery etlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
		return this;
    }


	/**
    * 设置 任务id列表
    * @param etlIds
    */
    public MoreTaskInfoQuery etlIds(String etlIds){
        setEtlIds(etlIds);
		return this;
    }

    /**
    * 设置 任务id列表
    * @param etlIdsList
    */
    public MoreTaskInfoQuery etlIdsList(List<String> etlIdsList){
        this.etlIdsList = etlIdsList;
		return this;
    }


	/**
    * 设置 多源任务逻辑
    * @param etlSql
    */
    public MoreTaskInfoQuery etlSql(String etlSql){
        setEtlSql(etlSql);
		return this;
    }

    /**
    * 设置 多源任务逻辑
    * @param etlSqlList
    */
    public MoreTaskInfoQuery etlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
		return this;
    }


	/**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutput
    */
    public MoreTaskInfoQuery dataSourcesChooseOutput(String dataSourcesChooseOutput){
        setDataSourcesChooseOutput(dataSourcesChooseOutput);
		return this;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public MoreTaskInfoQuery dataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
		return this;
    }


	/**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutput
    */
    public MoreTaskInfoQuery dataSourceTypeOutput(String dataSourceTypeOutput){
        setDataSourceTypeOutput(dataSourceTypeOutput);
		return this;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public MoreTaskInfoQuery dataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
		return this;
    }


	/**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutput
    */
    public MoreTaskInfoQuery dataSourcesTableNameOutput(String dataSourcesTableNameOutput){
        setDataSourcesTableNameOutput(dataSourcesTableNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public MoreTaskInfoQuery dataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutput
    */
    public MoreTaskInfoQuery dataSourcesFileNameOutput(String dataSourcesFileNameOutput){
        setDataSourcesFileNameOutput(dataSourcesFileNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public MoreTaskInfoQuery dataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutput
    */
    public MoreTaskInfoQuery dataSourcesParamsOutput(String dataSourcesParamsOutput){
        setDataSourcesParamsOutput(dataSourcesParamsOutput);
		return this;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public MoreTaskInfoQuery dataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
		return this;
    }


	/**
    * 设置 删除临时表名
    * @param dropTmpTables
    */
    public MoreTaskInfoQuery dropTmpTables(String dropTmpTables){
        setDropTmpTables(dropTmpTables);
		return this;
    }

    /**
    * 设置 删除临时表名
    * @param dropTmpTablesList
    */
    public MoreTaskInfoQuery dropTmpTablesList(List<String> dropTmpTablesList){
        this.dropTmpTablesList = dropTmpTablesList;
		return this;
    }


	/**
    * 设置 输出文件类型
    * @param fileTypeOutput
    */
    public MoreTaskInfoQuery fileTypeOutput(String fileTypeOutput){
        setFileTypeOutput(fileTypeOutput);
		return this;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public MoreTaskInfoQuery fileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
		return this;
    }


	/**
    * 设置 输出文件编码
    * @param encodingOutput
    */
    public MoreTaskInfoQuery encodingOutput(String encodingOutput){
        setEncodingOutput(encodingOutput);
		return this;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public MoreTaskInfoQuery encodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
		return this;
    }


	/**
    * 设置 输出文件分割符
    * @param sepOutput
    */
    public MoreTaskInfoQuery sepOutput(String sepOutput){
        setSepOutput(sepOutput);
		return this;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public MoreTaskInfoQuery sepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
		return this;
    }


	/**
    * 设置 输出文件是否带有表头
    * @param headerOutput
    */
    public MoreTaskInfoQuery headerOutput(String headerOutput){
        setHeaderOutput(headerOutput);
		return this;
    }

    /**
    * 设置 输出文件是否带有表头
    * @param headerOutputList
    */
    public MoreTaskInfoQuery headerOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
		return this;
    }


	/**
    * 设置 写入模式默认空
    * @param modelOutput
    */
    public MoreTaskInfoQuery modelOutput(String modelOutput){
        setModelOutput(modelOutput);
		return this;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public MoreTaskInfoQuery modelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
		return this;
    }


	/**
    * 设置 分区字段默认空
    * @param partitionByOutput
    */
    public MoreTaskInfoQuery partitionByOutput(String partitionByOutput){
        setPartitionByOutput(partitionByOutput);
		return this;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public MoreTaskInfoQuery partitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
		return this;
    }


	/**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutput
    */
    public MoreTaskInfoQuery mergeOutput(String mergeOutput){
        setMergeOutput(mergeOutput);
		return this;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public MoreTaskInfoQuery mergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public MoreTaskInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public MoreTaskInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public MoreTaskInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public MoreTaskInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public MoreTaskInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public MoreTaskInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public MoreTaskInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public MoreTaskInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public MoreTaskInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public MoreTaskInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public MoreTaskInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public MoreTaskInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MoreTaskInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MoreTaskInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MoreTaskInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MoreTaskInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MoreTaskInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public MoreTaskInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public MoreTaskInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public MoreTaskInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public MoreTaskInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public MoreTaskInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public MoreTaskInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public MoreTaskInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public MoreTaskInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public MoreTaskInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MoreTaskInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MoreTaskInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MoreTaskInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MoreTaskInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}