package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzBlobTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzBlobTriggersQuery extends QrtzBlobTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzBlobTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzBlobTriggersQuery> andConditionList;

    public QrtzBlobTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzBlobTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzBlobTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzBlobTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzBlobTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzBlobTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzBlobTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzBlobTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzBlobTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzBlobTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzBlobTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}