package com.mortals.xhx.module.qrtz.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzFiredTriggersVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzFiredTriggersEntity extends QrtzFiredTriggersVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String entryId;
    /**
    * 
    */
    private String triggerName;
    /**
    * 
    */
    private String triggerGroup;
    /**
    * 
    */
    private String instanceName;
    /**
    * 
    */
    private Long firedTime;
    /**
    * 
    */
    private Long schedTime;
    /**
    * 
    */
    private Long priority;
    /**
    * 
    */
    private String state;
    /**
    * 
    */
    private String jobName;
    /**
    * 
    */
    private String jobGroup;
    /**
    * 
    */
    private String isNonconcurrent;
    /**
    * 
    */
    private String requestsRecovery;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzFiredTriggersEntity) {
            QrtzFiredTriggersEntity tmp = (QrtzFiredTriggersEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.entryId = "";
            this.triggerName = "";
            this.triggerGroup = "";
            this.instanceName = "";
            this.firedTime = null;
            this.schedTime = null;
            this.priority = null;
            this.state = "";
            this.jobName = "";
            this.jobGroup = "";
            this.isNonconcurrent = "";
            this.requestsRecovery = "";
    }
}