package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzFiredTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzFiredTriggersQuery extends QrtzFiredTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> entryIdList;

    /** 排除列表 */
    private List <String> entryIdNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /**  */
    private List<String> instanceNameList;

    /** 排除列表 */
    private List <String> instanceNameNotList;
    /** 开始  */
    private Long firedTimeStart;

    /** 结束  */
    private Long firedTimeEnd;

    /** 增加  */
    private Long firedTimeIncrement;

    /** 列表 */
    private List <Long> firedTimeList;

    /** 排除列表 */
    private List <Long> firedTimeNotList;

    /** 开始  */
    private Long schedTimeStart;

    /** 结束  */
    private Long schedTimeEnd;

    /** 增加  */
    private Long schedTimeIncrement;

    /** 列表 */
    private List <Long> schedTimeList;

    /** 排除列表 */
    private List <Long> schedTimeNotList;

    /** 开始  */
    private Long priorityStart;

    /** 结束  */
    private Long priorityEnd;

    /** 增加  */
    private Long priorityIncrement;

    /** 列表 */
    private List <Long> priorityList;

    /** 排除列表 */
    private List <Long> priorityNotList;

    /**  */
    private List<String> stateList;

    /** 排除列表 */
    private List <String> stateNotList;
    /**  */
    private List<String> jobNameList;

    /** 排除列表 */
    private List <String> jobNameNotList;
    /**  */
    private List<String> jobGroupList;

    /** 排除列表 */
    private List <String> jobGroupNotList;
    /**  */
    private List<String> isNonconcurrentList;

    /** 排除列表 */
    private List <String> isNonconcurrentNotList;
    /**  */
    private List<String> requestsRecoveryList;

    /** 排除列表 */
    private List <String> requestsRecoveryNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzFiredTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzFiredTriggersQuery> andConditionList;

    public QrtzFiredTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return entryIdList
    */
    public List<String> getEntryIdList(){
        return this.entryIdList;
    }

    /**
    * 设置 
    * @param entryIdList
    */
    public void setEntryIdList(List<String> entryIdList){
        this.entryIdList = entryIdList;
    }

    /**
    * 获取 
    * @return entryIdNotList
    */
    public List<String> getEntryIdNotList(){
        return this.entryIdNotList;
    }

    /**
    * 设置 
    * @param entryIdNotList
    */
    public void setEntryIdNotList(List<String> entryIdNotList){
        this.entryIdNotList = entryIdNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }

    /**
    * 获取 
    * @return instanceNameList
    */
    public List<String> getInstanceNameList(){
        return this.instanceNameList;
    }

    /**
    * 设置 
    * @param instanceNameList
    */
    public void setInstanceNameList(List<String> instanceNameList){
        this.instanceNameList = instanceNameList;
    }

    /**
    * 获取 
    * @return instanceNameNotList
    */
    public List<String> getInstanceNameNotList(){
        return this.instanceNameNotList;
    }

    /**
    * 设置 
    * @param instanceNameNotList
    */
    public void setInstanceNameNotList(List<String> instanceNameNotList){
        this.instanceNameNotList = instanceNameNotList;
    }

    /**
    * 获取 开始 
    * @return firedTimeStart
    */
    public Long getFiredTimeStart(){
        return this.firedTimeStart;
    }

    /**
    * 设置 开始 
    * @param firedTimeStart
    */
    public void setFiredTimeStart(Long firedTimeStart){
        this.firedTimeStart = firedTimeStart;
    }

    /**
    * 获取 结束 
    * @return $firedTimeEnd
    */
    public Long getFiredTimeEnd(){
        return this.firedTimeEnd;
    }

    /**
    * 设置 结束 
    * @param firedTimeEnd
    */
    public void setFiredTimeEnd(Long firedTimeEnd){
        this.firedTimeEnd = firedTimeEnd;
    }

    /**
    * 获取 增加 
    * @return firedTimeIncrement
    */
    public Long getFiredTimeIncrement(){
        return this.firedTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param firedTimeIncrement
    */
    public void setFiredTimeIncrement(Long firedTimeIncrement){
        this.firedTimeIncrement = firedTimeIncrement;
    }

    /**
    * 获取 
    * @return firedTimeList
    */
    public List<Long> getFiredTimeList(){
        return this.firedTimeList;
    }

    /**
    * 设置 
    * @param firedTimeList
    */
    public void setFiredTimeList(List<Long> firedTimeList){
        this.firedTimeList = firedTimeList;
    }

    /**
    * 获取 
    * @return firedTimeNotList
    */
    public List<Long> getFiredTimeNotList(){
        return this.firedTimeNotList;
    }

    /**
    * 设置 
    * @param firedTimeNotList
    */
    public void setFiredTimeNotList(List<Long> firedTimeNotList){
        this.firedTimeNotList = firedTimeNotList;
    }


    /**
    * 获取 开始 
    * @return schedTimeStart
    */
    public Long getSchedTimeStart(){
        return this.schedTimeStart;
    }

    /**
    * 设置 开始 
    * @param schedTimeStart
    */
    public void setSchedTimeStart(Long schedTimeStart){
        this.schedTimeStart = schedTimeStart;
    }

    /**
    * 获取 结束 
    * @return $schedTimeEnd
    */
    public Long getSchedTimeEnd(){
        return this.schedTimeEnd;
    }

    /**
    * 设置 结束 
    * @param schedTimeEnd
    */
    public void setSchedTimeEnd(Long schedTimeEnd){
        this.schedTimeEnd = schedTimeEnd;
    }

    /**
    * 获取 增加 
    * @return schedTimeIncrement
    */
    public Long getSchedTimeIncrement(){
        return this.schedTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param schedTimeIncrement
    */
    public void setSchedTimeIncrement(Long schedTimeIncrement){
        this.schedTimeIncrement = schedTimeIncrement;
    }

    /**
    * 获取 
    * @return schedTimeList
    */
    public List<Long> getSchedTimeList(){
        return this.schedTimeList;
    }

    /**
    * 设置 
    * @param schedTimeList
    */
    public void setSchedTimeList(List<Long> schedTimeList){
        this.schedTimeList = schedTimeList;
    }

    /**
    * 获取 
    * @return schedTimeNotList
    */
    public List<Long> getSchedTimeNotList(){
        return this.schedTimeNotList;
    }

    /**
    * 设置 
    * @param schedTimeNotList
    */
    public void setSchedTimeNotList(List<Long> schedTimeNotList){
        this.schedTimeNotList = schedTimeNotList;
    }


    /**
    * 获取 开始 
    * @return priorityStart
    */
    public Long getPriorityStart(){
        return this.priorityStart;
    }

    /**
    * 设置 开始 
    * @param priorityStart
    */
    public void setPriorityStart(Long priorityStart){
        this.priorityStart = priorityStart;
    }

    /**
    * 获取 结束 
    * @return $priorityEnd
    */
    public Long getPriorityEnd(){
        return this.priorityEnd;
    }

    /**
    * 设置 结束 
    * @param priorityEnd
    */
    public void setPriorityEnd(Long priorityEnd){
        this.priorityEnd = priorityEnd;
    }

    /**
    * 获取 增加 
    * @return priorityIncrement
    */
    public Long getPriorityIncrement(){
        return this.priorityIncrement;
    }

    /**
    * 设置 增加 
    * @param priorityIncrement
    */
    public void setPriorityIncrement(Long priorityIncrement){
        this.priorityIncrement = priorityIncrement;
    }

    /**
    * 获取 
    * @return priorityList
    */
    public List<Long> getPriorityList(){
        return this.priorityList;
    }

    /**
    * 设置 
    * @param priorityList
    */
    public void setPriorityList(List<Long> priorityList){
        this.priorityList = priorityList;
    }

    /**
    * 获取 
    * @return priorityNotList
    */
    public List<Long> getPriorityNotList(){
        return this.priorityNotList;
    }

    /**
    * 设置 
    * @param priorityNotList
    */
    public void setPriorityNotList(List<Long> priorityNotList){
        this.priorityNotList = priorityNotList;
    }


    /**
    * 获取 
    * @return stateList
    */
    public List<String> getStateList(){
        return this.stateList;
    }

    /**
    * 设置 
    * @param stateList
    */
    public void setStateList(List<String> stateList){
        this.stateList = stateList;
    }

    /**
    * 获取 
    * @return stateNotList
    */
    public List<String> getStateNotList(){
        return this.stateNotList;
    }

    /**
    * 设置 
    * @param stateNotList
    */
    public void setStateNotList(List<String> stateNotList){
        this.stateNotList = stateNotList;
    }

    /**
    * 获取 
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 
    * @return jobGroupList
    */
    public List<String> getJobGroupList(){
        return this.jobGroupList;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public void setJobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
    }

    /**
    * 获取 
    * @return jobGroupNotList
    */
    public List<String> getJobGroupNotList(){
        return this.jobGroupNotList;
    }

    /**
    * 设置 
    * @param jobGroupNotList
    */
    public void setJobGroupNotList(List<String> jobGroupNotList){
        this.jobGroupNotList = jobGroupNotList;
    }

    /**
    * 获取 
    * @return isNonconcurrentList
    */
    public List<String> getIsNonconcurrentList(){
        return this.isNonconcurrentList;
    }

    /**
    * 设置 
    * @param isNonconcurrentList
    */
    public void setIsNonconcurrentList(List<String> isNonconcurrentList){
        this.isNonconcurrentList = isNonconcurrentList;
    }

    /**
    * 获取 
    * @return isNonconcurrentNotList
    */
    public List<String> getIsNonconcurrentNotList(){
        return this.isNonconcurrentNotList;
    }

    /**
    * 设置 
    * @param isNonconcurrentNotList
    */
    public void setIsNonconcurrentNotList(List<String> isNonconcurrentNotList){
        this.isNonconcurrentNotList = isNonconcurrentNotList;
    }

    /**
    * 获取 
    * @return requestsRecoveryList
    */
    public List<String> getRequestsRecoveryList(){
        return this.requestsRecoveryList;
    }

    /**
    * 设置 
    * @param requestsRecoveryList
    */
    public void setRequestsRecoveryList(List<String> requestsRecoveryList){
        this.requestsRecoveryList = requestsRecoveryList;
    }

    /**
    * 获取 
    * @return requestsRecoveryNotList
    */
    public List<String> getRequestsRecoveryNotList(){
        return this.requestsRecoveryNotList;
    }

    /**
    * 设置 
    * @param requestsRecoveryNotList
    */
    public void setRequestsRecoveryNotList(List<String> requestsRecoveryNotList){
        this.requestsRecoveryNotList = requestsRecoveryNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzFiredTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzFiredTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param entryId
    */
    public QrtzFiredTriggersQuery entryId(String entryId){
        setEntryId(entryId);
		return this;
    }

    /**
    * 设置 
    * @param entryIdList
    */
    public QrtzFiredTriggersQuery entryIdList(List<String> entryIdList){
        this.entryIdList = entryIdList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzFiredTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzFiredTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzFiredTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzFiredTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }


	/**
    * 设置 
    * @param instanceName
    */
    public QrtzFiredTriggersQuery instanceName(String instanceName){
        setInstanceName(instanceName);
		return this;
    }

    /**
    * 设置 
    * @param instanceNameList
    */
    public QrtzFiredTriggersQuery instanceNameList(List<String> instanceNameList){
        this.instanceNameList = instanceNameList;
		return this;
    }

    /**
    * 设置  
    * @param firedTime
    */
    public QrtzFiredTriggersQuery firedTime(Long firedTime){
	    setFiredTime(firedTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param firedTimeStart
    */
    public QrtzFiredTriggersQuery firedTimeStart(Long firedTimeStart){
		this.firedTimeStart = firedTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param firedTimeEnd
    */
    public QrtzFiredTriggersQuery firedTimeEnd(Long firedTimeEnd){
		this.firedTimeEnd = firedTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param firedTimeIncrement
    */
    public QrtzFiredTriggersQuery firedTimeIncrement(Long firedTimeIncrement){
		this.firedTimeIncrement = firedTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param firedTimeList
    */
    public QrtzFiredTriggersQuery firedTimeList(List<Long> firedTimeList){
        this.firedTimeList = firedTimeList;
		return this;
        }

        /**
        * 设置 
        * @param firedTimeNotList
        */
        public QrtzFiredTriggersQuery firedTimeNotList(List<Long> firedTimeNotList){
        this.firedTimeNotList = firedTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param schedTime
    */
    public QrtzFiredTriggersQuery schedTime(Long schedTime){
	    setSchedTime(schedTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param schedTimeStart
    */
    public QrtzFiredTriggersQuery schedTimeStart(Long schedTimeStart){
		this.schedTimeStart = schedTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param schedTimeEnd
    */
    public QrtzFiredTriggersQuery schedTimeEnd(Long schedTimeEnd){
		this.schedTimeEnd = schedTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param schedTimeIncrement
    */
    public QrtzFiredTriggersQuery schedTimeIncrement(Long schedTimeIncrement){
		this.schedTimeIncrement = schedTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param schedTimeList
    */
    public QrtzFiredTriggersQuery schedTimeList(List<Long> schedTimeList){
        this.schedTimeList = schedTimeList;
		return this;
        }

        /**
        * 设置 
        * @param schedTimeNotList
        */
        public QrtzFiredTriggersQuery schedTimeNotList(List<Long> schedTimeNotList){
        this.schedTimeNotList = schedTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param priority
    */
    public QrtzFiredTriggersQuery priority(Long priority){
	    setPriority(priority);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param priorityStart
    */
    public QrtzFiredTriggersQuery priorityStart(Long priorityStart){
		this.priorityStart = priorityStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param priorityEnd
    */
    public QrtzFiredTriggersQuery priorityEnd(Long priorityEnd){
		this.priorityEnd = priorityEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param priorityIncrement
    */
    public QrtzFiredTriggersQuery priorityIncrement(Long priorityIncrement){
		this.priorityIncrement = priorityIncrement;
		return this;
    }

    /**
    * 设置 
    * @param priorityList
    */
    public QrtzFiredTriggersQuery priorityList(List<Long> priorityList){
        this.priorityList = priorityList;
		return this;
        }

        /**
        * 设置 
        * @param priorityNotList
        */
        public QrtzFiredTriggersQuery priorityNotList(List<Long> priorityNotList){
        this.priorityNotList = priorityNotList;
        return this;
        }


	/**
    * 设置 
    * @param state
    */
    public QrtzFiredTriggersQuery state(String state){
        setState(state);
		return this;
    }

    /**
    * 设置 
    * @param stateList
    */
    public QrtzFiredTriggersQuery stateList(List<String> stateList){
        this.stateList = stateList;
		return this;
    }


	/**
    * 设置 
    * @param jobName
    */
    public QrtzFiredTriggersQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public QrtzFiredTriggersQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }


	/**
    * 设置 
    * @param jobGroup
    */
    public QrtzFiredTriggersQuery jobGroup(String jobGroup){
        setJobGroup(jobGroup);
		return this;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public QrtzFiredTriggersQuery jobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
		return this;
    }


	/**
    * 设置 
    * @param isNonconcurrent
    */
    public QrtzFiredTriggersQuery isNonconcurrent(String isNonconcurrent){
        setIsNonconcurrent(isNonconcurrent);
		return this;
    }

    /**
    * 设置 
    * @param isNonconcurrentList
    */
    public QrtzFiredTriggersQuery isNonconcurrentList(List<String> isNonconcurrentList){
        this.isNonconcurrentList = isNonconcurrentList;
		return this;
    }


	/**
    * 设置 
    * @param requestsRecovery
    */
    public QrtzFiredTriggersQuery requestsRecovery(String requestsRecovery){
        setRequestsRecovery(requestsRecovery);
		return this;
    }

    /**
    * 设置 
    * @param requestsRecoveryList
    */
    public QrtzFiredTriggersQuery requestsRecoveryList(List<String> requestsRecoveryList){
        this.requestsRecoveryList = requestsRecoveryList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzFiredTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzFiredTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzFiredTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzFiredTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}