package com.mortals.xhx.module.qrtz.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzJobDetailsVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzJobDetailsEntity extends QrtzJobDetailsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String jobName;
    /**
    * 
    */
    private String jobGroup;
    /**
    * 
    */
    private String description;
    /**
    * 
    */
    private String jobClassName;
    /**
    * 
    */
    private String isDurable;
    /**
    * 
    */
    private String isNonconcurrent;
    /**
    * 
    */
    private String isUpdateData;
    /**
    * 
    */
    private String requestsRecovery;
    /**
    * 
    */
    private byte[] jobData;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzJobDetailsEntity) {
            QrtzJobDetailsEntity tmp = (QrtzJobDetailsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.jobName = "";
            this.jobGroup = "";
            this.description = "";
            this.jobClassName = "";
            this.isDurable = "";
            this.isNonconcurrent = "";
            this.isUpdateData = "";
            this.requestsRecovery = "";
            this.jobData = null;
    }
}