package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzJobDetailsEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzJobDetailsQuery extends QrtzJobDetailsEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> jobNameList;

    /** 排除列表 */
    private List <String> jobNameNotList;
    /**  */
    private List<String> jobGroupList;

    /** 排除列表 */
    private List <String> jobGroupNotList;
    /**  */
    private List<String> descriptionList;

    /** 排除列表 */
    private List <String> descriptionNotList;
    /**  */
    private List<String> jobClassNameList;

    /** 排除列表 */
    private List <String> jobClassNameNotList;
    /**  */
    private List<String> isDurableList;

    /** 排除列表 */
    private List <String> isDurableNotList;
    /**  */
    private List<String> isNonconcurrentList;

    /** 排除列表 */
    private List <String> isNonconcurrentNotList;
    /**  */
    private List<String> isUpdateDataList;

    /** 排除列表 */
    private List <String> isUpdateDataNotList;
    /**  */
    private List<String> requestsRecoveryList;

    /** 排除列表 */
    private List <String> requestsRecoveryNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzJobDetailsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzJobDetailsQuery> andConditionList;

    public QrtzJobDetailsQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 
    * @return jobGroupList
    */
    public List<String> getJobGroupList(){
        return this.jobGroupList;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public void setJobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
    }

    /**
    * 获取 
    * @return jobGroupNotList
    */
    public List<String> getJobGroupNotList(){
        return this.jobGroupNotList;
    }

    /**
    * 设置 
    * @param jobGroupNotList
    */
    public void setJobGroupNotList(List<String> jobGroupNotList){
        this.jobGroupNotList = jobGroupNotList;
    }

    /**
    * 获取 
    * @return descriptionList
    */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
    * 设置 
    * @param descriptionList
    */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
    * 获取 
    * @return descriptionNotList
    */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
    * 设置 
    * @param descriptionNotList
    */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
    * 获取 
    * @return jobClassNameList
    */
    public List<String> getJobClassNameList(){
        return this.jobClassNameList;
    }

    /**
    * 设置 
    * @param jobClassNameList
    */
    public void setJobClassNameList(List<String> jobClassNameList){
        this.jobClassNameList = jobClassNameList;
    }

    /**
    * 获取 
    * @return jobClassNameNotList
    */
    public List<String> getJobClassNameNotList(){
        return this.jobClassNameNotList;
    }

    /**
    * 设置 
    * @param jobClassNameNotList
    */
    public void setJobClassNameNotList(List<String> jobClassNameNotList){
        this.jobClassNameNotList = jobClassNameNotList;
    }

    /**
    * 获取 
    * @return isDurableList
    */
    public List<String> getIsDurableList(){
        return this.isDurableList;
    }

    /**
    * 设置 
    * @param isDurableList
    */
    public void setIsDurableList(List<String> isDurableList){
        this.isDurableList = isDurableList;
    }

    /**
    * 获取 
    * @return isDurableNotList
    */
    public List<String> getIsDurableNotList(){
        return this.isDurableNotList;
    }

    /**
    * 设置 
    * @param isDurableNotList
    */
    public void setIsDurableNotList(List<String> isDurableNotList){
        this.isDurableNotList = isDurableNotList;
    }

    /**
    * 获取 
    * @return isNonconcurrentList
    */
    public List<String> getIsNonconcurrentList(){
        return this.isNonconcurrentList;
    }

    /**
    * 设置 
    * @param isNonconcurrentList
    */
    public void setIsNonconcurrentList(List<String> isNonconcurrentList){
        this.isNonconcurrentList = isNonconcurrentList;
    }

    /**
    * 获取 
    * @return isNonconcurrentNotList
    */
    public List<String> getIsNonconcurrentNotList(){
        return this.isNonconcurrentNotList;
    }

    /**
    * 设置 
    * @param isNonconcurrentNotList
    */
    public void setIsNonconcurrentNotList(List<String> isNonconcurrentNotList){
        this.isNonconcurrentNotList = isNonconcurrentNotList;
    }

    /**
    * 获取 
    * @return isUpdateDataList
    */
    public List<String> getIsUpdateDataList(){
        return this.isUpdateDataList;
    }

    /**
    * 设置 
    * @param isUpdateDataList
    */
    public void setIsUpdateDataList(List<String> isUpdateDataList){
        this.isUpdateDataList = isUpdateDataList;
    }

    /**
    * 获取 
    * @return isUpdateDataNotList
    */
    public List<String> getIsUpdateDataNotList(){
        return this.isUpdateDataNotList;
    }

    /**
    * 设置 
    * @param isUpdateDataNotList
    */
    public void setIsUpdateDataNotList(List<String> isUpdateDataNotList){
        this.isUpdateDataNotList = isUpdateDataNotList;
    }

    /**
    * 获取 
    * @return requestsRecoveryList
    */
    public List<String> getRequestsRecoveryList(){
        return this.requestsRecoveryList;
    }

    /**
    * 设置 
    * @param requestsRecoveryList
    */
    public void setRequestsRecoveryList(List<String> requestsRecoveryList){
        this.requestsRecoveryList = requestsRecoveryList;
    }

    /**
    * 获取 
    * @return requestsRecoveryNotList
    */
    public List<String> getRequestsRecoveryNotList(){
        return this.requestsRecoveryNotList;
    }

    /**
    * 设置 
    * @param requestsRecoveryNotList
    */
    public void setRequestsRecoveryNotList(List<String> requestsRecoveryNotList){
        this.requestsRecoveryNotList = requestsRecoveryNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzJobDetailsQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzJobDetailsQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param jobName
    */
    public QrtzJobDetailsQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public QrtzJobDetailsQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }


	/**
    * 设置 
    * @param jobGroup
    */
    public QrtzJobDetailsQuery jobGroup(String jobGroup){
        setJobGroup(jobGroup);
		return this;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public QrtzJobDetailsQuery jobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
		return this;
    }


	/**
    * 设置 
    * @param description
    */
    public QrtzJobDetailsQuery description(String description){
        setDescription(description);
		return this;
    }

    /**
    * 设置 
    * @param descriptionList
    */
    public QrtzJobDetailsQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
		return this;
    }


	/**
    * 设置 
    * @param jobClassName
    */
    public QrtzJobDetailsQuery jobClassName(String jobClassName){
        setJobClassName(jobClassName);
		return this;
    }

    /**
    * 设置 
    * @param jobClassNameList
    */
    public QrtzJobDetailsQuery jobClassNameList(List<String> jobClassNameList){
        this.jobClassNameList = jobClassNameList;
		return this;
    }


	/**
    * 设置 
    * @param isDurable
    */
    public QrtzJobDetailsQuery isDurable(String isDurable){
        setIsDurable(isDurable);
		return this;
    }

    /**
    * 设置 
    * @param isDurableList
    */
    public QrtzJobDetailsQuery isDurableList(List<String> isDurableList){
        this.isDurableList = isDurableList;
		return this;
    }


	/**
    * 设置 
    * @param isNonconcurrent
    */
    public QrtzJobDetailsQuery isNonconcurrent(String isNonconcurrent){
        setIsNonconcurrent(isNonconcurrent);
		return this;
    }

    /**
    * 设置 
    * @param isNonconcurrentList
    */
    public QrtzJobDetailsQuery isNonconcurrentList(List<String> isNonconcurrentList){
        this.isNonconcurrentList = isNonconcurrentList;
		return this;
    }


	/**
    * 设置 
    * @param isUpdateData
    */
    public QrtzJobDetailsQuery isUpdateData(String isUpdateData){
        setIsUpdateData(isUpdateData);
		return this;
    }

    /**
    * 设置 
    * @param isUpdateDataList
    */
    public QrtzJobDetailsQuery isUpdateDataList(List<String> isUpdateDataList){
        this.isUpdateDataList = isUpdateDataList;
		return this;
    }


	/**
    * 设置 
    * @param requestsRecovery
    */
    public QrtzJobDetailsQuery requestsRecovery(String requestsRecovery){
        setRequestsRecovery(requestsRecovery);
		return this;
    }

    /**
    * 设置 
    * @param requestsRecoveryList
    */
    public QrtzJobDetailsQuery requestsRecoveryList(List<String> requestsRecoveryList){
        this.requestsRecoveryList = requestsRecoveryList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzJobDetailsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzJobDetailsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzJobDetailsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzJobDetailsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}