package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzSimpleTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzSimpleTriggersQuery extends QrtzSimpleTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /** 开始  */
    private Integer repeatCountStart;

    /** 结束  */
    private Integer repeatCountEnd;

    /** 增加  */
    private Integer repeatCountIncrement;

    /** 列表 */
    private List <Integer> repeatCountList;

    /** 排除列表 */
    private List <Integer> repeatCountNotList;

    /** 开始  */
    private Long repeatIntervalStart;

    /** 结束  */
    private Long repeatIntervalEnd;

    /** 增加  */
    private Long repeatIntervalIncrement;

    /** 列表 */
    private List <Long> repeatIntervalList;

    /** 排除列表 */
    private List <Long> repeatIntervalNotList;

    /** 开始  */
    private Integer timesTriggeredStart;

    /** 结束  */
    private Integer timesTriggeredEnd;

    /** 增加  */
    private Integer timesTriggeredIncrement;

    /** 列表 */
    private List <Integer> timesTriggeredList;

    /** 排除列表 */
    private List <Integer> timesTriggeredNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzSimpleTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzSimpleTriggersQuery> andConditionList;

    public QrtzSimpleTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }

    /**
    * 获取 开始 
    * @return repeatCountStart
    */
    public Integer getRepeatCountStart(){
        return this.repeatCountStart;
    }

    /**
    * 设置 开始 
    * @param repeatCountStart
    */
    public void setRepeatCountStart(Integer repeatCountStart){
        this.repeatCountStart = repeatCountStart;
    }

    /**
    * 获取 结束 
    * @return $repeatCountEnd
    */
    public Integer getRepeatCountEnd(){
        return this.repeatCountEnd;
    }

    /**
    * 设置 结束 
    * @param repeatCountEnd
    */
    public void setRepeatCountEnd(Integer repeatCountEnd){
        this.repeatCountEnd = repeatCountEnd;
    }

    /**
    * 获取 增加 
    * @return repeatCountIncrement
    */
    public Integer getRepeatCountIncrement(){
        return this.repeatCountIncrement;
    }

    /**
    * 设置 增加 
    * @param repeatCountIncrement
    */
    public void setRepeatCountIncrement(Integer repeatCountIncrement){
        this.repeatCountIncrement = repeatCountIncrement;
    }

    /**
    * 获取 
    * @return repeatCountList
    */
    public List<Integer> getRepeatCountList(){
        return this.repeatCountList;
    }

    /**
    * 设置 
    * @param repeatCountList
    */
    public void setRepeatCountList(List<Integer> repeatCountList){
        this.repeatCountList = repeatCountList;
    }

    /**
    * 获取 
    * @return repeatCountNotList
    */
    public List<Integer> getRepeatCountNotList(){
        return this.repeatCountNotList;
    }

    /**
    * 设置 
    * @param repeatCountNotList
    */
    public void setRepeatCountNotList(List<Integer> repeatCountNotList){
        this.repeatCountNotList = repeatCountNotList;
    }


    /**
    * 获取 开始 
    * @return repeatIntervalStart
    */
    public Long getRepeatIntervalStart(){
        return this.repeatIntervalStart;
    }

    /**
    * 设置 开始 
    * @param repeatIntervalStart
    */
    public void setRepeatIntervalStart(Long repeatIntervalStart){
        this.repeatIntervalStart = repeatIntervalStart;
    }

    /**
    * 获取 结束 
    * @return $repeatIntervalEnd
    */
    public Long getRepeatIntervalEnd(){
        return this.repeatIntervalEnd;
    }

    /**
    * 设置 结束 
    * @param repeatIntervalEnd
    */
    public void setRepeatIntervalEnd(Long repeatIntervalEnd){
        this.repeatIntervalEnd = repeatIntervalEnd;
    }

    /**
    * 获取 增加 
    * @return repeatIntervalIncrement
    */
    public Long getRepeatIntervalIncrement(){
        return this.repeatIntervalIncrement;
    }

    /**
    * 设置 增加 
    * @param repeatIntervalIncrement
    */
    public void setRepeatIntervalIncrement(Long repeatIntervalIncrement){
        this.repeatIntervalIncrement = repeatIntervalIncrement;
    }

    /**
    * 获取 
    * @return repeatIntervalList
    */
    public List<Long> getRepeatIntervalList(){
        return this.repeatIntervalList;
    }

    /**
    * 设置 
    * @param repeatIntervalList
    */
    public void setRepeatIntervalList(List<Long> repeatIntervalList){
        this.repeatIntervalList = repeatIntervalList;
    }

    /**
    * 获取 
    * @return repeatIntervalNotList
    */
    public List<Long> getRepeatIntervalNotList(){
        return this.repeatIntervalNotList;
    }

    /**
    * 设置 
    * @param repeatIntervalNotList
    */
    public void setRepeatIntervalNotList(List<Long> repeatIntervalNotList){
        this.repeatIntervalNotList = repeatIntervalNotList;
    }


    /**
    * 获取 开始 
    * @return timesTriggeredStart
    */
    public Integer getTimesTriggeredStart(){
        return this.timesTriggeredStart;
    }

    /**
    * 设置 开始 
    * @param timesTriggeredStart
    */
    public void setTimesTriggeredStart(Integer timesTriggeredStart){
        this.timesTriggeredStart = timesTriggeredStart;
    }

    /**
    * 获取 结束 
    * @return $timesTriggeredEnd
    */
    public Integer getTimesTriggeredEnd(){
        return this.timesTriggeredEnd;
    }

    /**
    * 设置 结束 
    * @param timesTriggeredEnd
    */
    public void setTimesTriggeredEnd(Integer timesTriggeredEnd){
        this.timesTriggeredEnd = timesTriggeredEnd;
    }

    /**
    * 获取 增加 
    * @return timesTriggeredIncrement
    */
    public Integer getTimesTriggeredIncrement(){
        return this.timesTriggeredIncrement;
    }

    /**
    * 设置 增加 
    * @param timesTriggeredIncrement
    */
    public void setTimesTriggeredIncrement(Integer timesTriggeredIncrement){
        this.timesTriggeredIncrement = timesTriggeredIncrement;
    }

    /**
    * 获取 
    * @return timesTriggeredList
    */
    public List<Integer> getTimesTriggeredList(){
        return this.timesTriggeredList;
    }

    /**
    * 设置 
    * @param timesTriggeredList
    */
    public void setTimesTriggeredList(List<Integer> timesTriggeredList){
        this.timesTriggeredList = timesTriggeredList;
    }

    /**
    * 获取 
    * @return timesTriggeredNotList
    */
    public List<Integer> getTimesTriggeredNotList(){
        return this.timesTriggeredNotList;
    }

    /**
    * 设置 
    * @param timesTriggeredNotList
    */
    public void setTimesTriggeredNotList(List<Integer> timesTriggeredNotList){
        this.timesTriggeredNotList = timesTriggeredNotList;
    }



	/**
    * 设置 
    * @param schedName
    */
    public QrtzSimpleTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzSimpleTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzSimpleTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzSimpleTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzSimpleTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzSimpleTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }

    /**
    * 设置  
    * @param repeatCount
    */
    public QrtzSimpleTriggersQuery repeatCount(Integer repeatCount){
	    setRepeatCount(repeatCount);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param repeatCountStart
    */
    public QrtzSimpleTriggersQuery repeatCountStart(Integer repeatCountStart){
		this.repeatCountStart = repeatCountStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param repeatCountEnd
    */
    public QrtzSimpleTriggersQuery repeatCountEnd(Integer repeatCountEnd){
		this.repeatCountEnd = repeatCountEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param repeatCountIncrement
    */
    public QrtzSimpleTriggersQuery repeatCountIncrement(Integer repeatCountIncrement){
		this.repeatCountIncrement = repeatCountIncrement;
		return this;
    }

    /**
    * 设置 
    * @param repeatCountList
    */
    public QrtzSimpleTriggersQuery repeatCountList(List<Integer> repeatCountList){
        this.repeatCountList = repeatCountList;
		return this;
        }

        /**
        * 设置 
        * @param repeatCountNotList
        */
        public QrtzSimpleTriggersQuery repeatCountNotList(List<Integer> repeatCountNotList){
        this.repeatCountNotList = repeatCountNotList;
        return this;
        }

    /**
    * 设置  
    * @param repeatInterval
    */
    public QrtzSimpleTriggersQuery repeatInterval(Long repeatInterval){
	    setRepeatInterval(repeatInterval);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param repeatIntervalStart
    */
    public QrtzSimpleTriggersQuery repeatIntervalStart(Long repeatIntervalStart){
		this.repeatIntervalStart = repeatIntervalStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param repeatIntervalEnd
    */
    public QrtzSimpleTriggersQuery repeatIntervalEnd(Long repeatIntervalEnd){
		this.repeatIntervalEnd = repeatIntervalEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param repeatIntervalIncrement
    */
    public QrtzSimpleTriggersQuery repeatIntervalIncrement(Long repeatIntervalIncrement){
		this.repeatIntervalIncrement = repeatIntervalIncrement;
		return this;
    }

    /**
    * 设置 
    * @param repeatIntervalList
    */
    public QrtzSimpleTriggersQuery repeatIntervalList(List<Long> repeatIntervalList){
        this.repeatIntervalList = repeatIntervalList;
		return this;
        }

        /**
        * 设置 
        * @param repeatIntervalNotList
        */
        public QrtzSimpleTriggersQuery repeatIntervalNotList(List<Long> repeatIntervalNotList){
        this.repeatIntervalNotList = repeatIntervalNotList;
        return this;
        }

    /**
    * 设置  
    * @param timesTriggered
    */
    public QrtzSimpleTriggersQuery timesTriggered(Integer timesTriggered){
	    setTimesTriggered(timesTriggered);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param timesTriggeredStart
    */
    public QrtzSimpleTriggersQuery timesTriggeredStart(Integer timesTriggeredStart){
		this.timesTriggeredStart = timesTriggeredStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param timesTriggeredEnd
    */
    public QrtzSimpleTriggersQuery timesTriggeredEnd(Integer timesTriggeredEnd){
		this.timesTriggeredEnd = timesTriggeredEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param timesTriggeredIncrement
    */
    public QrtzSimpleTriggersQuery timesTriggeredIncrement(Integer timesTriggeredIncrement){
		this.timesTriggeredIncrement = timesTriggeredIncrement;
		return this;
    }

    /**
    * 设置 
    * @param timesTriggeredList
    */
    public QrtzSimpleTriggersQuery timesTriggeredList(List<Integer> timesTriggeredList){
        this.timesTriggeredList = timesTriggeredList;
		return this;
        }

        /**
        * 设置 
        * @param timesTriggeredNotList
        */
        public QrtzSimpleTriggersQuery timesTriggeredNotList(List<Integer> timesTriggeredNotList){
        this.timesTriggeredNotList = timesTriggeredNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzSimpleTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzSimpleTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzSimpleTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzSimpleTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}