package com.mortals.xhx.module.qrtz.model;
import java.math.BigDecimal;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzSimpropTriggersVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzSimpropTriggersEntity extends QrtzSimpropTriggersVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String triggerName;
    /**
    * 
    */
    private String triggerGroup;
    /**
    * 
    */
    private String strProp1;
    /**
    * 
    */
    private String strProp2;
    /**
    * 
    */
    private String strProp3;
    /**
    * 
    */
    private Long intProp1;
    /**
    * 
    */
    private Long intProp2;
    /**
    * 
    */
    private Long longProp1;
    /**
    * 
    */
    private Long longProp2;
    /**
    * 
    */
    private BigDecimal decProp1;
    /**
    * 
    */
    private BigDecimal decProp2;
    /**
    * 
    */
    private String boolProp1;
    /**
    * 
    */
    private String boolProp2;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzSimpropTriggersEntity) {
            QrtzSimpropTriggersEntity tmp = (QrtzSimpropTriggersEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.triggerName = "";
            this.triggerGroup = "";
            this.strProp1 = "";
            this.strProp2 = "";
            this.strProp3 = "";
            this.intProp1 = null;
            this.intProp2 = null;
            this.longProp1 = null;
            this.longProp2 = null;
            this.decProp1 = BigDecimal.ZERO;
            this.decProp2 = BigDecimal.ZERO;
            this.boolProp1 = "";
            this.boolProp2 = "";
    }
}