package com.mortals.xhx.module.qrtz.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzSimpropTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzSimpropTriggersQuery extends QrtzSimpropTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /**  */
    private List<String> strProp1List;

    /** 排除列表 */
    private List <String> strProp1NotList;
    /**  */
    private List<String> strProp2List;

    /** 排除列表 */
    private List <String> strProp2NotList;
    /**  */
    private List<String> strProp3List;

    /** 排除列表 */
    private List <String> strProp3NotList;
    /** 开始  */
    private Long intProp1Start;

    /** 结束  */
    private Long intProp1End;

    /** 增加  */
    private Long intProp1Increment;

    /** 列表 */
    private List <Long> intProp1List;

    /** 排除列表 */
    private List <Long> intProp1NotList;

    /** 开始  */
    private Long intProp2Start;

    /** 结束  */
    private Long intProp2End;

    /** 增加  */
    private Long intProp2Increment;

    /** 列表 */
    private List <Long> intProp2List;

    /** 排除列表 */
    private List <Long> intProp2NotList;

    /** 开始  */
    private Long longProp1Start;

    /** 结束  */
    private Long longProp1End;

    /** 增加  */
    private Long longProp1Increment;

    /** 列表 */
    private List <Long> longProp1List;

    /** 排除列表 */
    private List <Long> longProp1NotList;

    /** 开始  */
    private Long longProp2Start;

    /** 结束  */
    private Long longProp2End;

    /** 增加  */
    private Long longProp2Increment;

    /** 列表 */
    private List <Long> longProp2List;

    /** 排除列表 */
    private List <Long> longProp2NotList;

    /** 开始  */
    private BigDecimal decProp1Start;

    /** 结束  */
    private BigDecimal decProp1End;

    /** 增加  */
    private BigDecimal decProp1Increment;

    /** 列表 */
    private List <BigDecimal> decProp1List;

    /** 排除列表 */
    private List <BigDecimal> decProp1NotList;

    /** 开始  */
    private BigDecimal decProp2Start;

    /** 结束  */
    private BigDecimal decProp2End;

    /** 增加  */
    private BigDecimal decProp2Increment;

    /** 列表 */
    private List <BigDecimal> decProp2List;

    /** 排除列表 */
    private List <BigDecimal> decProp2NotList;

    /**  */
    private List<String> boolProp1List;

    /** 排除列表 */
    private List <String> boolProp1NotList;
    /**  */
    private List<String> boolProp2List;

    /** 排除列表 */
    private List <String> boolProp2NotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzSimpropTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzSimpropTriggersQuery> andConditionList;

    public QrtzSimpropTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }

    /**
    * 获取 
    * @return strProp1List
    */
    public List<String> getStrProp1List(){
        return this.strProp1List;
    }

    /**
    * 设置 
    * @param strProp1List
    */
    public void setStrProp1List(List<String> strProp1List){
        this.strProp1List = strProp1List;
    }

    /**
    * 获取 
    * @return strProp1NotList
    */
    public List<String> getStrProp1NotList(){
        return this.strProp1NotList;
    }

    /**
    * 设置 
    * @param strProp1NotList
    */
    public void setStrProp1NotList(List<String> strProp1NotList){
        this.strProp1NotList = strProp1NotList;
    }

    /**
    * 获取 
    * @return strProp2List
    */
    public List<String> getStrProp2List(){
        return this.strProp2List;
    }

    /**
    * 设置 
    * @param strProp2List
    */
    public void setStrProp2List(List<String> strProp2List){
        this.strProp2List = strProp2List;
    }

    /**
    * 获取 
    * @return strProp2NotList
    */
    public List<String> getStrProp2NotList(){
        return this.strProp2NotList;
    }

    /**
    * 设置 
    * @param strProp2NotList
    */
    public void setStrProp2NotList(List<String> strProp2NotList){
        this.strProp2NotList = strProp2NotList;
    }

    /**
    * 获取 
    * @return strProp3List
    */
    public List<String> getStrProp3List(){
        return this.strProp3List;
    }

    /**
    * 设置 
    * @param strProp3List
    */
    public void setStrProp3List(List<String> strProp3List){
        this.strProp3List = strProp3List;
    }

    /**
    * 获取 
    * @return strProp3NotList
    */
    public List<String> getStrProp3NotList(){
        return this.strProp3NotList;
    }

    /**
    * 设置 
    * @param strProp3NotList
    */
    public void setStrProp3NotList(List<String> strProp3NotList){
        this.strProp3NotList = strProp3NotList;
    }

    /**
    * 获取 开始 
    * @return intProp1Start
    */
    public Long getIntProp1Start(){
        return this.intProp1Start;
    }

    /**
    * 设置 开始 
    * @param intProp1Start
    */
    public void setIntProp1Start(Long intProp1Start){
        this.intProp1Start = intProp1Start;
    }

    /**
    * 获取 结束 
    * @return $intProp1End
    */
    public Long getIntProp1End(){
        return this.intProp1End;
    }

    /**
    * 设置 结束 
    * @param intProp1End
    */
    public void setIntProp1End(Long intProp1End){
        this.intProp1End = intProp1End;
    }

    /**
    * 获取 增加 
    * @return intProp1Increment
    */
    public Long getIntProp1Increment(){
        return this.intProp1Increment;
    }

    /**
    * 设置 增加 
    * @param intProp1Increment
    */
    public void setIntProp1Increment(Long intProp1Increment){
        this.intProp1Increment = intProp1Increment;
    }

    /**
    * 获取 
    * @return intProp1List
    */
    public List<Long> getIntProp1List(){
        return this.intProp1List;
    }

    /**
    * 设置 
    * @param intProp1List
    */
    public void setIntProp1List(List<Long> intProp1List){
        this.intProp1List = intProp1List;
    }

    /**
    * 获取 
    * @return intProp1NotList
    */
    public List<Long> getIntProp1NotList(){
        return this.intProp1NotList;
    }

    /**
    * 设置 
    * @param intProp1NotList
    */
    public void setIntProp1NotList(List<Long> intProp1NotList){
        this.intProp1NotList = intProp1NotList;
    }


    /**
    * 获取 开始 
    * @return intProp2Start
    */
    public Long getIntProp2Start(){
        return this.intProp2Start;
    }

    /**
    * 设置 开始 
    * @param intProp2Start
    */
    public void setIntProp2Start(Long intProp2Start){
        this.intProp2Start = intProp2Start;
    }

    /**
    * 获取 结束 
    * @return $intProp2End
    */
    public Long getIntProp2End(){
        return this.intProp2End;
    }

    /**
    * 设置 结束 
    * @param intProp2End
    */
    public void setIntProp2End(Long intProp2End){
        this.intProp2End = intProp2End;
    }

    /**
    * 获取 增加 
    * @return intProp2Increment
    */
    public Long getIntProp2Increment(){
        return this.intProp2Increment;
    }

    /**
    * 设置 增加 
    * @param intProp2Increment
    */
    public void setIntProp2Increment(Long intProp2Increment){
        this.intProp2Increment = intProp2Increment;
    }

    /**
    * 获取 
    * @return intProp2List
    */
    public List<Long> getIntProp2List(){
        return this.intProp2List;
    }

    /**
    * 设置 
    * @param intProp2List
    */
    public void setIntProp2List(List<Long> intProp2List){
        this.intProp2List = intProp2List;
    }

    /**
    * 获取 
    * @return intProp2NotList
    */
    public List<Long> getIntProp2NotList(){
        return this.intProp2NotList;
    }

    /**
    * 设置 
    * @param intProp2NotList
    */
    public void setIntProp2NotList(List<Long> intProp2NotList){
        this.intProp2NotList = intProp2NotList;
    }


    /**
    * 获取 开始 
    * @return longProp1Start
    */
    public Long getLongProp1Start(){
        return this.longProp1Start;
    }

    /**
    * 设置 开始 
    * @param longProp1Start
    */
    public void setLongProp1Start(Long longProp1Start){
        this.longProp1Start = longProp1Start;
    }

    /**
    * 获取 结束 
    * @return $longProp1End
    */
    public Long getLongProp1End(){
        return this.longProp1End;
    }

    /**
    * 设置 结束 
    * @param longProp1End
    */
    public void setLongProp1End(Long longProp1End){
        this.longProp1End = longProp1End;
    }

    /**
    * 获取 增加 
    * @return longProp1Increment
    */
    public Long getLongProp1Increment(){
        return this.longProp1Increment;
    }

    /**
    * 设置 增加 
    * @param longProp1Increment
    */
    public void setLongProp1Increment(Long longProp1Increment){
        this.longProp1Increment = longProp1Increment;
    }

    /**
    * 获取 
    * @return longProp1List
    */
    public List<Long> getLongProp1List(){
        return this.longProp1List;
    }

    /**
    * 设置 
    * @param longProp1List
    */
    public void setLongProp1List(List<Long> longProp1List){
        this.longProp1List = longProp1List;
    }

    /**
    * 获取 
    * @return longProp1NotList
    */
    public List<Long> getLongProp1NotList(){
        return this.longProp1NotList;
    }

    /**
    * 设置 
    * @param longProp1NotList
    */
    public void setLongProp1NotList(List<Long> longProp1NotList){
        this.longProp1NotList = longProp1NotList;
    }


    /**
    * 获取 开始 
    * @return longProp2Start
    */
    public Long getLongProp2Start(){
        return this.longProp2Start;
    }

    /**
    * 设置 开始 
    * @param longProp2Start
    */
    public void setLongProp2Start(Long longProp2Start){
        this.longProp2Start = longProp2Start;
    }

    /**
    * 获取 结束 
    * @return $longProp2End
    */
    public Long getLongProp2End(){
        return this.longProp2End;
    }

    /**
    * 设置 结束 
    * @param longProp2End
    */
    public void setLongProp2End(Long longProp2End){
        this.longProp2End = longProp2End;
    }

    /**
    * 获取 增加 
    * @return longProp2Increment
    */
    public Long getLongProp2Increment(){
        return this.longProp2Increment;
    }

    /**
    * 设置 增加 
    * @param longProp2Increment
    */
    public void setLongProp2Increment(Long longProp2Increment){
        this.longProp2Increment = longProp2Increment;
    }

    /**
    * 获取 
    * @return longProp2List
    */
    public List<Long> getLongProp2List(){
        return this.longProp2List;
    }

    /**
    * 设置 
    * @param longProp2List
    */
    public void setLongProp2List(List<Long> longProp2List){
        this.longProp2List = longProp2List;
    }

    /**
    * 获取 
    * @return longProp2NotList
    */
    public List<Long> getLongProp2NotList(){
        return this.longProp2NotList;
    }

    /**
    * 设置 
    * @param longProp2NotList
    */
    public void setLongProp2NotList(List<Long> longProp2NotList){
        this.longProp2NotList = longProp2NotList;
    }


    /**
    * 获取 开始 
    * @return decProp1Start
    */
    public BigDecimal getDecProp1Start(){
        return this.decProp1Start;
    }

    /**
    * 设置 开始 
    * @param decProp1Start
    */
    public void setDecProp1Start(BigDecimal decProp1Start){
        this.decProp1Start = decProp1Start;
    }

    /**
    * 获取 结束 
    * @return $decProp1End
    */
    public BigDecimal getDecProp1End(){
        return this.decProp1End;
    }

    /**
    * 设置 结束 
    * @param decProp1End
    */
    public void setDecProp1End(BigDecimal decProp1End){
        this.decProp1End = decProp1End;
    }

    /**
    * 获取 增加 
    * @return decProp1Increment
    */
    public BigDecimal getDecProp1Increment(){
        return this.decProp1Increment;
    }

    /**
    * 设置 增加 
    * @param decProp1Increment
    */
    public void setDecProp1Increment(BigDecimal decProp1Increment){
        this.decProp1Increment = decProp1Increment;
    }

    /**
    * 获取 
    * @return decProp1List
    */
    public List<BigDecimal> getDecProp1List(){
        return this.decProp1List;
    }

    /**
    * 设置 
    * @param decProp1List
    */
    public void setDecProp1List(List<BigDecimal> decProp1List){
        this.decProp1List = decProp1List;
    }

    /**
    * 获取 
    * @return decProp1NotList
    */
    public List<BigDecimal> getDecProp1NotList(){
        return this.decProp1NotList;
    }

    /**
    * 设置 
    * @param decProp1NotList
    */
    public void setDecProp1NotList(List<BigDecimal> decProp1NotList){
        this.decProp1NotList = decProp1NotList;
    }


    /**
    * 获取 开始 
    * @return decProp2Start
    */
    public BigDecimal getDecProp2Start(){
        return this.decProp2Start;
    }

    /**
    * 设置 开始 
    * @param decProp2Start
    */
    public void setDecProp2Start(BigDecimal decProp2Start){
        this.decProp2Start = decProp2Start;
    }

    /**
    * 获取 结束 
    * @return $decProp2End
    */
    public BigDecimal getDecProp2End(){
        return this.decProp2End;
    }

    /**
    * 设置 结束 
    * @param decProp2End
    */
    public void setDecProp2End(BigDecimal decProp2End){
        this.decProp2End = decProp2End;
    }

    /**
    * 获取 增加 
    * @return decProp2Increment
    */
    public BigDecimal getDecProp2Increment(){
        return this.decProp2Increment;
    }

    /**
    * 设置 增加 
    * @param decProp2Increment
    */
    public void setDecProp2Increment(BigDecimal decProp2Increment){
        this.decProp2Increment = decProp2Increment;
    }

    /**
    * 获取 
    * @return decProp2List
    */
    public List<BigDecimal> getDecProp2List(){
        return this.decProp2List;
    }

    /**
    * 设置 
    * @param decProp2List
    */
    public void setDecProp2List(List<BigDecimal> decProp2List){
        this.decProp2List = decProp2List;
    }

    /**
    * 获取 
    * @return decProp2NotList
    */
    public List<BigDecimal> getDecProp2NotList(){
        return this.decProp2NotList;
    }

    /**
    * 设置 
    * @param decProp2NotList
    */
    public void setDecProp2NotList(List<BigDecimal> decProp2NotList){
        this.decProp2NotList = decProp2NotList;
    }


    /**
    * 获取 
    * @return boolProp1List
    */
    public List<String> getBoolProp1List(){
        return this.boolProp1List;
    }

    /**
    * 设置 
    * @param boolProp1List
    */
    public void setBoolProp1List(List<String> boolProp1List){
        this.boolProp1List = boolProp1List;
    }

    /**
    * 获取 
    * @return boolProp1NotList
    */
    public List<String> getBoolProp1NotList(){
        return this.boolProp1NotList;
    }

    /**
    * 设置 
    * @param boolProp1NotList
    */
    public void setBoolProp1NotList(List<String> boolProp1NotList){
        this.boolProp1NotList = boolProp1NotList;
    }

    /**
    * 获取 
    * @return boolProp2List
    */
    public List<String> getBoolProp2List(){
        return this.boolProp2List;
    }

    /**
    * 设置 
    * @param boolProp2List
    */
    public void setBoolProp2List(List<String> boolProp2List){
        this.boolProp2List = boolProp2List;
    }

    /**
    * 获取 
    * @return boolProp2NotList
    */
    public List<String> getBoolProp2NotList(){
        return this.boolProp2NotList;
    }

    /**
    * 设置 
    * @param boolProp2NotList
    */
    public void setBoolProp2NotList(List<String> boolProp2NotList){
        this.boolProp2NotList = boolProp2NotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzSimpropTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzSimpropTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzSimpropTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzSimpropTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzSimpropTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzSimpropTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }


	/**
    * 设置 
    * @param strProp1
    */
    public QrtzSimpropTriggersQuery strProp1(String strProp1){
        setStrProp1(strProp1);
		return this;
    }

    /**
    * 设置 
    * @param strProp1List
    */
    public QrtzSimpropTriggersQuery strProp1List(List<String> strProp1List){
        this.strProp1List = strProp1List;
		return this;
    }


	/**
    * 设置 
    * @param strProp2
    */
    public QrtzSimpropTriggersQuery strProp2(String strProp2){
        setStrProp2(strProp2);
		return this;
    }

    /**
    * 设置 
    * @param strProp2List
    */
    public QrtzSimpropTriggersQuery strProp2List(List<String> strProp2List){
        this.strProp2List = strProp2List;
		return this;
    }


	/**
    * 设置 
    * @param strProp3
    */
    public QrtzSimpropTriggersQuery strProp3(String strProp3){
        setStrProp3(strProp3);
		return this;
    }

    /**
    * 设置 
    * @param strProp3List
    */
    public QrtzSimpropTriggersQuery strProp3List(List<String> strProp3List){
        this.strProp3List = strProp3List;
		return this;
    }

    /**
    * 设置  
    * @param intProp1
    */
    public QrtzSimpropTriggersQuery intProp1(Long intProp1){
	    setIntProp1(intProp1);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param intProp1Start
    */
    public QrtzSimpropTriggersQuery intProp1Start(Long intProp1Start){
		this.intProp1Start = intProp1Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param intProp1End
    */
    public QrtzSimpropTriggersQuery intProp1End(Long intProp1End){
		this.intProp1End = intProp1End;
		return this;
    }

    /**
    * 设置 增加 
    * @param intProp1Increment
    */
    public QrtzSimpropTriggersQuery intProp1Increment(Long intProp1Increment){
		this.intProp1Increment = intProp1Increment;
		return this;
    }

    /**
    * 设置 
    * @param intProp1List
    */
    public QrtzSimpropTriggersQuery intProp1List(List<Long> intProp1List){
        this.intProp1List = intProp1List;
		return this;
        }

        /**
        * 设置 
        * @param intProp1NotList
        */
        public QrtzSimpropTriggersQuery intProp1NotList(List<Long> intProp1NotList){
        this.intProp1NotList = intProp1NotList;
        return this;
        }

    /**
    * 设置  
    * @param intProp2
    */
    public QrtzSimpropTriggersQuery intProp2(Long intProp2){
	    setIntProp2(intProp2);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param intProp2Start
    */
    public QrtzSimpropTriggersQuery intProp2Start(Long intProp2Start){
		this.intProp2Start = intProp2Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param intProp2End
    */
    public QrtzSimpropTriggersQuery intProp2End(Long intProp2End){
		this.intProp2End = intProp2End;
		return this;
    }

    /**
    * 设置 增加 
    * @param intProp2Increment
    */
    public QrtzSimpropTriggersQuery intProp2Increment(Long intProp2Increment){
		this.intProp2Increment = intProp2Increment;
		return this;
    }

    /**
    * 设置 
    * @param intProp2List
    */
    public QrtzSimpropTriggersQuery intProp2List(List<Long> intProp2List){
        this.intProp2List = intProp2List;
		return this;
        }

        /**
        * 设置 
        * @param intProp2NotList
        */
        public QrtzSimpropTriggersQuery intProp2NotList(List<Long> intProp2NotList){
        this.intProp2NotList = intProp2NotList;
        return this;
        }

    /**
    * 设置  
    * @param longProp1
    */
    public QrtzSimpropTriggersQuery longProp1(Long longProp1){
	    setLongProp1(longProp1);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param longProp1Start
    */
    public QrtzSimpropTriggersQuery longProp1Start(Long longProp1Start){
		this.longProp1Start = longProp1Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param longProp1End
    */
    public QrtzSimpropTriggersQuery longProp1End(Long longProp1End){
		this.longProp1End = longProp1End;
		return this;
    }

    /**
    * 设置 增加 
    * @param longProp1Increment
    */
    public QrtzSimpropTriggersQuery longProp1Increment(Long longProp1Increment){
		this.longProp1Increment = longProp1Increment;
		return this;
    }

    /**
    * 设置 
    * @param longProp1List
    */
    public QrtzSimpropTriggersQuery longProp1List(List<Long> longProp1List){
        this.longProp1List = longProp1List;
		return this;
        }

        /**
        * 设置 
        * @param longProp1NotList
        */
        public QrtzSimpropTriggersQuery longProp1NotList(List<Long> longProp1NotList){
        this.longProp1NotList = longProp1NotList;
        return this;
        }

    /**
    * 设置  
    * @param longProp2
    */
    public QrtzSimpropTriggersQuery longProp2(Long longProp2){
	    setLongProp2(longProp2);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param longProp2Start
    */
    public QrtzSimpropTriggersQuery longProp2Start(Long longProp2Start){
		this.longProp2Start = longProp2Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param longProp2End
    */
    public QrtzSimpropTriggersQuery longProp2End(Long longProp2End){
		this.longProp2End = longProp2End;
		return this;
    }

    /**
    * 设置 增加 
    * @param longProp2Increment
    */
    public QrtzSimpropTriggersQuery longProp2Increment(Long longProp2Increment){
		this.longProp2Increment = longProp2Increment;
		return this;
    }

    /**
    * 设置 
    * @param longProp2List
    */
    public QrtzSimpropTriggersQuery longProp2List(List<Long> longProp2List){
        this.longProp2List = longProp2List;
		return this;
        }

        /**
        * 设置 
        * @param longProp2NotList
        */
        public QrtzSimpropTriggersQuery longProp2NotList(List<Long> longProp2NotList){
        this.longProp2NotList = longProp2NotList;
        return this;
        }

    /**
    * 设置  
    * @param decProp1
    */
    public QrtzSimpropTriggersQuery decProp1(BigDecimal decProp1){
	    setDecProp1(decProp1);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param decProp1Start
    */
    public QrtzSimpropTriggersQuery decProp1Start(BigDecimal decProp1Start){
		this.decProp1Start = decProp1Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param decProp1End
    */
    public QrtzSimpropTriggersQuery decProp1End(BigDecimal decProp1End){
		this.decProp1End = decProp1End;
		return this;
    }

    /**
    * 设置 增加 
    * @param decProp1Increment
    */
    public QrtzSimpropTriggersQuery decProp1Increment(BigDecimal decProp1Increment){
		this.decProp1Increment = decProp1Increment;
		return this;
    }

    /**
    * 设置 
    * @param decProp1List
    */
    public QrtzSimpropTriggersQuery decProp1List(List<BigDecimal> decProp1List){
        this.decProp1List = decProp1List;
		return this;
        }

        /**
        * 设置 
        * @param decProp1NotList
        */
        public QrtzSimpropTriggersQuery decProp1NotList(List<BigDecimal> decProp1NotList){
        this.decProp1NotList = decProp1NotList;
        return this;
        }

    /**
    * 设置  
    * @param decProp2
    */
    public QrtzSimpropTriggersQuery decProp2(BigDecimal decProp2){
	    setDecProp2(decProp2);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param decProp2Start
    */
    public QrtzSimpropTriggersQuery decProp2Start(BigDecimal decProp2Start){
		this.decProp2Start = decProp2Start;
		return this;
    }

    /**
    * 设置 结束 
    * @param decProp2End
    */
    public QrtzSimpropTriggersQuery decProp2End(BigDecimal decProp2End){
		this.decProp2End = decProp2End;
		return this;
    }

    /**
    * 设置 增加 
    * @param decProp2Increment
    */
    public QrtzSimpropTriggersQuery decProp2Increment(BigDecimal decProp2Increment){
		this.decProp2Increment = decProp2Increment;
		return this;
    }

    /**
    * 设置 
    * @param decProp2List
    */
    public QrtzSimpropTriggersQuery decProp2List(List<BigDecimal> decProp2List){
        this.decProp2List = decProp2List;
		return this;
        }

        /**
        * 设置 
        * @param decProp2NotList
        */
        public QrtzSimpropTriggersQuery decProp2NotList(List<BigDecimal> decProp2NotList){
        this.decProp2NotList = decProp2NotList;
        return this;
        }


	/**
    * 设置 
    * @param boolProp1
    */
    public QrtzSimpropTriggersQuery boolProp1(String boolProp1){
        setBoolProp1(boolProp1);
		return this;
    }

    /**
    * 设置 
    * @param boolProp1List
    */
    public QrtzSimpropTriggersQuery boolProp1List(List<String> boolProp1List){
        this.boolProp1List = boolProp1List;
		return this;
    }


	/**
    * 设置 
    * @param boolProp2
    */
    public QrtzSimpropTriggersQuery boolProp2(String boolProp2){
        setBoolProp2(boolProp2);
		return this;
    }

    /**
    * 设置 
    * @param boolProp2List
    */
    public QrtzSimpropTriggersQuery boolProp2List(List<String> boolProp2List){
        this.boolProp2List = boolProp2List;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzSimpropTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzSimpropTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzSimpropTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzSimpropTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}