package com.mortals.xhx.module.qrtz.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityStr;
import com.mortals.xhx.module.qrtz.model.vo.QrtzTriggersVo;
import lombok.Data;
/**
* 实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class QrtzTriggersEntity extends QrtzTriggersVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String schedName;
    /**
    * 
    */
    private String triggerName;
    /**
    * 
    */
    private String triggerGroup;
    /**
    * 
    */
    private String jobName;
    /**
    * 
    */
    private String jobGroup;
    /**
    * 
    */
    private String description;
    /**
    * 
    */
    private Long nextFireTime;
    /**
    * 
    */
    private Long prevFireTime;
    /**
    * 
    */
    private Long priority;
    /**
    * 
    */
    private String triggerState;
    /**
    * 
    */
    private String triggerType;
    /**
    * 
    */
    private Long startTime;
    /**
    * 
    */
    private Long endTime;
    /**
    * 
    */
    private String calendarName;
    /**
    * 
    */
    private Integer misfireInstr;
    /**
    * 
    */
    private byte[] jobData;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QrtzTriggersEntity) {
            QrtzTriggersEntity tmp = (QrtzTriggersEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.schedName = "";
            this.triggerName = "";
            this.triggerGroup = "";
            this.jobName = "";
            this.jobGroup = "";
            this.description = "";
            this.nextFireTime = null;
            this.prevFireTime = null;
            this.priority = null;
            this.triggerState = "";
            this.triggerType = "";
            this.startTime = null;
            this.endTime = null;
            this.calendarName = "";
            this.misfireInstr = 0;
            this.jobData = null;
    }
}