package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzTriggersEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzTriggersQuery extends QrtzTriggersEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> triggerNameList;

    /** 排除列表 */
    private List <String> triggerNameNotList;
    /**  */
    private List<String> triggerGroupList;

    /** 排除列表 */
    private List <String> triggerGroupNotList;
    /**  */
    private List<String> jobNameList;

    /** 排除列表 */
    private List <String> jobNameNotList;
    /**  */
    private List<String> jobGroupList;

    /** 排除列表 */
    private List <String> jobGroupNotList;
    /**  */
    private List<String> descriptionList;

    /** 排除列表 */
    private List <String> descriptionNotList;
    /** 开始  */
    private Long nextFireTimeStart;

    /** 结束  */
    private Long nextFireTimeEnd;

    /** 增加  */
    private Long nextFireTimeIncrement;

    /** 列表 */
    private List <Long> nextFireTimeList;

    /** 排除列表 */
    private List <Long> nextFireTimeNotList;

    /** 开始  */
    private Long prevFireTimeStart;

    /** 结束  */
    private Long prevFireTimeEnd;

    /** 增加  */
    private Long prevFireTimeIncrement;

    /** 列表 */
    private List <Long> prevFireTimeList;

    /** 排除列表 */
    private List <Long> prevFireTimeNotList;

    /** 开始  */
    private Long priorityStart;

    /** 结束  */
    private Long priorityEnd;

    /** 增加  */
    private Long priorityIncrement;

    /** 列表 */
    private List <Long> priorityList;

    /** 排除列表 */
    private List <Long> priorityNotList;

    /**  */
    private List<String> triggerStateList;

    /** 排除列表 */
    private List <String> triggerStateNotList;
    /**  */
    private List<String> triggerTypeList;

    /** 排除列表 */
    private List <String> triggerTypeNotList;
    /** 开始  */
    private Long startTimeStart;

    /** 结束  */
    private Long startTimeEnd;

    /** 增加  */
    private Long startTimeIncrement;

    /** 列表 */
    private List <Long> startTimeList;

    /** 排除列表 */
    private List <Long> startTimeNotList;

    /** 开始  */
    private Long endTimeStart;

    /** 结束  */
    private Long endTimeEnd;

    /** 增加  */
    private Long endTimeIncrement;

    /** 列表 */
    private List <Long> endTimeList;

    /** 排除列表 */
    private List <Long> endTimeNotList;

    /**  */
    private List<String> calendarNameList;

    /** 排除列表 */
    private List <String> calendarNameNotList;
    /** 开始  */
    private Integer misfireInstrStart;

    /** 结束  */
    private Integer misfireInstrEnd;

    /** 增加  */
    private Integer misfireInstrIncrement;

    /** 列表 */
    private List <Integer> misfireInstrList;

    /** 排除列表 */
    private List <Integer> misfireInstrNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzTriggersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzTriggersQuery> andConditionList;

    public QrtzTriggersQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return triggerNameList
    */
    public List<String> getTriggerNameList(){
        return this.triggerNameList;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public void setTriggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
    }

    /**
    * 获取 
    * @return triggerNameNotList
    */
    public List<String> getTriggerNameNotList(){
        return this.triggerNameNotList;
    }

    /**
    * 设置 
    * @param triggerNameNotList
    */
    public void setTriggerNameNotList(List<String> triggerNameNotList){
        this.triggerNameNotList = triggerNameNotList;
    }

    /**
    * 获取 
    * @return triggerGroupList
    */
    public List<String> getTriggerGroupList(){
        return this.triggerGroupList;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public void setTriggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
    }

    /**
    * 获取 
    * @return triggerGroupNotList
    */
    public List<String> getTriggerGroupNotList(){
        return this.triggerGroupNotList;
    }

    /**
    * 设置 
    * @param triggerGroupNotList
    */
    public void setTriggerGroupNotList(List<String> triggerGroupNotList){
        this.triggerGroupNotList = triggerGroupNotList;
    }

    /**
    * 获取 
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 
    * @return jobGroupList
    */
    public List<String> getJobGroupList(){
        return this.jobGroupList;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public void setJobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
    }

    /**
    * 获取 
    * @return jobGroupNotList
    */
    public List<String> getJobGroupNotList(){
        return this.jobGroupNotList;
    }

    /**
    * 设置 
    * @param jobGroupNotList
    */
    public void setJobGroupNotList(List<String> jobGroupNotList){
        this.jobGroupNotList = jobGroupNotList;
    }

    /**
    * 获取 
    * @return descriptionList
    */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
    * 设置 
    * @param descriptionList
    */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
    * 获取 
    * @return descriptionNotList
    */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
    * 设置 
    * @param descriptionNotList
    */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
    * 获取 开始 
    * @return nextFireTimeStart
    */
    public Long getNextFireTimeStart(){
        return this.nextFireTimeStart;
    }

    /**
    * 设置 开始 
    * @param nextFireTimeStart
    */
    public void setNextFireTimeStart(Long nextFireTimeStart){
        this.nextFireTimeStart = nextFireTimeStart;
    }

    /**
    * 获取 结束 
    * @return $nextFireTimeEnd
    */
    public Long getNextFireTimeEnd(){
        return this.nextFireTimeEnd;
    }

    /**
    * 设置 结束 
    * @param nextFireTimeEnd
    */
    public void setNextFireTimeEnd(Long nextFireTimeEnd){
        this.nextFireTimeEnd = nextFireTimeEnd;
    }

    /**
    * 获取 增加 
    * @return nextFireTimeIncrement
    */
    public Long getNextFireTimeIncrement(){
        return this.nextFireTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param nextFireTimeIncrement
    */
    public void setNextFireTimeIncrement(Long nextFireTimeIncrement){
        this.nextFireTimeIncrement = nextFireTimeIncrement;
    }

    /**
    * 获取 
    * @return nextFireTimeList
    */
    public List<Long> getNextFireTimeList(){
        return this.nextFireTimeList;
    }

    /**
    * 设置 
    * @param nextFireTimeList
    */
    public void setNextFireTimeList(List<Long> nextFireTimeList){
        this.nextFireTimeList = nextFireTimeList;
    }

    /**
    * 获取 
    * @return nextFireTimeNotList
    */
    public List<Long> getNextFireTimeNotList(){
        return this.nextFireTimeNotList;
    }

    /**
    * 设置 
    * @param nextFireTimeNotList
    */
    public void setNextFireTimeNotList(List<Long> nextFireTimeNotList){
        this.nextFireTimeNotList = nextFireTimeNotList;
    }


    /**
    * 获取 开始 
    * @return prevFireTimeStart
    */
    public Long getPrevFireTimeStart(){
        return this.prevFireTimeStart;
    }

    /**
    * 设置 开始 
    * @param prevFireTimeStart
    */
    public void setPrevFireTimeStart(Long prevFireTimeStart){
        this.prevFireTimeStart = prevFireTimeStart;
    }

    /**
    * 获取 结束 
    * @return $prevFireTimeEnd
    */
    public Long getPrevFireTimeEnd(){
        return this.prevFireTimeEnd;
    }

    /**
    * 设置 结束 
    * @param prevFireTimeEnd
    */
    public void setPrevFireTimeEnd(Long prevFireTimeEnd){
        this.prevFireTimeEnd = prevFireTimeEnd;
    }

    /**
    * 获取 增加 
    * @return prevFireTimeIncrement
    */
    public Long getPrevFireTimeIncrement(){
        return this.prevFireTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param prevFireTimeIncrement
    */
    public void setPrevFireTimeIncrement(Long prevFireTimeIncrement){
        this.prevFireTimeIncrement = prevFireTimeIncrement;
    }

    /**
    * 获取 
    * @return prevFireTimeList
    */
    public List<Long> getPrevFireTimeList(){
        return this.prevFireTimeList;
    }

    /**
    * 设置 
    * @param prevFireTimeList
    */
    public void setPrevFireTimeList(List<Long> prevFireTimeList){
        this.prevFireTimeList = prevFireTimeList;
    }

    /**
    * 获取 
    * @return prevFireTimeNotList
    */
    public List<Long> getPrevFireTimeNotList(){
        return this.prevFireTimeNotList;
    }

    /**
    * 设置 
    * @param prevFireTimeNotList
    */
    public void setPrevFireTimeNotList(List<Long> prevFireTimeNotList){
        this.prevFireTimeNotList = prevFireTimeNotList;
    }


    /**
    * 获取 开始 
    * @return priorityStart
    */
    public Long getPriorityStart(){
        return this.priorityStart;
    }

    /**
    * 设置 开始 
    * @param priorityStart
    */
    public void setPriorityStart(Long priorityStart){
        this.priorityStart = priorityStart;
    }

    /**
    * 获取 结束 
    * @return $priorityEnd
    */
    public Long getPriorityEnd(){
        return this.priorityEnd;
    }

    /**
    * 设置 结束 
    * @param priorityEnd
    */
    public void setPriorityEnd(Long priorityEnd){
        this.priorityEnd = priorityEnd;
    }

    /**
    * 获取 增加 
    * @return priorityIncrement
    */
    public Long getPriorityIncrement(){
        return this.priorityIncrement;
    }

    /**
    * 设置 增加 
    * @param priorityIncrement
    */
    public void setPriorityIncrement(Long priorityIncrement){
        this.priorityIncrement = priorityIncrement;
    }

    /**
    * 获取 
    * @return priorityList
    */
    public List<Long> getPriorityList(){
        return this.priorityList;
    }

    /**
    * 设置 
    * @param priorityList
    */
    public void setPriorityList(List<Long> priorityList){
        this.priorityList = priorityList;
    }

    /**
    * 获取 
    * @return priorityNotList
    */
    public List<Long> getPriorityNotList(){
        return this.priorityNotList;
    }

    /**
    * 设置 
    * @param priorityNotList
    */
    public void setPriorityNotList(List<Long> priorityNotList){
        this.priorityNotList = priorityNotList;
    }


    /**
    * 获取 
    * @return triggerStateList
    */
    public List<String> getTriggerStateList(){
        return this.triggerStateList;
    }

    /**
    * 设置 
    * @param triggerStateList
    */
    public void setTriggerStateList(List<String> triggerStateList){
        this.triggerStateList = triggerStateList;
    }

    /**
    * 获取 
    * @return triggerStateNotList
    */
    public List<String> getTriggerStateNotList(){
        return this.triggerStateNotList;
    }

    /**
    * 设置 
    * @param triggerStateNotList
    */
    public void setTriggerStateNotList(List<String> triggerStateNotList){
        this.triggerStateNotList = triggerStateNotList;
    }

    /**
    * 获取 
    * @return triggerTypeList
    */
    public List<String> getTriggerTypeList(){
        return this.triggerTypeList;
    }

    /**
    * 设置 
    * @param triggerTypeList
    */
    public void setTriggerTypeList(List<String> triggerTypeList){
        this.triggerTypeList = triggerTypeList;
    }

    /**
    * 获取 
    * @return triggerTypeNotList
    */
    public List<String> getTriggerTypeNotList(){
        return this.triggerTypeNotList;
    }

    /**
    * 设置 
    * @param triggerTypeNotList
    */
    public void setTriggerTypeNotList(List<String> triggerTypeNotList){
        this.triggerTypeNotList = triggerTypeNotList;
    }

    /**
    * 获取 开始 
    * @return startTimeStart
    */
    public Long getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
    * 设置 开始 
    * @param startTimeStart
    */
    public void setStartTimeStart(Long startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
    * 获取 结束 
    * @return $startTimeEnd
    */
    public Long getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
    * 设置 结束 
    * @param startTimeEnd
    */
    public void setStartTimeEnd(Long startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
    * 获取 增加 
    * @return startTimeIncrement
    */
    public Long getStartTimeIncrement(){
        return this.startTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param startTimeIncrement
    */
    public void setStartTimeIncrement(Long startTimeIncrement){
        this.startTimeIncrement = startTimeIncrement;
    }

    /**
    * 获取 
    * @return startTimeList
    */
    public List<Long> getStartTimeList(){
        return this.startTimeList;
    }

    /**
    * 设置 
    * @param startTimeList
    */
    public void setStartTimeList(List<Long> startTimeList){
        this.startTimeList = startTimeList;
    }

    /**
    * 获取 
    * @return startTimeNotList
    */
    public List<Long> getStartTimeNotList(){
        return this.startTimeNotList;
    }

    /**
    * 设置 
    * @param startTimeNotList
    */
    public void setStartTimeNotList(List<Long> startTimeNotList){
        this.startTimeNotList = startTimeNotList;
    }


    /**
    * 获取 开始 
    * @return endTimeStart
    */
    public Long getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
    * 设置 开始 
    * @param endTimeStart
    */
    public void setEndTimeStart(Long endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
    * 获取 结束 
    * @return $endTimeEnd
    */
    public Long getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
    * 设置 结束 
    * @param endTimeEnd
    */
    public void setEndTimeEnd(Long endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
    * 获取 增加 
    * @return endTimeIncrement
    */
    public Long getEndTimeIncrement(){
        return this.endTimeIncrement;
    }

    /**
    * 设置 增加 
    * @param endTimeIncrement
    */
    public void setEndTimeIncrement(Long endTimeIncrement){
        this.endTimeIncrement = endTimeIncrement;
    }

    /**
    * 获取 
    * @return endTimeList
    */
    public List<Long> getEndTimeList(){
        return this.endTimeList;
    }

    /**
    * 设置 
    * @param endTimeList
    */
    public void setEndTimeList(List<Long> endTimeList){
        this.endTimeList = endTimeList;
    }

    /**
    * 获取 
    * @return endTimeNotList
    */
    public List<Long> getEndTimeNotList(){
        return this.endTimeNotList;
    }

    /**
    * 设置 
    * @param endTimeNotList
    */
    public void setEndTimeNotList(List<Long> endTimeNotList){
        this.endTimeNotList = endTimeNotList;
    }


    /**
    * 获取 
    * @return calendarNameList
    */
    public List<String> getCalendarNameList(){
        return this.calendarNameList;
    }

    /**
    * 设置 
    * @param calendarNameList
    */
    public void setCalendarNameList(List<String> calendarNameList){
        this.calendarNameList = calendarNameList;
    }

    /**
    * 获取 
    * @return calendarNameNotList
    */
    public List<String> getCalendarNameNotList(){
        return this.calendarNameNotList;
    }

    /**
    * 设置 
    * @param calendarNameNotList
    */
    public void setCalendarNameNotList(List<String> calendarNameNotList){
        this.calendarNameNotList = calendarNameNotList;
    }

    /**
    * 获取 开始 
    * @return misfireInstrStart
    */
    public Integer getMisfireInstrStart(){
        return this.misfireInstrStart;
    }

    /**
    * 设置 开始 
    * @param misfireInstrStart
    */
    public void setMisfireInstrStart(Integer misfireInstrStart){
        this.misfireInstrStart = misfireInstrStart;
    }

    /**
    * 获取 结束 
    * @return $misfireInstrEnd
    */
    public Integer getMisfireInstrEnd(){
        return this.misfireInstrEnd;
    }

    /**
    * 设置 结束 
    * @param misfireInstrEnd
    */
    public void setMisfireInstrEnd(Integer misfireInstrEnd){
        this.misfireInstrEnd = misfireInstrEnd;
    }

    /**
    * 获取 增加 
    * @return misfireInstrIncrement
    */
    public Integer getMisfireInstrIncrement(){
        return this.misfireInstrIncrement;
    }

    /**
    * 设置 增加 
    * @param misfireInstrIncrement
    */
    public void setMisfireInstrIncrement(Integer misfireInstrIncrement){
        this.misfireInstrIncrement = misfireInstrIncrement;
    }

    /**
    * 获取 
    * @return misfireInstrList
    */
    public List<Integer> getMisfireInstrList(){
        return this.misfireInstrList;
    }

    /**
    * 设置 
    * @param misfireInstrList
    */
    public void setMisfireInstrList(List<Integer> misfireInstrList){
        this.misfireInstrList = misfireInstrList;
    }

    /**
    * 获取 
    * @return misfireInstrNotList
    */
    public List<Integer> getMisfireInstrNotList(){
        return this.misfireInstrNotList;
    }

    /**
    * 设置 
    * @param misfireInstrNotList
    */
    public void setMisfireInstrNotList(List<Integer> misfireInstrNotList){
        this.misfireInstrNotList = misfireInstrNotList;
    }



	/**
    * 设置 
    * @param schedName
    */
    public QrtzTriggersQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzTriggersQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerName
    */
    public QrtzTriggersQuery triggerName(String triggerName){
        setTriggerName(triggerName);
		return this;
    }

    /**
    * 设置 
    * @param triggerNameList
    */
    public QrtzTriggersQuery triggerNameList(List<String> triggerNameList){
        this.triggerNameList = triggerNameList;
		return this;
    }


	/**
    * 设置 
    * @param triggerGroup
    */
    public QrtzTriggersQuery triggerGroup(String triggerGroup){
        setTriggerGroup(triggerGroup);
		return this;
    }

    /**
    * 设置 
    * @param triggerGroupList
    */
    public QrtzTriggersQuery triggerGroupList(List<String> triggerGroupList){
        this.triggerGroupList = triggerGroupList;
		return this;
    }


	/**
    * 设置 
    * @param jobName
    */
    public QrtzTriggersQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 
    * @param jobNameList
    */
    public QrtzTriggersQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }


	/**
    * 设置 
    * @param jobGroup
    */
    public QrtzTriggersQuery jobGroup(String jobGroup){
        setJobGroup(jobGroup);
		return this;
    }

    /**
    * 设置 
    * @param jobGroupList
    */
    public QrtzTriggersQuery jobGroupList(List<String> jobGroupList){
        this.jobGroupList = jobGroupList;
		return this;
    }


	/**
    * 设置 
    * @param description
    */
    public QrtzTriggersQuery description(String description){
        setDescription(description);
		return this;
    }

    /**
    * 设置 
    * @param descriptionList
    */
    public QrtzTriggersQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
		return this;
    }

    /**
    * 设置  
    * @param nextFireTime
    */
    public QrtzTriggersQuery nextFireTime(Long nextFireTime){
	    setNextFireTime(nextFireTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param nextFireTimeStart
    */
    public QrtzTriggersQuery nextFireTimeStart(Long nextFireTimeStart){
		this.nextFireTimeStart = nextFireTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param nextFireTimeEnd
    */
    public QrtzTriggersQuery nextFireTimeEnd(Long nextFireTimeEnd){
		this.nextFireTimeEnd = nextFireTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param nextFireTimeIncrement
    */
    public QrtzTriggersQuery nextFireTimeIncrement(Long nextFireTimeIncrement){
		this.nextFireTimeIncrement = nextFireTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param nextFireTimeList
    */
    public QrtzTriggersQuery nextFireTimeList(List<Long> nextFireTimeList){
        this.nextFireTimeList = nextFireTimeList;
		return this;
        }

        /**
        * 设置 
        * @param nextFireTimeNotList
        */
        public QrtzTriggersQuery nextFireTimeNotList(List<Long> nextFireTimeNotList){
        this.nextFireTimeNotList = nextFireTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param prevFireTime
    */
    public QrtzTriggersQuery prevFireTime(Long prevFireTime){
	    setPrevFireTime(prevFireTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param prevFireTimeStart
    */
    public QrtzTriggersQuery prevFireTimeStart(Long prevFireTimeStart){
		this.prevFireTimeStart = prevFireTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param prevFireTimeEnd
    */
    public QrtzTriggersQuery prevFireTimeEnd(Long prevFireTimeEnd){
		this.prevFireTimeEnd = prevFireTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param prevFireTimeIncrement
    */
    public QrtzTriggersQuery prevFireTimeIncrement(Long prevFireTimeIncrement){
		this.prevFireTimeIncrement = prevFireTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param prevFireTimeList
    */
    public QrtzTriggersQuery prevFireTimeList(List<Long> prevFireTimeList){
        this.prevFireTimeList = prevFireTimeList;
		return this;
        }

        /**
        * 设置 
        * @param prevFireTimeNotList
        */
        public QrtzTriggersQuery prevFireTimeNotList(List<Long> prevFireTimeNotList){
        this.prevFireTimeNotList = prevFireTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param priority
    */
    public QrtzTriggersQuery priority(Long priority){
	    setPriority(priority);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param priorityStart
    */
    public QrtzTriggersQuery priorityStart(Long priorityStart){
		this.priorityStart = priorityStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param priorityEnd
    */
    public QrtzTriggersQuery priorityEnd(Long priorityEnd){
		this.priorityEnd = priorityEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param priorityIncrement
    */
    public QrtzTriggersQuery priorityIncrement(Long priorityIncrement){
		this.priorityIncrement = priorityIncrement;
		return this;
    }

    /**
    * 设置 
    * @param priorityList
    */
    public QrtzTriggersQuery priorityList(List<Long> priorityList){
        this.priorityList = priorityList;
		return this;
        }

        /**
        * 设置 
        * @param priorityNotList
        */
        public QrtzTriggersQuery priorityNotList(List<Long> priorityNotList){
        this.priorityNotList = priorityNotList;
        return this;
        }


	/**
    * 设置 
    * @param triggerState
    */
    public QrtzTriggersQuery triggerState(String triggerState){
        setTriggerState(triggerState);
		return this;
    }

    /**
    * 设置 
    * @param triggerStateList
    */
    public QrtzTriggersQuery triggerStateList(List<String> triggerStateList){
        this.triggerStateList = triggerStateList;
		return this;
    }


	/**
    * 设置 
    * @param triggerType
    */
    public QrtzTriggersQuery triggerType(String triggerType){
        setTriggerType(triggerType);
		return this;
    }

    /**
    * 设置 
    * @param triggerTypeList
    */
    public QrtzTriggersQuery triggerTypeList(List<String> triggerTypeList){
        this.triggerTypeList = triggerTypeList;
		return this;
    }

    /**
    * 设置  
    * @param startTime
    */
    public QrtzTriggersQuery startTime(Long startTime){
	    setStartTime(startTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param startTimeStart
    */
    public QrtzTriggersQuery startTimeStart(Long startTimeStart){
		this.startTimeStart = startTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param startTimeEnd
    */
    public QrtzTriggersQuery startTimeEnd(Long startTimeEnd){
		this.startTimeEnd = startTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param startTimeIncrement
    */
    public QrtzTriggersQuery startTimeIncrement(Long startTimeIncrement){
		this.startTimeIncrement = startTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param startTimeList
    */
    public QrtzTriggersQuery startTimeList(List<Long> startTimeList){
        this.startTimeList = startTimeList;
		return this;
        }

        /**
        * 设置 
        * @param startTimeNotList
        */
        public QrtzTriggersQuery startTimeNotList(List<Long> startTimeNotList){
        this.startTimeNotList = startTimeNotList;
        return this;
        }

    /**
    * 设置  
    * @param endTime
    */
    public QrtzTriggersQuery endTime(Long endTime){
	    setEndTime(endTime);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param endTimeStart
    */
    public QrtzTriggersQuery endTimeStart(Long endTimeStart){
		this.endTimeStart = endTimeStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param endTimeEnd
    */
    public QrtzTriggersQuery endTimeEnd(Long endTimeEnd){
		this.endTimeEnd = endTimeEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param endTimeIncrement
    */
    public QrtzTriggersQuery endTimeIncrement(Long endTimeIncrement){
		this.endTimeIncrement = endTimeIncrement;
		return this;
    }

    /**
    * 设置 
    * @param endTimeList
    */
    public QrtzTriggersQuery endTimeList(List<Long> endTimeList){
        this.endTimeList = endTimeList;
		return this;
        }

        /**
        * 设置 
        * @param endTimeNotList
        */
        public QrtzTriggersQuery endTimeNotList(List<Long> endTimeNotList){
        this.endTimeNotList = endTimeNotList;
        return this;
        }


	/**
    * 设置 
    * @param calendarName
    */
    public QrtzTriggersQuery calendarName(String calendarName){
        setCalendarName(calendarName);
		return this;
    }

    /**
    * 设置 
    * @param calendarNameList
    */
    public QrtzTriggersQuery calendarNameList(List<String> calendarNameList){
        this.calendarNameList = calendarNameList;
		return this;
    }

    /**
    * 设置  
    * @param misfireInstr
    */
    public QrtzTriggersQuery misfireInstr(Integer misfireInstr){
	    setMisfireInstr(misfireInstr);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param misfireInstrStart
    */
    public QrtzTriggersQuery misfireInstrStart(Integer misfireInstrStart){
		this.misfireInstrStart = misfireInstrStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param misfireInstrEnd
    */
    public QrtzTriggersQuery misfireInstrEnd(Integer misfireInstrEnd){
		this.misfireInstrEnd = misfireInstrEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param misfireInstrIncrement
    */
    public QrtzTriggersQuery misfireInstrIncrement(Integer misfireInstrIncrement){
		this.misfireInstrIncrement = misfireInstrIncrement;
		return this;
    }

    /**
    * 设置 
    * @param misfireInstrList
    */
    public QrtzTriggersQuery misfireInstrList(List<Integer> misfireInstrList){
        this.misfireInstrList = misfireInstrList;
		return this;
        }

        /**
        * 设置 
        * @param misfireInstrNotList
        */
        public QrtzTriggersQuery misfireInstrNotList(List<Integer> misfireInstrNotList){
        this.misfireInstrNotList = misfireInstrNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzTriggersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzTriggersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzTriggersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzTriggersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}