package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzBlobTriggersDao;
import com.mortals.xhx.module.qrtz.model.QrtzBlobTriggersEntity;
import com.mortals.xhx.module.qrtz.service.QrtzBlobTriggersService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzBlobTriggersService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzBlobTriggersService")
@Slf4j
public class QrtzBlobTriggersServiceImpl extends AbstractCRUDServiceImpl<QrtzBlobTriggersDao, QrtzBlobTriggersEntity, String> implements QrtzBlobTriggersService {
        @Override
    protected void saveBefore(QrtzBlobTriggersEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}