package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzCalendarsDao;
import com.mortals.xhx.module.qrtz.model.QrtzCalendarsEntity;
import com.mortals.xhx.module.qrtz.service.QrtzCalendarsService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzCalendarsService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzCalendarsService")
@Slf4j
public class QrtzCalendarsServiceImpl extends AbstractCRUDServiceImpl<QrtzCalendarsDao, QrtzCalendarsEntity, String> implements QrtzCalendarsService {
        @Override
    protected void saveBefore(QrtzCalendarsEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}