package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzCronTriggersDao;
import com.mortals.xhx.module.qrtz.model.QrtzCronTriggersEntity;
import com.mortals.xhx.module.qrtz.service.QrtzCronTriggersService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzCronTriggersService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzCronTriggersService")
@Slf4j
public class QrtzCronTriggersServiceImpl extends AbstractCRUDServiceImpl<QrtzCronTriggersDao, QrtzCronTriggersEntity, String> implements QrtzCronTriggersService {
        @Override
    protected void saveBefore(QrtzCronTriggersEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}