package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzPausedTriggerGrpsDao;
import com.mortals.xhx.module.qrtz.model.QrtzPausedTriggerGrpsEntity;
import com.mortals.xhx.module.qrtz.service.QrtzPausedTriggerGrpsService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzPausedTriggerGrpsService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzPausedTriggerGrpsService")
@Slf4j
public class QrtzPausedTriggerGrpsServiceImpl extends AbstractCRUDServiceImpl<QrtzPausedTriggerGrpsDao, QrtzPausedTriggerGrpsEntity, String> implements QrtzPausedTriggerGrpsService {
        @Override
    protected void saveBefore(QrtzPausedTriggerGrpsEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}