package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzSimpropTriggersDao;
import com.mortals.xhx.module.qrtz.model.QrtzSimpropTriggersEntity;
import com.mortals.xhx.module.qrtz.service.QrtzSimpropTriggersService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzSimpropTriggersService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzSimpropTriggersService")
@Slf4j
public class QrtzSimpropTriggersServiceImpl extends AbstractCRUDServiceImpl<QrtzSimpropTriggersDao, QrtzSimpropTriggersEntity, String> implements QrtzSimpropTriggersService {
        @Override
    protected void saveBefore(QrtzSimpropTriggersEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}