package com.mortals.xhx.module.qrtz.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.qrtz.dao.QrtzTriggersDao;
import com.mortals.xhx.module.qrtz.model.QrtzTriggersEntity;
import com.mortals.xhx.module.qrtz.service.QrtzTriggersService;
import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
/**
* QrtzTriggersService
*  service实现
*
* @author zxfei
* @date 2024-07-15
*/
@Service("qrtzTriggersService")
@Slf4j
public class QrtzTriggersServiceImpl extends AbstractCRUDServiceImpl<QrtzTriggersDao, QrtzTriggersEntity, String> implements QrtzTriggersService {
        @Override
    protected void saveBefore(QrtzTriggersEntity entity, Context context) throws AppException {
    //非系统自增，需这里设置主键
        entity.setSchedName(IdUtil.fastSimpleUUID());
    super.saveBefore(entity, context);
    }

}