package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskDataxInfoEntity;
/**
* etl-datax任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskDataxInfoQuery extends TaskDataxInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> dataxContextList;

    /** 任务说明排除列表 */
    private List <String> dataxContextNotList;
    /** 输入数据源id */
    private List<String> dataSourcesChooseInputList;

    /** 输入数据源id排除列表 */
    private List <String> dataSourcesChooseInputNotList;
    /** 输入数据源类型 */
    private List<String> dataSourceTypeInputList;

    /** 输入数据源类型排除列表 */
    private List <String> dataSourceTypeInputNotList;
    /**  */
    private List<String> dataxJsonList;

    /** 排除列表 */
    private List <String> dataxJsonNotList;
    /** 表所属公司 */
    private List<String> companyList;

    /** 表所属公司排除列表 */
    private List <String> companyNotList;
    /** 表所属部门 */
    private List<String> sectionList;

    /** 表所属部门排除列表 */
    private List <String> sectionNotList;
    /** 表所属服务 */
    private List<String> serviceList;

    /** 表所属服务排除列表 */
    private List <String> serviceNotList;
    /** 更新说明 */
    private List<String> updateContextList;

    /** 更新说明排除列表 */
    private List <String> updateContextNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskDataxInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskDataxInfoQuery> andConditionList;

    public TaskDataxInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return dataxContextList
    */
    public List<String> getDataxContextList(){
        return this.dataxContextList;
    }

    /**
    * 设置 任务说明
    * @param dataxContextList
    */
    public void setDataxContextList(List<String> dataxContextList){
        this.dataxContextList = dataxContextList;
    }

    /**
    * 获取 任务说明
    * @return dataxContextNotList
    */
    public List<String> getDataxContextNotList(){
        return this.dataxContextNotList;
    }

    /**
    * 设置 任务说明
    * @param dataxContextNotList
    */
    public void setDataxContextNotList(List<String> dataxContextNotList){
        this.dataxContextNotList = dataxContextNotList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputList
    */
    public List<String> getDataSourcesChooseInputList(){
        return this.dataSourcesChooseInputList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public void setDataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputNotList
    */
    public List<String> getDataSourcesChooseInputNotList(){
        return this.dataSourcesChooseInputNotList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputNotList
    */
    public void setDataSourcesChooseInputNotList(List<String> dataSourcesChooseInputNotList){
        this.dataSourcesChooseInputNotList = dataSourcesChooseInputNotList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputList
    */
    public List<String> getDataSourceTypeInputList(){
        return this.dataSourceTypeInputList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public void setDataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputNotList
    */
    public List<String> getDataSourceTypeInputNotList(){
        return this.dataSourceTypeInputNotList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputNotList
    */
    public void setDataSourceTypeInputNotList(List<String> dataSourceTypeInputNotList){
        this.dataSourceTypeInputNotList = dataSourceTypeInputNotList;
    }

    /**
    * 获取 
    * @return dataxJsonList
    */
    public List<String> getDataxJsonList(){
        return this.dataxJsonList;
    }

    /**
    * 设置 
    * @param dataxJsonList
    */
    public void setDataxJsonList(List<String> dataxJsonList){
        this.dataxJsonList = dataxJsonList;
    }

    /**
    * 获取 
    * @return dataxJsonNotList
    */
    public List<String> getDataxJsonNotList(){
        return this.dataxJsonNotList;
    }

    /**
    * 设置 
    * @param dataxJsonNotList
    */
    public void setDataxJsonNotList(List<String> dataxJsonNotList){
        this.dataxJsonNotList = dataxJsonNotList;
    }

    /**
    * 获取 表所属公司
    * @return companyList
    */
    public List<String> getCompanyList(){
        return this.companyList;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public void setCompanyList(List<String> companyList){
        this.companyList = companyList;
    }

    /**
    * 获取 表所属公司
    * @return companyNotList
    */
    public List<String> getCompanyNotList(){
        return this.companyNotList;
    }

    /**
    * 设置 表所属公司
    * @param companyNotList
    */
    public void setCompanyNotList(List<String> companyNotList){
        this.companyNotList = companyNotList;
    }

    /**
    * 获取 表所属部门
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 表所属部门
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 表所属部门
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 表所属服务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 表所属服务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 表所属服务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 更新说明
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 更新说明
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 更新说明
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskDataxInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskDataxInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskDataxInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskDataxInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskDataxInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskDataxInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param dataxContext
    */
    public TaskDataxInfoQuery dataxContext(String dataxContext){
        setDataxContext(dataxContext);
		return this;
    }

    /**
    * 设置 任务说明
    * @param dataxContextList
    */
    public TaskDataxInfoQuery dataxContextList(List<String> dataxContextList){
        this.dataxContextList = dataxContextList;
		return this;
    }


	/**
    * 设置 输入数据源id
    * @param dataSourcesChooseInput
    */
    public TaskDataxInfoQuery dataSourcesChooseInput(String dataSourcesChooseInput){
        setDataSourcesChooseInput(dataSourcesChooseInput);
		return this;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public TaskDataxInfoQuery dataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
		return this;
    }


	/**
    * 设置 输入数据源类型
    * @param dataSourceTypeInput
    */
    public TaskDataxInfoQuery dataSourceTypeInput(String dataSourceTypeInput){
        setDataSourceTypeInput(dataSourceTypeInput);
		return this;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public TaskDataxInfoQuery dataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
		return this;
    }


	/**
    * 设置 
    * @param dataxJson
    */
    public TaskDataxInfoQuery dataxJson(String dataxJson){
        setDataxJson(dataxJson);
		return this;
    }

    /**
    * 设置 
    * @param dataxJsonList
    */
    public TaskDataxInfoQuery dataxJsonList(List<String> dataxJsonList){
        this.dataxJsonList = dataxJsonList;
		return this;
    }


	/**
    * 设置 表所属公司
    * @param company
    */
    public TaskDataxInfoQuery company(String company){
        setCompany(company);
		return this;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public TaskDataxInfoQuery companyList(List<String> companyList){
        this.companyList = companyList;
		return this;
    }


	/**
    * 设置 表所属部门
    * @param section
    */
    public TaskDataxInfoQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public TaskDataxInfoQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 表所属服务
    * @param service
    */
    public TaskDataxInfoQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public TaskDataxInfoQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 更新说明
    * @param updateContext
    */
    public TaskDataxInfoQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public TaskDataxInfoQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public TaskDataxInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public TaskDataxInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public TaskDataxInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public TaskDataxInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskDataxInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskDataxInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskDataxInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskDataxInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskDataxInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskDataxInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskDataxInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskDataxInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskDataxInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskDataxInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskDataxInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskDataxInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskDataxInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskDataxInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskDataxInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskDataxInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskDataxInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskDataxInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskDataxInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskDataxInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskDataxInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskDataxInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskDataxInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskDataxInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskDataxInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskDataxInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}