package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskFlinkInfoEntity;
/**
* etl-flink任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskFlinkInfoQuery extends TaskFlinkInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> sqlContextList;

    /** 任务说明排除列表 */
    private List <String> sqlContextNotList;
    /** 输入参数 */
    private List<String> dataSourcesParamsInputList;

    /** 输入参数排除列表 */
    private List <String> dataSourcesParamsInputNotList;
    /** sql任务处理逻辑 */
    private List<String> etlSqlList;

    /** sql任务处理逻辑排除列表 */
    private List <String> etlSqlNotList;
    /** 表所属公司 */
    private List<String> companyList;

    /** 表所属公司排除列表 */
    private List <String> companyNotList;
    /** 表所属部门 */
    private List<String> sectionList;

    /** 表所属部门排除列表 */
    private List <String> sectionNotList;
    /** 表所属服务 */
    private List<String> serviceList;

    /** 表所属服务排除列表 */
    private List <String> serviceNotList;
    /** 更新说明 */
    private List<String> updateContextList;

    /** 更新说明排除列表 */
    private List <String> updateContextNotList;
    /**  */
    private List<String> hostList;

    /** 排除列表 */
    private List <String> hostNotList;
    /**  */
    private List<String> portList;

    /** 排除列表 */
    private List <String> portNotList;
    /**  */
    private List<String> userNameList;

    /** 排除列表 */
    private List <String> userNameNotList;
    /**  */
    private List<String> passwordList;

    /** 排除列表 */
    private List <String> passwordNotList;
    /** checkpoint地址 */
    private List<String> checkpointList;

    /** checkpoint地址排除列表 */
    private List <String> checkpointNotList;
    /** 服务类型:windows/linux */
    private List<String> serverTypeList;

    /** 服务类型:windows/linux排除列表 */
    private List <String> serverTypeNotList;
    /** 命令 */
    private List<String> commandList;

    /** 命令排除列表 */
    private List <String> commandNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskFlinkInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskFlinkInfoQuery> andConditionList;

    public TaskFlinkInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return sqlContextList
    */
    public List<String> getSqlContextList(){
        return this.sqlContextList;
    }

    /**
    * 设置 任务说明
    * @param sqlContextList
    */
    public void setSqlContextList(List<String> sqlContextList){
        this.sqlContextList = sqlContextList;
    }

    /**
    * 获取 任务说明
    * @return sqlContextNotList
    */
    public List<String> getSqlContextNotList(){
        return this.sqlContextNotList;
    }

    /**
    * 设置 任务说明
    * @param sqlContextNotList
    */
    public void setSqlContextNotList(List<String> sqlContextNotList){
        this.sqlContextNotList = sqlContextNotList;
    }

    /**
    * 获取 输入参数
    * @return dataSourcesParamsInputList
    */
    public List<String> getDataSourcesParamsInputList(){
        return this.dataSourcesParamsInputList;
    }

    /**
    * 设置 输入参数
    * @param dataSourcesParamsInputList
    */
    public void setDataSourcesParamsInputList(List<String> dataSourcesParamsInputList){
        this.dataSourcesParamsInputList = dataSourcesParamsInputList;
    }

    /**
    * 获取 输入参数
    * @return dataSourcesParamsInputNotList
    */
    public List<String> getDataSourcesParamsInputNotList(){
        return this.dataSourcesParamsInputNotList;
    }

    /**
    * 设置 输入参数
    * @param dataSourcesParamsInputNotList
    */
    public void setDataSourcesParamsInputNotList(List<String> dataSourcesParamsInputNotList){
        this.dataSourcesParamsInputNotList = dataSourcesParamsInputNotList;
    }

    /**
    * 获取 sql任务处理逻辑
    * @return etlSqlList
    */
    public List<String> getEtlSqlList(){
        return this.etlSqlList;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlList
    */
    public void setEtlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
    }

    /**
    * 获取 sql任务处理逻辑
    * @return etlSqlNotList
    */
    public List<String> getEtlSqlNotList(){
        return this.etlSqlNotList;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlNotList
    */
    public void setEtlSqlNotList(List<String> etlSqlNotList){
        this.etlSqlNotList = etlSqlNotList;
    }

    /**
    * 获取 表所属公司
    * @return companyList
    */
    public List<String> getCompanyList(){
        return this.companyList;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public void setCompanyList(List<String> companyList){
        this.companyList = companyList;
    }

    /**
    * 获取 表所属公司
    * @return companyNotList
    */
    public List<String> getCompanyNotList(){
        return this.companyNotList;
    }

    /**
    * 设置 表所属公司
    * @param companyNotList
    */
    public void setCompanyNotList(List<String> companyNotList){
        this.companyNotList = companyNotList;
    }

    /**
    * 获取 表所属部门
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 表所属部门
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 表所属部门
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 表所属服务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 表所属服务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 表所属服务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 更新说明
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 更新说明
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 更新说明
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 
    * @return hostList
    */
    public List<String> getHostList(){
        return this.hostList;
    }

    /**
    * 设置 
    * @param hostList
    */
    public void setHostList(List<String> hostList){
        this.hostList = hostList;
    }

    /**
    * 获取 
    * @return hostNotList
    */
    public List<String> getHostNotList(){
        return this.hostNotList;
    }

    /**
    * 设置 
    * @param hostNotList
    */
    public void setHostNotList(List<String> hostNotList){
        this.hostNotList = hostNotList;
    }

    /**
    * 获取 
    * @return portList
    */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
    * 设置 
    * @param portList
    */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }

    /**
    * 获取 
    * @return portNotList
    */
    public List<String> getPortNotList(){
        return this.portNotList;
    }

    /**
    * 设置 
    * @param portNotList
    */
    public void setPortNotList(List<String> portNotList){
        this.portNotList = portNotList;
    }

    /**
    * 获取 
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }

    /**
    * 获取 
    * @return passwordNotList
    */
    public List<String> getPasswordNotList(){
        return this.passwordNotList;
    }

    /**
    * 设置 
    * @param passwordNotList
    */
    public void setPasswordNotList(List<String> passwordNotList){
        this.passwordNotList = passwordNotList;
    }

    /**
    * 获取 checkpoint地址
    * @return checkpointList
    */
    public List<String> getCheckpointList(){
        return this.checkpointList;
    }

    /**
    * 设置 checkpoint地址
    * @param checkpointList
    */
    public void setCheckpointList(List<String> checkpointList){
        this.checkpointList = checkpointList;
    }

    /**
    * 获取 checkpoint地址
    * @return checkpointNotList
    */
    public List<String> getCheckpointNotList(){
        return this.checkpointNotList;
    }

    /**
    * 设置 checkpoint地址
    * @param checkpointNotList
    */
    public void setCheckpointNotList(List<String> checkpointNotList){
        this.checkpointNotList = checkpointNotList;
    }

    /**
    * 获取 服务类型:windows/linux
    * @return serverTypeList
    */
    public List<String> getServerTypeList(){
        return this.serverTypeList;
    }

    /**
    * 设置 服务类型:windows/linux
    * @param serverTypeList
    */
    public void setServerTypeList(List<String> serverTypeList){
        this.serverTypeList = serverTypeList;
    }

    /**
    * 获取 服务类型:windows/linux
    * @return serverTypeNotList
    */
    public List<String> getServerTypeNotList(){
        return this.serverTypeNotList;
    }

    /**
    * 设置 服务类型:windows/linux
    * @param serverTypeNotList
    */
    public void setServerTypeNotList(List<String> serverTypeNotList){
        this.serverTypeNotList = serverTypeNotList;
    }

    /**
    * 获取 命令
    * @return commandList
    */
    public List<String> getCommandList(){
        return this.commandList;
    }

    /**
    * 设置 命令
    * @param commandList
    */
    public void setCommandList(List<String> commandList){
        this.commandList = commandList;
    }

    /**
    * 获取 命令
    * @return commandNotList
    */
    public List<String> getCommandNotList(){
        return this.commandNotList;
    }

    /**
    * 设置 命令
    * @param commandNotList
    */
    public void setCommandNotList(List<String> commandNotList){
        this.commandNotList = commandNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskFlinkInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskFlinkInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskFlinkInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskFlinkInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskFlinkInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskFlinkInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param sqlContext
    */
    public TaskFlinkInfoQuery sqlContext(String sqlContext){
        setSqlContext(sqlContext);
		return this;
    }

    /**
    * 设置 任务说明
    * @param sqlContextList
    */
    public TaskFlinkInfoQuery sqlContextList(List<String> sqlContextList){
        this.sqlContextList = sqlContextList;
		return this;
    }


	/**
    * 设置 输入参数
    * @param dataSourcesParamsInput
    */
    public TaskFlinkInfoQuery dataSourcesParamsInput(String dataSourcesParamsInput){
        setDataSourcesParamsInput(dataSourcesParamsInput);
		return this;
    }

    /**
    * 设置 输入参数
    * @param dataSourcesParamsInputList
    */
    public TaskFlinkInfoQuery dataSourcesParamsInputList(List<String> dataSourcesParamsInputList){
        this.dataSourcesParamsInputList = dataSourcesParamsInputList;
		return this;
    }


	/**
    * 设置 sql任务处理逻辑
    * @param etlSql
    */
    public TaskFlinkInfoQuery etlSql(String etlSql){
        setEtlSql(etlSql);
		return this;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlList
    */
    public TaskFlinkInfoQuery etlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
		return this;
    }


	/**
    * 设置 表所属公司
    * @param company
    */
    public TaskFlinkInfoQuery company(String company){
        setCompany(company);
		return this;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public TaskFlinkInfoQuery companyList(List<String> companyList){
        this.companyList = companyList;
		return this;
    }


	/**
    * 设置 表所属部门
    * @param section
    */
    public TaskFlinkInfoQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public TaskFlinkInfoQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 表所属服务
    * @param service
    */
    public TaskFlinkInfoQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public TaskFlinkInfoQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 更新说明
    * @param updateContext
    */
    public TaskFlinkInfoQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public TaskFlinkInfoQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }


	/**
    * 设置 
    * @param host
    */
    public TaskFlinkInfoQuery host(String host){
        setHost(host);
		return this;
    }

    /**
    * 设置 
    * @param hostList
    */
    public TaskFlinkInfoQuery hostList(List<String> hostList){
        this.hostList = hostList;
		return this;
    }


	/**
    * 设置 
    * @param port
    */
    public TaskFlinkInfoQuery port(String port){
        setPort(port);
		return this;
    }

    /**
    * 设置 
    * @param portList
    */
    public TaskFlinkInfoQuery portList(List<String> portList){
        this.portList = portList;
		return this;
    }


	/**
    * 设置 
    * @param userName
    */
    public TaskFlinkInfoQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 
    * @param userNameList
    */
    public TaskFlinkInfoQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 
    * @param password
    */
    public TaskFlinkInfoQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 
    * @param passwordList
    */
    public TaskFlinkInfoQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }


	/**
    * 设置 checkpoint地址
    * @param checkpoint
    */
    public TaskFlinkInfoQuery checkpoint(String checkpoint){
        setCheckpoint(checkpoint);
		return this;
    }

    /**
    * 设置 checkpoint地址
    * @param checkpointList
    */
    public TaskFlinkInfoQuery checkpointList(List<String> checkpointList){
        this.checkpointList = checkpointList;
		return this;
    }


	/**
    * 设置 服务类型:windows/linux
    * @param serverType
    */
    public TaskFlinkInfoQuery serverType(String serverType){
        setServerType(serverType);
		return this;
    }

    /**
    * 设置 服务类型:windows/linux
    * @param serverTypeList
    */
    public TaskFlinkInfoQuery serverTypeList(List<String> serverTypeList){
        this.serverTypeList = serverTypeList;
		return this;
    }


	/**
    * 设置 命令
    * @param command
    */
    public TaskFlinkInfoQuery command(String command){
        setCommand(command);
		return this;
    }

    /**
    * 设置 命令
    * @param commandList
    */
    public TaskFlinkInfoQuery commandList(List<String> commandList){
        this.commandList = commandList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public TaskFlinkInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public TaskFlinkInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public TaskFlinkInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public TaskFlinkInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskFlinkInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskFlinkInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskFlinkInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskFlinkInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskFlinkInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskFlinkInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskFlinkInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskFlinkInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskFlinkInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskFlinkInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskFlinkInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskFlinkInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskFlinkInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskFlinkInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskFlinkInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskFlinkInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskFlinkInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskFlinkInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskFlinkInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskFlinkInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskFlinkInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskFlinkInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskFlinkInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskFlinkInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskFlinkInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskFlinkInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}