package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskJdbcInfoEntity;
/**
* etl-jdbc任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskJdbcInfoQuery extends TaskJdbcInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> etlContextList;

    /** 任务说明排除列表 */
    private List <String> etlContextNotList;
    /** 计算引擎,spark,local */
    private List<String> engineTypeList;

    /** 计算引擎,spark,local排除列表 */
    private List <String> engineTypeNotList;
    /** 输入数据源id */
    private List<String> dataSourcesChooseInputList;

    /** 输入数据源id排除列表 */
    private List <String> dataSourcesChooseInputNotList;
    /** 输入数据源类型 */
    private List<String> dataSourceTypeInputList;

    /** 输入数据源类型排除列表 */
    private List <String> dataSourceTypeInputNotList;
    /** sql任务处理逻辑 */
    private List<String> etlSqlList;

    /** sql任务处理逻辑排除列表 */
    private List <String> etlSqlNotList;
    /** 输出数据源id */
    private List<String> dataSourcesChooseOutputList;

    /** 输出数据源id排除列表 */
    private List <String> dataSourcesChooseOutputNotList;
    /** 输出数据源类型 */
    private List<String> dataSourceTypeOutputList;

    /** 输出数据源类型排除列表 */
    private List <String> dataSourceTypeOutputNotList;
    /** 输出数据源表名 */
    private List<String> dataSourcesTableNameOutputList;

    /** 输出数据源表名排除列表 */
    private List <String> dataSourcesTableNameOutputNotList;
    /** 输出数据源文件名 */
    private List<String> dataSourcesFileNameOutputList;

    /** 输出数据源文件名排除列表 */
    private List <String> dataSourcesFileNameOutputNotList;
    /** 输出数据源参数 */
    private List<String> dataSourcesParamsOutputList;

    /** 输出数据源参数排除列表 */
    private List <String> dataSourcesParamsOutputNotList;
    /** 数据源数据源删除条件 */
    private List<String> dataSourcesClearOutputList;

    /** 数据源数据源删除条件排除列表 */
    private List <String> dataSourcesClearOutputNotList;
    /** 表所属公司 */
    private List<String> companyList;

    /** 表所属公司排除列表 */
    private List <String> companyNotList;
    /** 表所属部门 */
    private List<String> sectionList;

    /** 表所属部门排除列表 */
    private List <String> sectionNotList;
    /** 表所属服务 */
    private List<String> serviceList;

    /** 表所属服务排除列表 */
    private List <String> serviceNotList;
    /** 更新说明 */
    private List<String> updateContextList;

    /** 更新说明排除列表 */
    private List <String> updateContextNotList;
    /** 输出文件类型 */
    private List<String> fileTypeOutputList;

    /** 输出文件类型排除列表 */
    private List <String> fileTypeOutputNotList;
    /** 输出文件编码 */
    private List<String> encodingOutputList;

    /** 输出文件编码排除列表 */
    private List <String> encodingOutputNotList;
    /** 输出文件分割符 */
    private List<String> sepOutputList;

    /** 输出文件分割符排除列表 */
    private List <String> sepOutputNotList;
    /** 输出是否包含表头 */
    private List<String> headerOutputList;

    /** 输出是否包含表头排除列表 */
    private List <String> headerOutputNotList;
    /** 写入模式默认空 */
    private List<String> modelOutputList;

    /** 写入模式默认空排除列表 */
    private List <String> modelOutputNotList;
    /** 分区字段默认空 */
    private List<String> partitionByOutputList;

    /** 分区字段默认空排除列表 */
    private List <String> partitionByOutputNotList;
    /** 合并小文件默认-1 不合并 */
    private List<String> mergeOutputList;

    /** 合并小文件默认-1 不合并排除列表 */
    private List <String> mergeOutputNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskJdbcInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskJdbcInfoQuery> andConditionList;

    public TaskJdbcInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return etlContextList
    */
    public List<String> getEtlContextList(){
        return this.etlContextList;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public void setEtlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
    }

    /**
    * 获取 任务说明
    * @return etlContextNotList
    */
    public List<String> getEtlContextNotList(){
        return this.etlContextNotList;
    }

    /**
    * 设置 任务说明
    * @param etlContextNotList
    */
    public void setEtlContextNotList(List<String> etlContextNotList){
        this.etlContextNotList = etlContextNotList;
    }

    /**
    * 获取 计算引擎,spark,local
    * @return engineTypeList
    */
    public List<String> getEngineTypeList(){
        return this.engineTypeList;
    }

    /**
    * 设置 计算引擎,spark,local
    * @param engineTypeList
    */
    public void setEngineTypeList(List<String> engineTypeList){
        this.engineTypeList = engineTypeList;
    }

    /**
    * 获取 计算引擎,spark,local
    * @return engineTypeNotList
    */
    public List<String> getEngineTypeNotList(){
        return this.engineTypeNotList;
    }

    /**
    * 设置 计算引擎,spark,local
    * @param engineTypeNotList
    */
    public void setEngineTypeNotList(List<String> engineTypeNotList){
        this.engineTypeNotList = engineTypeNotList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputList
    */
    public List<String> getDataSourcesChooseInputList(){
        return this.dataSourcesChooseInputList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public void setDataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputNotList
    */
    public List<String> getDataSourcesChooseInputNotList(){
        return this.dataSourcesChooseInputNotList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputNotList
    */
    public void setDataSourcesChooseInputNotList(List<String> dataSourcesChooseInputNotList){
        this.dataSourcesChooseInputNotList = dataSourcesChooseInputNotList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputList
    */
    public List<String> getDataSourceTypeInputList(){
        return this.dataSourceTypeInputList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public void setDataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputNotList
    */
    public List<String> getDataSourceTypeInputNotList(){
        return this.dataSourceTypeInputNotList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputNotList
    */
    public void setDataSourceTypeInputNotList(List<String> dataSourceTypeInputNotList){
        this.dataSourceTypeInputNotList = dataSourceTypeInputNotList;
    }

    /**
    * 获取 sql任务处理逻辑
    * @return etlSqlList
    */
    public List<String> getEtlSqlList(){
        return this.etlSqlList;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlList
    */
    public void setEtlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
    }

    /**
    * 获取 sql任务处理逻辑
    * @return etlSqlNotList
    */
    public List<String> getEtlSqlNotList(){
        return this.etlSqlNotList;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlNotList
    */
    public void setEtlSqlNotList(List<String> etlSqlNotList){
        this.etlSqlNotList = etlSqlNotList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputList
    */
    public List<String> getDataSourcesChooseOutputList(){
        return this.dataSourcesChooseOutputList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public void setDataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputNotList
    */
    public List<String> getDataSourcesChooseOutputNotList(){
        return this.dataSourcesChooseOutputNotList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputNotList
    */
    public void setDataSourcesChooseOutputNotList(List<String> dataSourcesChooseOutputNotList){
        this.dataSourcesChooseOutputNotList = dataSourcesChooseOutputNotList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputList
    */
    public List<String> getDataSourceTypeOutputList(){
        return this.dataSourceTypeOutputList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public void setDataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputNotList
    */
    public List<String> getDataSourceTypeOutputNotList(){
        return this.dataSourceTypeOutputNotList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputNotList
    */
    public void setDataSourceTypeOutputNotList(List<String> dataSourceTypeOutputNotList){
        this.dataSourceTypeOutputNotList = dataSourceTypeOutputNotList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputList
    */
    public List<String> getDataSourcesTableNameOutputList(){
        return this.dataSourcesTableNameOutputList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public void setDataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputNotList
    */
    public List<String> getDataSourcesTableNameOutputNotList(){
        return this.dataSourcesTableNameOutputNotList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputNotList
    */
    public void setDataSourcesTableNameOutputNotList(List<String> dataSourcesTableNameOutputNotList){
        this.dataSourcesTableNameOutputNotList = dataSourcesTableNameOutputNotList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputList
    */
    public List<String> getDataSourcesFileNameOutputList(){
        return this.dataSourcesFileNameOutputList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public void setDataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputNotList
    */
    public List<String> getDataSourcesFileNameOutputNotList(){
        return this.dataSourcesFileNameOutputNotList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputNotList
    */
    public void setDataSourcesFileNameOutputNotList(List<String> dataSourcesFileNameOutputNotList){
        this.dataSourcesFileNameOutputNotList = dataSourcesFileNameOutputNotList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputList
    */
    public List<String> getDataSourcesParamsOutputList(){
        return this.dataSourcesParamsOutputList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public void setDataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputNotList
    */
    public List<String> getDataSourcesParamsOutputNotList(){
        return this.dataSourcesParamsOutputNotList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputNotList
    */
    public void setDataSourcesParamsOutputNotList(List<String> dataSourcesParamsOutputNotList){
        this.dataSourcesParamsOutputNotList = dataSourcesParamsOutputNotList;
    }

    /**
    * 获取 数据源数据源删除条件
    * @return dataSourcesClearOutputList
    */
    public List<String> getDataSourcesClearOutputList(){
        return this.dataSourcesClearOutputList;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputList
    */
    public void setDataSourcesClearOutputList(List<String> dataSourcesClearOutputList){
        this.dataSourcesClearOutputList = dataSourcesClearOutputList;
    }

    /**
    * 获取 数据源数据源删除条件
    * @return dataSourcesClearOutputNotList
    */
    public List<String> getDataSourcesClearOutputNotList(){
        return this.dataSourcesClearOutputNotList;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputNotList
    */
    public void setDataSourcesClearOutputNotList(List<String> dataSourcesClearOutputNotList){
        this.dataSourcesClearOutputNotList = dataSourcesClearOutputNotList;
    }

    /**
    * 获取 表所属公司
    * @return companyList
    */
    public List<String> getCompanyList(){
        return this.companyList;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public void setCompanyList(List<String> companyList){
        this.companyList = companyList;
    }

    /**
    * 获取 表所属公司
    * @return companyNotList
    */
    public List<String> getCompanyNotList(){
        return this.companyNotList;
    }

    /**
    * 设置 表所属公司
    * @param companyNotList
    */
    public void setCompanyNotList(List<String> companyNotList){
        this.companyNotList = companyNotList;
    }

    /**
    * 获取 表所属部门
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 表所属部门
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 表所属部门
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 表所属服务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 表所属服务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 表所属服务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 更新说明
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 更新说明
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 更新说明
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputList
    */
    public List<String> getFileTypeOutputList(){
        return this.fileTypeOutputList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public void setFileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputNotList
    */
    public List<String> getFileTypeOutputNotList(){
        return this.fileTypeOutputNotList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputNotList
    */
    public void setFileTypeOutputNotList(List<String> fileTypeOutputNotList){
        this.fileTypeOutputNotList = fileTypeOutputNotList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputList
    */
    public List<String> getEncodingOutputList(){
        return this.encodingOutputList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public void setEncodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputNotList
    */
    public List<String> getEncodingOutputNotList(){
        return this.encodingOutputNotList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputNotList
    */
    public void setEncodingOutputNotList(List<String> encodingOutputNotList){
        this.encodingOutputNotList = encodingOutputNotList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputList
    */
    public List<String> getSepOutputList(){
        return this.sepOutputList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public void setSepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputNotList
    */
    public List<String> getSepOutputNotList(){
        return this.sepOutputNotList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputNotList
    */
    public void setSepOutputNotList(List<String> sepOutputNotList){
        this.sepOutputNotList = sepOutputNotList;
    }

    /**
    * 获取 输出是否包含表头
    * @return headerOutputList
    */
    public List<String> getHeaderOutputList(){
        return this.headerOutputList;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputList
    */
    public void setHeaderOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
    }

    /**
    * 获取 输出是否包含表头
    * @return headerOutputNotList
    */
    public List<String> getHeaderOutputNotList(){
        return this.headerOutputNotList;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputNotList
    */
    public void setHeaderOutputNotList(List<String> headerOutputNotList){
        this.headerOutputNotList = headerOutputNotList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputList
    */
    public List<String> getModelOutputList(){
        return this.modelOutputList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public void setModelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputNotList
    */
    public List<String> getModelOutputNotList(){
        return this.modelOutputNotList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputNotList
    */
    public void setModelOutputNotList(List<String> modelOutputNotList){
        this.modelOutputNotList = modelOutputNotList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputList
    */
    public List<String> getPartitionByOutputList(){
        return this.partitionByOutputList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public void setPartitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputNotList
    */
    public List<String> getPartitionByOutputNotList(){
        return this.partitionByOutputNotList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputNotList
    */
    public void setPartitionByOutputNotList(List<String> partitionByOutputNotList){
        this.partitionByOutputNotList = partitionByOutputNotList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputList
    */
    public List<String> getMergeOutputList(){
        return this.mergeOutputList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public void setMergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputNotList
    */
    public List<String> getMergeOutputNotList(){
        return this.mergeOutputNotList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputNotList
    */
    public void setMergeOutputNotList(List<String> mergeOutputNotList){
        this.mergeOutputNotList = mergeOutputNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskJdbcInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskJdbcInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskJdbcInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskJdbcInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskJdbcInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskJdbcInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param etlContext
    */
    public TaskJdbcInfoQuery etlContext(String etlContext){
        setEtlContext(etlContext);
		return this;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public TaskJdbcInfoQuery etlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
		return this;
    }


	/**
    * 设置 计算引擎,spark,local
    * @param engineType
    */
    public TaskJdbcInfoQuery engineType(String engineType){
        setEngineType(engineType);
		return this;
    }

    /**
    * 设置 计算引擎,spark,local
    * @param engineTypeList
    */
    public TaskJdbcInfoQuery engineTypeList(List<String> engineTypeList){
        this.engineTypeList = engineTypeList;
		return this;
    }


	/**
    * 设置 输入数据源id
    * @param dataSourcesChooseInput
    */
    public TaskJdbcInfoQuery dataSourcesChooseInput(String dataSourcesChooseInput){
        setDataSourcesChooseInput(dataSourcesChooseInput);
		return this;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public TaskJdbcInfoQuery dataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
		return this;
    }


	/**
    * 设置 输入数据源类型
    * @param dataSourceTypeInput
    */
    public TaskJdbcInfoQuery dataSourceTypeInput(String dataSourceTypeInput){
        setDataSourceTypeInput(dataSourceTypeInput);
		return this;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public TaskJdbcInfoQuery dataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
		return this;
    }


	/**
    * 设置 sql任务处理逻辑
    * @param etlSql
    */
    public TaskJdbcInfoQuery etlSql(String etlSql){
        setEtlSql(etlSql);
		return this;
    }

    /**
    * 设置 sql任务处理逻辑
    * @param etlSqlList
    */
    public TaskJdbcInfoQuery etlSqlList(List<String> etlSqlList){
        this.etlSqlList = etlSqlList;
		return this;
    }


	/**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutput
    */
    public TaskJdbcInfoQuery dataSourcesChooseOutput(String dataSourcesChooseOutput){
        setDataSourcesChooseOutput(dataSourcesChooseOutput);
		return this;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public TaskJdbcInfoQuery dataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
		return this;
    }


	/**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutput
    */
    public TaskJdbcInfoQuery dataSourceTypeOutput(String dataSourceTypeOutput){
        setDataSourceTypeOutput(dataSourceTypeOutput);
		return this;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public TaskJdbcInfoQuery dataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
		return this;
    }


	/**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutput
    */
    public TaskJdbcInfoQuery dataSourcesTableNameOutput(String dataSourcesTableNameOutput){
        setDataSourcesTableNameOutput(dataSourcesTableNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public TaskJdbcInfoQuery dataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutput
    */
    public TaskJdbcInfoQuery dataSourcesFileNameOutput(String dataSourcesFileNameOutput){
        setDataSourcesFileNameOutput(dataSourcesFileNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public TaskJdbcInfoQuery dataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutput
    */
    public TaskJdbcInfoQuery dataSourcesParamsOutput(String dataSourcesParamsOutput){
        setDataSourcesParamsOutput(dataSourcesParamsOutput);
		return this;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public TaskJdbcInfoQuery dataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
		return this;
    }


	/**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutput
    */
    public TaskJdbcInfoQuery dataSourcesClearOutput(String dataSourcesClearOutput){
        setDataSourcesClearOutput(dataSourcesClearOutput);
		return this;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputList
    */
    public TaskJdbcInfoQuery dataSourcesClearOutputList(List<String> dataSourcesClearOutputList){
        this.dataSourcesClearOutputList = dataSourcesClearOutputList;
		return this;
    }


	/**
    * 设置 表所属公司
    * @param company
    */
    public TaskJdbcInfoQuery company(String company){
        setCompany(company);
		return this;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public TaskJdbcInfoQuery companyList(List<String> companyList){
        this.companyList = companyList;
		return this;
    }


	/**
    * 设置 表所属部门
    * @param section
    */
    public TaskJdbcInfoQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public TaskJdbcInfoQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 表所属服务
    * @param service
    */
    public TaskJdbcInfoQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public TaskJdbcInfoQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 更新说明
    * @param updateContext
    */
    public TaskJdbcInfoQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public TaskJdbcInfoQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }


	/**
    * 设置 输出文件类型
    * @param fileTypeOutput
    */
    public TaskJdbcInfoQuery fileTypeOutput(String fileTypeOutput){
        setFileTypeOutput(fileTypeOutput);
		return this;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public TaskJdbcInfoQuery fileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
		return this;
    }


	/**
    * 设置 输出文件编码
    * @param encodingOutput
    */
    public TaskJdbcInfoQuery encodingOutput(String encodingOutput){
        setEncodingOutput(encodingOutput);
		return this;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public TaskJdbcInfoQuery encodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
		return this;
    }


	/**
    * 设置 输出文件分割符
    * @param sepOutput
    */
    public TaskJdbcInfoQuery sepOutput(String sepOutput){
        setSepOutput(sepOutput);
		return this;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public TaskJdbcInfoQuery sepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
		return this;
    }


	/**
    * 设置 输出是否包含表头
    * @param headerOutput
    */
    public TaskJdbcInfoQuery headerOutput(String headerOutput){
        setHeaderOutput(headerOutput);
		return this;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputList
    */
    public TaskJdbcInfoQuery headerOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
		return this;
    }


	/**
    * 设置 写入模式默认空
    * @param modelOutput
    */
    public TaskJdbcInfoQuery modelOutput(String modelOutput){
        setModelOutput(modelOutput);
		return this;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public TaskJdbcInfoQuery modelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
		return this;
    }


	/**
    * 设置 分区字段默认空
    * @param partitionByOutput
    */
    public TaskJdbcInfoQuery partitionByOutput(String partitionByOutput){
        setPartitionByOutput(partitionByOutput);
		return this;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public TaskJdbcInfoQuery partitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
		return this;
    }


	/**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutput
    */
    public TaskJdbcInfoQuery mergeOutput(String mergeOutput){
        setMergeOutput(mergeOutput);
		return this;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public TaskJdbcInfoQuery mergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public TaskJdbcInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public TaskJdbcInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public TaskJdbcInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public TaskJdbcInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskJdbcInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskJdbcInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskJdbcInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskJdbcInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskJdbcInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskJdbcInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskJdbcInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskJdbcInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskJdbcInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskJdbcInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskJdbcInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskJdbcInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskJdbcInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskJdbcInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskJdbcInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskJdbcInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskJdbcInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskJdbcInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskJdbcInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskJdbcInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskJdbcInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskJdbcInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskJdbcInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskJdbcInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskJdbcInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskJdbcInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}