package com.mortals.xhx.module.task.model;

import java.util.List;
import com.mortals.xhx.module.task.model.TaskSparkInfoEntity;
/**
* etl-spark任务信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class TaskSparkInfoQuery extends TaskSparkInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 任务说明 */
    private List<String> etlContextList;

    /** 任务说明排除列表 */
    private List <String> etlContextNotList;
    /** 输入数据源id */
    private List<String> dataSourcesChooseInputList;

    /** 输入数据源id排除列表 */
    private List <String> dataSourcesChooseInputNotList;
    /** 输入数据源类型 */
    private List<String> dataSourceTypeInputList;

    /** 输入数据源类型排除列表 */
    private List <String> dataSourceTypeInputNotList;
    /** 输入数据源表名 */
    private List<String> dataSourcesTableNameInputList;

    /** 输入数据源表名排除列表 */
    private List <String> dataSourcesTableNameInputNotList;
    /** 输入数据源文件名 */
    private List<String> dataSourcesFileNameInputList;

    /** 输入数据源文件名排除列表 */
    private List <String> dataSourcesFileNameInputNotList;
    /** 输入数据源文件列名 */
    private List<String> dataSourcesFileColumnsList;

    /** 输入数据源文件列名排除列表 */
    private List <String> dataSourcesFileColumnsNotList;
    /** 输入数据源表列名 */
    private List<String> dataSourcesTableColumnsList;

    /** 输入数据源表列名排除列表 */
    private List <String> dataSourcesTableColumnsNotList;
    /** 输入数据源参数 */
    private List<String> dataSourcesParamsInputList;

    /** 输入数据源参数排除列表 */
    private List <String> dataSourcesParamsInputNotList;
    /** 输入数据源过滤条件 */
    private List<String> dataSourcesFilterInputList;

    /** 输入数据源过滤条件排除列表 */
    private List <String> dataSourcesFilterInputNotList;
    /** 输出数据源id */
    private List<String> dataSourcesChooseOutputList;

    /** 输出数据源id排除列表 */
    private List <String> dataSourcesChooseOutputNotList;
    /** 输出数据源类型 */
    private List<String> dataSourceTypeOutputList;

    /** 输出数据源类型排除列表 */
    private List <String> dataSourceTypeOutputNotList;
    /** 输出数据源表名 */
    private List<String> dataSourcesTableNameOutputList;

    /** 输出数据源表名排除列表 */
    private List <String> dataSourcesTableNameOutputNotList;
    /** 输出数据源文件名 */
    private List<String> dataSourcesFileNameOutputList;

    /** 输出数据源文件名排除列表 */
    private List <String> dataSourcesFileNameOutputNotList;
    /** 输出数据源参数 */
    private List<String> dataSourcesParamsOutputList;

    /** 输出数据源参数排除列表 */
    private List <String> dataSourcesParamsOutputNotList;
    /** 输入输出自定映射关系 */
    private List<String> columnDatasList;

    /** 输入输出自定映射关系排除列表 */
    private List <String> columnDatasNotList;
    /** 数据源数据源删除条件 */
    private List<String> dataSourcesClearOutputList;

    /** 数据源数据源删除条件排除列表 */
    private List <String> dataSourcesClearOutputNotList;
    /** 表所属公司 */
    private List<String> companyList;

    /** 表所属公司排除列表 */
    private List <String> companyNotList;
    /** 表所属部门 */
    private List<String> sectionList;

    /** 表所属部门排除列表 */
    private List <String> sectionNotList;
    /** 表所属服务 */
    private List<String> serviceList;

    /** 表所属服务排除列表 */
    private List <String> serviceNotList;
    /** 更新说明 */
    private List<String> updateContextList;

    /** 更新说明排除列表 */
    private List <String> updateContextNotList;
    /** 字段个数 */
    private List<String> columnSizeList;

    /** 字段个数排除列表 */
    private List <String> columnSizeNotList;
    /** 行数范围 */
    private List<String> rowsRangeList;

    /** 行数范围排除列表 */
    private List <String> rowsRangeNotList;
    /** 错误率 */
    private List<String> errorRateList;

    /** 错误率排除列表 */
    private List <String> errorRateNotList;
    /** 是否开启质量检测 */
    private List<String> enableQualityList;

    /** 是否开启质量检测排除列表 */
    private List <String> enableQualityNotList;
    /** 去重字段 */
    private List<String> duplicateColumnsList;

    /** 去重字段排除列表 */
    private List <String> duplicateColumnsNotList;
    /** 不可重复字段 */
    private List<String> primaryColumnsList;

    /** 不可重复字段排除列表 */
    private List <String> primaryColumnsNotList;
    /** 输入文件类型 */
    private List<String> fileTypeInputList;

    /** 输入文件类型排除列表 */
    private List <String> fileTypeInputNotList;
    /** 输入文件编码 */
    private List<String> encodingInputList;

    /** 输入文件编码排除列表 */
    private List <String> encodingInputNotList;
    /** 输入分割符 */
    private List<String> sepInputList;

    /** 输入分割符排除列表 */
    private List <String> sepInputNotList;
    /** 输出文件类型 */
    private List<String> fileTypeOutputList;

    /** 输出文件类型排除列表 */
    private List <String> fileTypeOutputNotList;
    /** 输出文件编码 */
    private List<String> encodingOutputList;

    /** 输出文件编码排除列表 */
    private List <String> encodingOutputNotList;
    /** 输出文件分割符 */
    private List<String> sepOutputList;

    /** 输出文件分割符排除列表 */
    private List <String> sepOutputNotList;
    /** 输入是否包含表头 */
    private List<String> headerInputList;

    /** 输入是否包含表头排除列表 */
    private List <String> headerInputNotList;
    /** 输出是否包含表头 */
    private List<String> headerOutputList;

    /** 输出是否包含表头排除列表 */
    private List <String> headerOutputNotList;
    /** 洗牌个数默认空 */
    private List<String> repartitionNumInputList;

    /** 洗牌个数默认空排除列表 */
    private List <String> repartitionNumInputNotList;
    /** 洗牌字段默认空 */
    private List<String> repartitionColsInputList;

    /** 洗牌字段默认空排除列表 */
    private List <String> repartitionColsInputNotList;
    /** 写入模式默认空 */
    private List<String> modelOutputList;

    /** 写入模式默认空排除列表 */
    private List <String> modelOutputNotList;
    /** 分区字段默认空 */
    private List<String> partitionByOutputList;

    /** 分区字段默认空排除列表 */
    private List <String> partitionByOutputNotList;
    /** 合并小文件默认-1 不合并 */
    private List<String> mergeOutputList;

    /** 合并小文件默认-1 不合并排除列表 */
    private List <String> mergeOutputNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskSparkInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskSparkInfoQuery> andConditionList;

    public TaskSparkInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 任务说明
    * @return etlContextList
    */
    public List<String> getEtlContextList(){
        return this.etlContextList;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public void setEtlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
    }

    /**
    * 获取 任务说明
    * @return etlContextNotList
    */
    public List<String> getEtlContextNotList(){
        return this.etlContextNotList;
    }

    /**
    * 设置 任务说明
    * @param etlContextNotList
    */
    public void setEtlContextNotList(List<String> etlContextNotList){
        this.etlContextNotList = etlContextNotList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputList
    */
    public List<String> getDataSourcesChooseInputList(){
        return this.dataSourcesChooseInputList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public void setDataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
    }

    /**
    * 获取 输入数据源id
    * @return dataSourcesChooseInputNotList
    */
    public List<String> getDataSourcesChooseInputNotList(){
        return this.dataSourcesChooseInputNotList;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputNotList
    */
    public void setDataSourcesChooseInputNotList(List<String> dataSourcesChooseInputNotList){
        this.dataSourcesChooseInputNotList = dataSourcesChooseInputNotList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputList
    */
    public List<String> getDataSourceTypeInputList(){
        return this.dataSourceTypeInputList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public void setDataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
    }

    /**
    * 获取 输入数据源类型
    * @return dataSourceTypeInputNotList
    */
    public List<String> getDataSourceTypeInputNotList(){
        return this.dataSourceTypeInputNotList;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputNotList
    */
    public void setDataSourceTypeInputNotList(List<String> dataSourceTypeInputNotList){
        this.dataSourceTypeInputNotList = dataSourceTypeInputNotList;
    }

    /**
    * 获取 输入数据源表名
    * @return dataSourcesTableNameInputList
    */
    public List<String> getDataSourcesTableNameInputList(){
        return this.dataSourcesTableNameInputList;
    }

    /**
    * 设置 输入数据源表名
    * @param dataSourcesTableNameInputList
    */
    public void setDataSourcesTableNameInputList(List<String> dataSourcesTableNameInputList){
        this.dataSourcesTableNameInputList = dataSourcesTableNameInputList;
    }

    /**
    * 获取 输入数据源表名
    * @return dataSourcesTableNameInputNotList
    */
    public List<String> getDataSourcesTableNameInputNotList(){
        return this.dataSourcesTableNameInputNotList;
    }

    /**
    * 设置 输入数据源表名
    * @param dataSourcesTableNameInputNotList
    */
    public void setDataSourcesTableNameInputNotList(List<String> dataSourcesTableNameInputNotList){
        this.dataSourcesTableNameInputNotList = dataSourcesTableNameInputNotList;
    }

    /**
    * 获取 输入数据源文件名
    * @return dataSourcesFileNameInputList
    */
    public List<String> getDataSourcesFileNameInputList(){
        return this.dataSourcesFileNameInputList;
    }

    /**
    * 设置 输入数据源文件名
    * @param dataSourcesFileNameInputList
    */
    public void setDataSourcesFileNameInputList(List<String> dataSourcesFileNameInputList){
        this.dataSourcesFileNameInputList = dataSourcesFileNameInputList;
    }

    /**
    * 获取 输入数据源文件名
    * @return dataSourcesFileNameInputNotList
    */
    public List<String> getDataSourcesFileNameInputNotList(){
        return this.dataSourcesFileNameInputNotList;
    }

    /**
    * 设置 输入数据源文件名
    * @param dataSourcesFileNameInputNotList
    */
    public void setDataSourcesFileNameInputNotList(List<String> dataSourcesFileNameInputNotList){
        this.dataSourcesFileNameInputNotList = dataSourcesFileNameInputNotList;
    }

    /**
    * 获取 输入数据源文件列名
    * @return dataSourcesFileColumnsList
    */
    public List<String> getDataSourcesFileColumnsList(){
        return this.dataSourcesFileColumnsList;
    }

    /**
    * 设置 输入数据源文件列名
    * @param dataSourcesFileColumnsList
    */
    public void setDataSourcesFileColumnsList(List<String> dataSourcesFileColumnsList){
        this.dataSourcesFileColumnsList = dataSourcesFileColumnsList;
    }

    /**
    * 获取 输入数据源文件列名
    * @return dataSourcesFileColumnsNotList
    */
    public List<String> getDataSourcesFileColumnsNotList(){
        return this.dataSourcesFileColumnsNotList;
    }

    /**
    * 设置 输入数据源文件列名
    * @param dataSourcesFileColumnsNotList
    */
    public void setDataSourcesFileColumnsNotList(List<String> dataSourcesFileColumnsNotList){
        this.dataSourcesFileColumnsNotList = dataSourcesFileColumnsNotList;
    }

    /**
    * 获取 输入数据源表列名
    * @return dataSourcesTableColumnsList
    */
    public List<String> getDataSourcesTableColumnsList(){
        return this.dataSourcesTableColumnsList;
    }

    /**
    * 设置 输入数据源表列名
    * @param dataSourcesTableColumnsList
    */
    public void setDataSourcesTableColumnsList(List<String> dataSourcesTableColumnsList){
        this.dataSourcesTableColumnsList = dataSourcesTableColumnsList;
    }

    /**
    * 获取 输入数据源表列名
    * @return dataSourcesTableColumnsNotList
    */
    public List<String> getDataSourcesTableColumnsNotList(){
        return this.dataSourcesTableColumnsNotList;
    }

    /**
    * 设置 输入数据源表列名
    * @param dataSourcesTableColumnsNotList
    */
    public void setDataSourcesTableColumnsNotList(List<String> dataSourcesTableColumnsNotList){
        this.dataSourcesTableColumnsNotList = dataSourcesTableColumnsNotList;
    }

    /**
    * 获取 输入数据源参数
    * @return dataSourcesParamsInputList
    */
    public List<String> getDataSourcesParamsInputList(){
        return this.dataSourcesParamsInputList;
    }

    /**
    * 设置 输入数据源参数
    * @param dataSourcesParamsInputList
    */
    public void setDataSourcesParamsInputList(List<String> dataSourcesParamsInputList){
        this.dataSourcesParamsInputList = dataSourcesParamsInputList;
    }

    /**
    * 获取 输入数据源参数
    * @return dataSourcesParamsInputNotList
    */
    public List<String> getDataSourcesParamsInputNotList(){
        return this.dataSourcesParamsInputNotList;
    }

    /**
    * 设置 输入数据源参数
    * @param dataSourcesParamsInputNotList
    */
    public void setDataSourcesParamsInputNotList(List<String> dataSourcesParamsInputNotList){
        this.dataSourcesParamsInputNotList = dataSourcesParamsInputNotList;
    }

    /**
    * 获取 输入数据源过滤条件
    * @return dataSourcesFilterInputList
    */
    public List<String> getDataSourcesFilterInputList(){
        return this.dataSourcesFilterInputList;
    }

    /**
    * 设置 输入数据源过滤条件
    * @param dataSourcesFilterInputList
    */
    public void setDataSourcesFilterInputList(List<String> dataSourcesFilterInputList){
        this.dataSourcesFilterInputList = dataSourcesFilterInputList;
    }

    /**
    * 获取 输入数据源过滤条件
    * @return dataSourcesFilterInputNotList
    */
    public List<String> getDataSourcesFilterInputNotList(){
        return this.dataSourcesFilterInputNotList;
    }

    /**
    * 设置 输入数据源过滤条件
    * @param dataSourcesFilterInputNotList
    */
    public void setDataSourcesFilterInputNotList(List<String> dataSourcesFilterInputNotList){
        this.dataSourcesFilterInputNotList = dataSourcesFilterInputNotList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputList
    */
    public List<String> getDataSourcesChooseOutputList(){
        return this.dataSourcesChooseOutputList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public void setDataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
    }

    /**
    * 获取 输出数据源id
    * @return dataSourcesChooseOutputNotList
    */
    public List<String> getDataSourcesChooseOutputNotList(){
        return this.dataSourcesChooseOutputNotList;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputNotList
    */
    public void setDataSourcesChooseOutputNotList(List<String> dataSourcesChooseOutputNotList){
        this.dataSourcesChooseOutputNotList = dataSourcesChooseOutputNotList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputList
    */
    public List<String> getDataSourceTypeOutputList(){
        return this.dataSourceTypeOutputList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public void setDataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
    }

    /**
    * 获取 输出数据源类型
    * @return dataSourceTypeOutputNotList
    */
    public List<String> getDataSourceTypeOutputNotList(){
        return this.dataSourceTypeOutputNotList;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputNotList
    */
    public void setDataSourceTypeOutputNotList(List<String> dataSourceTypeOutputNotList){
        this.dataSourceTypeOutputNotList = dataSourceTypeOutputNotList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputList
    */
    public List<String> getDataSourcesTableNameOutputList(){
        return this.dataSourcesTableNameOutputList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public void setDataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
    }

    /**
    * 获取 输出数据源表名
    * @return dataSourcesTableNameOutputNotList
    */
    public List<String> getDataSourcesTableNameOutputNotList(){
        return this.dataSourcesTableNameOutputNotList;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputNotList
    */
    public void setDataSourcesTableNameOutputNotList(List<String> dataSourcesTableNameOutputNotList){
        this.dataSourcesTableNameOutputNotList = dataSourcesTableNameOutputNotList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputList
    */
    public List<String> getDataSourcesFileNameOutputList(){
        return this.dataSourcesFileNameOutputList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public void setDataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
    }

    /**
    * 获取 输出数据源文件名
    * @return dataSourcesFileNameOutputNotList
    */
    public List<String> getDataSourcesFileNameOutputNotList(){
        return this.dataSourcesFileNameOutputNotList;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputNotList
    */
    public void setDataSourcesFileNameOutputNotList(List<String> dataSourcesFileNameOutputNotList){
        this.dataSourcesFileNameOutputNotList = dataSourcesFileNameOutputNotList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputList
    */
    public List<String> getDataSourcesParamsOutputList(){
        return this.dataSourcesParamsOutputList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public void setDataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
    }

    /**
    * 获取 输出数据源参数
    * @return dataSourcesParamsOutputNotList
    */
    public List<String> getDataSourcesParamsOutputNotList(){
        return this.dataSourcesParamsOutputNotList;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputNotList
    */
    public void setDataSourcesParamsOutputNotList(List<String> dataSourcesParamsOutputNotList){
        this.dataSourcesParamsOutputNotList = dataSourcesParamsOutputNotList;
    }

    /**
    * 获取 输入输出自定映射关系
    * @return columnDatasList
    */
    public List<String> getColumnDatasList(){
        return this.columnDatasList;
    }

    /**
    * 设置 输入输出自定映射关系
    * @param columnDatasList
    */
    public void setColumnDatasList(List<String> columnDatasList){
        this.columnDatasList = columnDatasList;
    }

    /**
    * 获取 输入输出自定映射关系
    * @return columnDatasNotList
    */
    public List<String> getColumnDatasNotList(){
        return this.columnDatasNotList;
    }

    /**
    * 设置 输入输出自定映射关系
    * @param columnDatasNotList
    */
    public void setColumnDatasNotList(List<String> columnDatasNotList){
        this.columnDatasNotList = columnDatasNotList;
    }

    /**
    * 获取 数据源数据源删除条件
    * @return dataSourcesClearOutputList
    */
    public List<String> getDataSourcesClearOutputList(){
        return this.dataSourcesClearOutputList;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputList
    */
    public void setDataSourcesClearOutputList(List<String> dataSourcesClearOutputList){
        this.dataSourcesClearOutputList = dataSourcesClearOutputList;
    }

    /**
    * 获取 数据源数据源删除条件
    * @return dataSourcesClearOutputNotList
    */
    public List<String> getDataSourcesClearOutputNotList(){
        return this.dataSourcesClearOutputNotList;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputNotList
    */
    public void setDataSourcesClearOutputNotList(List<String> dataSourcesClearOutputNotList){
        this.dataSourcesClearOutputNotList = dataSourcesClearOutputNotList;
    }

    /**
    * 获取 表所属公司
    * @return companyList
    */
    public List<String> getCompanyList(){
        return this.companyList;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public void setCompanyList(List<String> companyList){
        this.companyList = companyList;
    }

    /**
    * 获取 表所属公司
    * @return companyNotList
    */
    public List<String> getCompanyNotList(){
        return this.companyNotList;
    }

    /**
    * 设置 表所属公司
    * @param companyNotList
    */
    public void setCompanyNotList(List<String> companyNotList){
        this.companyNotList = companyNotList;
    }

    /**
    * 获取 表所属部门
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 表所属部门
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 表所属部门
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 表所属服务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 表所属服务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 表所属服务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 更新说明
    * @return updateContextList
    */
    public List<String> getUpdateContextList(){
        return this.updateContextList;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public void setUpdateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
    }

    /**
    * 获取 更新说明
    * @return updateContextNotList
    */
    public List<String> getUpdateContextNotList(){
        return this.updateContextNotList;
    }

    /**
    * 设置 更新说明
    * @param updateContextNotList
    */
    public void setUpdateContextNotList(List<String> updateContextNotList){
        this.updateContextNotList = updateContextNotList;
    }

    /**
    * 获取 字段个数
    * @return columnSizeList
    */
    public List<String> getColumnSizeList(){
        return this.columnSizeList;
    }

    /**
    * 设置 字段个数
    * @param columnSizeList
    */
    public void setColumnSizeList(List<String> columnSizeList){
        this.columnSizeList = columnSizeList;
    }

    /**
    * 获取 字段个数
    * @return columnSizeNotList
    */
    public List<String> getColumnSizeNotList(){
        return this.columnSizeNotList;
    }

    /**
    * 设置 字段个数
    * @param columnSizeNotList
    */
    public void setColumnSizeNotList(List<String> columnSizeNotList){
        this.columnSizeNotList = columnSizeNotList;
    }

    /**
    * 获取 行数范围
    * @return rowsRangeList
    */
    public List<String> getRowsRangeList(){
        return this.rowsRangeList;
    }

    /**
    * 设置 行数范围
    * @param rowsRangeList
    */
    public void setRowsRangeList(List<String> rowsRangeList){
        this.rowsRangeList = rowsRangeList;
    }

    /**
    * 获取 行数范围
    * @return rowsRangeNotList
    */
    public List<String> getRowsRangeNotList(){
        return this.rowsRangeNotList;
    }

    /**
    * 设置 行数范围
    * @param rowsRangeNotList
    */
    public void setRowsRangeNotList(List<String> rowsRangeNotList){
        this.rowsRangeNotList = rowsRangeNotList;
    }

    /**
    * 获取 错误率
    * @return errorRateList
    */
    public List<String> getErrorRateList(){
        return this.errorRateList;
    }

    /**
    * 设置 错误率
    * @param errorRateList
    */
    public void setErrorRateList(List<String> errorRateList){
        this.errorRateList = errorRateList;
    }

    /**
    * 获取 错误率
    * @return errorRateNotList
    */
    public List<String> getErrorRateNotList(){
        return this.errorRateNotList;
    }

    /**
    * 设置 错误率
    * @param errorRateNotList
    */
    public void setErrorRateNotList(List<String> errorRateNotList){
        this.errorRateNotList = errorRateNotList;
    }

    /**
    * 获取 是否开启质量检测
    * @return enableQualityList
    */
    public List<String> getEnableQualityList(){
        return this.enableQualityList;
    }

    /**
    * 设置 是否开启质量检测
    * @param enableQualityList
    */
    public void setEnableQualityList(List<String> enableQualityList){
        this.enableQualityList = enableQualityList;
    }

    /**
    * 获取 是否开启质量检测
    * @return enableQualityNotList
    */
    public List<String> getEnableQualityNotList(){
        return this.enableQualityNotList;
    }

    /**
    * 设置 是否开启质量检测
    * @param enableQualityNotList
    */
    public void setEnableQualityNotList(List<String> enableQualityNotList){
        this.enableQualityNotList = enableQualityNotList;
    }

    /**
    * 获取 去重字段
    * @return duplicateColumnsList
    */
    public List<String> getDuplicateColumnsList(){
        return this.duplicateColumnsList;
    }

    /**
    * 设置 去重字段
    * @param duplicateColumnsList
    */
    public void setDuplicateColumnsList(List<String> duplicateColumnsList){
        this.duplicateColumnsList = duplicateColumnsList;
    }

    /**
    * 获取 去重字段
    * @return duplicateColumnsNotList
    */
    public List<String> getDuplicateColumnsNotList(){
        return this.duplicateColumnsNotList;
    }

    /**
    * 设置 去重字段
    * @param duplicateColumnsNotList
    */
    public void setDuplicateColumnsNotList(List<String> duplicateColumnsNotList){
        this.duplicateColumnsNotList = duplicateColumnsNotList;
    }

    /**
    * 获取 不可重复字段
    * @return primaryColumnsList
    */
    public List<String> getPrimaryColumnsList(){
        return this.primaryColumnsList;
    }

    /**
    * 设置 不可重复字段
    * @param primaryColumnsList
    */
    public void setPrimaryColumnsList(List<String> primaryColumnsList){
        this.primaryColumnsList = primaryColumnsList;
    }

    /**
    * 获取 不可重复字段
    * @return primaryColumnsNotList
    */
    public List<String> getPrimaryColumnsNotList(){
        return this.primaryColumnsNotList;
    }

    /**
    * 设置 不可重复字段
    * @param primaryColumnsNotList
    */
    public void setPrimaryColumnsNotList(List<String> primaryColumnsNotList){
        this.primaryColumnsNotList = primaryColumnsNotList;
    }

    /**
    * 获取 输入文件类型
    * @return fileTypeInputList
    */
    public List<String> getFileTypeInputList(){
        return this.fileTypeInputList;
    }

    /**
    * 设置 输入文件类型
    * @param fileTypeInputList
    */
    public void setFileTypeInputList(List<String> fileTypeInputList){
        this.fileTypeInputList = fileTypeInputList;
    }

    /**
    * 获取 输入文件类型
    * @return fileTypeInputNotList
    */
    public List<String> getFileTypeInputNotList(){
        return this.fileTypeInputNotList;
    }

    /**
    * 设置 输入文件类型
    * @param fileTypeInputNotList
    */
    public void setFileTypeInputNotList(List<String> fileTypeInputNotList){
        this.fileTypeInputNotList = fileTypeInputNotList;
    }

    /**
    * 获取 输入文件编码
    * @return encodingInputList
    */
    public List<String> getEncodingInputList(){
        return this.encodingInputList;
    }

    /**
    * 设置 输入文件编码
    * @param encodingInputList
    */
    public void setEncodingInputList(List<String> encodingInputList){
        this.encodingInputList = encodingInputList;
    }

    /**
    * 获取 输入文件编码
    * @return encodingInputNotList
    */
    public List<String> getEncodingInputNotList(){
        return this.encodingInputNotList;
    }

    /**
    * 设置 输入文件编码
    * @param encodingInputNotList
    */
    public void setEncodingInputNotList(List<String> encodingInputNotList){
        this.encodingInputNotList = encodingInputNotList;
    }

    /**
    * 获取 输入分割符
    * @return sepInputList
    */
    public List<String> getSepInputList(){
        return this.sepInputList;
    }

    /**
    * 设置 输入分割符
    * @param sepInputList
    */
    public void setSepInputList(List<String> sepInputList){
        this.sepInputList = sepInputList;
    }

    /**
    * 获取 输入分割符
    * @return sepInputNotList
    */
    public List<String> getSepInputNotList(){
        return this.sepInputNotList;
    }

    /**
    * 设置 输入分割符
    * @param sepInputNotList
    */
    public void setSepInputNotList(List<String> sepInputNotList){
        this.sepInputNotList = sepInputNotList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputList
    */
    public List<String> getFileTypeOutputList(){
        return this.fileTypeOutputList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public void setFileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
    }

    /**
    * 获取 输出文件类型
    * @return fileTypeOutputNotList
    */
    public List<String> getFileTypeOutputNotList(){
        return this.fileTypeOutputNotList;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputNotList
    */
    public void setFileTypeOutputNotList(List<String> fileTypeOutputNotList){
        this.fileTypeOutputNotList = fileTypeOutputNotList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputList
    */
    public List<String> getEncodingOutputList(){
        return this.encodingOutputList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public void setEncodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
    }

    /**
    * 获取 输出文件编码
    * @return encodingOutputNotList
    */
    public List<String> getEncodingOutputNotList(){
        return this.encodingOutputNotList;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputNotList
    */
    public void setEncodingOutputNotList(List<String> encodingOutputNotList){
        this.encodingOutputNotList = encodingOutputNotList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputList
    */
    public List<String> getSepOutputList(){
        return this.sepOutputList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public void setSepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
    }

    /**
    * 获取 输出文件分割符
    * @return sepOutputNotList
    */
    public List<String> getSepOutputNotList(){
        return this.sepOutputNotList;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputNotList
    */
    public void setSepOutputNotList(List<String> sepOutputNotList){
        this.sepOutputNotList = sepOutputNotList;
    }

    /**
    * 获取 输入是否包含表头
    * @return headerInputList
    */
    public List<String> getHeaderInputList(){
        return this.headerInputList;
    }

    /**
    * 设置 输入是否包含表头
    * @param headerInputList
    */
    public void setHeaderInputList(List<String> headerInputList){
        this.headerInputList = headerInputList;
    }

    /**
    * 获取 输入是否包含表头
    * @return headerInputNotList
    */
    public List<String> getHeaderInputNotList(){
        return this.headerInputNotList;
    }

    /**
    * 设置 输入是否包含表头
    * @param headerInputNotList
    */
    public void setHeaderInputNotList(List<String> headerInputNotList){
        this.headerInputNotList = headerInputNotList;
    }

    /**
    * 获取 输出是否包含表头
    * @return headerOutputList
    */
    public List<String> getHeaderOutputList(){
        return this.headerOutputList;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputList
    */
    public void setHeaderOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
    }

    /**
    * 获取 输出是否包含表头
    * @return headerOutputNotList
    */
    public List<String> getHeaderOutputNotList(){
        return this.headerOutputNotList;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputNotList
    */
    public void setHeaderOutputNotList(List<String> headerOutputNotList){
        this.headerOutputNotList = headerOutputNotList;
    }

    /**
    * 获取 洗牌个数默认空
    * @return repartitionNumInputList
    */
    public List<String> getRepartitionNumInputList(){
        return this.repartitionNumInputList;
    }

    /**
    * 设置 洗牌个数默认空
    * @param repartitionNumInputList
    */
    public void setRepartitionNumInputList(List<String> repartitionNumInputList){
        this.repartitionNumInputList = repartitionNumInputList;
    }

    /**
    * 获取 洗牌个数默认空
    * @return repartitionNumInputNotList
    */
    public List<String> getRepartitionNumInputNotList(){
        return this.repartitionNumInputNotList;
    }

    /**
    * 设置 洗牌个数默认空
    * @param repartitionNumInputNotList
    */
    public void setRepartitionNumInputNotList(List<String> repartitionNumInputNotList){
        this.repartitionNumInputNotList = repartitionNumInputNotList;
    }

    /**
    * 获取 洗牌字段默认空
    * @return repartitionColsInputList
    */
    public List<String> getRepartitionColsInputList(){
        return this.repartitionColsInputList;
    }

    /**
    * 设置 洗牌字段默认空
    * @param repartitionColsInputList
    */
    public void setRepartitionColsInputList(List<String> repartitionColsInputList){
        this.repartitionColsInputList = repartitionColsInputList;
    }

    /**
    * 获取 洗牌字段默认空
    * @return repartitionColsInputNotList
    */
    public List<String> getRepartitionColsInputNotList(){
        return this.repartitionColsInputNotList;
    }

    /**
    * 设置 洗牌字段默认空
    * @param repartitionColsInputNotList
    */
    public void setRepartitionColsInputNotList(List<String> repartitionColsInputNotList){
        this.repartitionColsInputNotList = repartitionColsInputNotList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputList
    */
    public List<String> getModelOutputList(){
        return this.modelOutputList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public void setModelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
    }

    /**
    * 获取 写入模式默认空
    * @return modelOutputNotList
    */
    public List<String> getModelOutputNotList(){
        return this.modelOutputNotList;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputNotList
    */
    public void setModelOutputNotList(List<String> modelOutputNotList){
        this.modelOutputNotList = modelOutputNotList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputList
    */
    public List<String> getPartitionByOutputList(){
        return this.partitionByOutputList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public void setPartitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
    }

    /**
    * 获取 分区字段默认空
    * @return partitionByOutputNotList
    */
    public List<String> getPartitionByOutputNotList(){
        return this.partitionByOutputNotList;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputNotList
    */
    public void setPartitionByOutputNotList(List<String> partitionByOutputNotList){
        this.partitionByOutputNotList = partitionByOutputNotList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputList
    */
    public List<String> getMergeOutputList(){
        return this.mergeOutputList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public void setMergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
    }

    /**
    * 获取 合并小文件默认-1 不合并
    * @return mergeOutputNotList
    */
    public List<String> getMergeOutputNotList(){
        return this.mergeOutputNotList;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputNotList
    */
    public void setMergeOutputNotList(List<String> mergeOutputNotList){
        this.mergeOutputNotList = mergeOutputNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public TaskSparkInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public TaskSparkInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public TaskSparkInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public TaskSparkInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public TaskSparkInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public TaskSparkInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 任务说明
    * @param etlContext
    */
    public TaskSparkInfoQuery etlContext(String etlContext){
        setEtlContext(etlContext);
		return this;
    }

    /**
    * 设置 任务说明
    * @param etlContextList
    */
    public TaskSparkInfoQuery etlContextList(List<String> etlContextList){
        this.etlContextList = etlContextList;
		return this;
    }


	/**
    * 设置 输入数据源id
    * @param dataSourcesChooseInput
    */
    public TaskSparkInfoQuery dataSourcesChooseInput(String dataSourcesChooseInput){
        setDataSourcesChooseInput(dataSourcesChooseInput);
		return this;
    }

    /**
    * 设置 输入数据源id
    * @param dataSourcesChooseInputList
    */
    public TaskSparkInfoQuery dataSourcesChooseInputList(List<String> dataSourcesChooseInputList){
        this.dataSourcesChooseInputList = dataSourcesChooseInputList;
		return this;
    }


	/**
    * 设置 输入数据源类型
    * @param dataSourceTypeInput
    */
    public TaskSparkInfoQuery dataSourceTypeInput(String dataSourceTypeInput){
        setDataSourceTypeInput(dataSourceTypeInput);
		return this;
    }

    /**
    * 设置 输入数据源类型
    * @param dataSourceTypeInputList
    */
    public TaskSparkInfoQuery dataSourceTypeInputList(List<String> dataSourceTypeInputList){
        this.dataSourceTypeInputList = dataSourceTypeInputList;
		return this;
    }


	/**
    * 设置 输入数据源表名
    * @param dataSourcesTableNameInput
    */
    public TaskSparkInfoQuery dataSourcesTableNameInput(String dataSourcesTableNameInput){
        setDataSourcesTableNameInput(dataSourcesTableNameInput);
		return this;
    }

    /**
    * 设置 输入数据源表名
    * @param dataSourcesTableNameInputList
    */
    public TaskSparkInfoQuery dataSourcesTableNameInputList(List<String> dataSourcesTableNameInputList){
        this.dataSourcesTableNameInputList = dataSourcesTableNameInputList;
		return this;
    }


	/**
    * 设置 输入数据源文件名
    * @param dataSourcesFileNameInput
    */
    public TaskSparkInfoQuery dataSourcesFileNameInput(String dataSourcesFileNameInput){
        setDataSourcesFileNameInput(dataSourcesFileNameInput);
		return this;
    }

    /**
    * 设置 输入数据源文件名
    * @param dataSourcesFileNameInputList
    */
    public TaskSparkInfoQuery dataSourcesFileNameInputList(List<String> dataSourcesFileNameInputList){
        this.dataSourcesFileNameInputList = dataSourcesFileNameInputList;
		return this;
    }


	/**
    * 设置 输入数据源文件列名
    * @param dataSourcesFileColumns
    */
    public TaskSparkInfoQuery dataSourcesFileColumns(String dataSourcesFileColumns){
        setDataSourcesFileColumns(dataSourcesFileColumns);
		return this;
    }

    /**
    * 设置 输入数据源文件列名
    * @param dataSourcesFileColumnsList
    */
    public TaskSparkInfoQuery dataSourcesFileColumnsList(List<String> dataSourcesFileColumnsList){
        this.dataSourcesFileColumnsList = dataSourcesFileColumnsList;
		return this;
    }


	/**
    * 设置 输入数据源表列名
    * @param dataSourcesTableColumns
    */
    public TaskSparkInfoQuery dataSourcesTableColumns(String dataSourcesTableColumns){
        setDataSourcesTableColumns(dataSourcesTableColumns);
		return this;
    }

    /**
    * 设置 输入数据源表列名
    * @param dataSourcesTableColumnsList
    */
    public TaskSparkInfoQuery dataSourcesTableColumnsList(List<String> dataSourcesTableColumnsList){
        this.dataSourcesTableColumnsList = dataSourcesTableColumnsList;
		return this;
    }


	/**
    * 设置 输入数据源参数
    * @param dataSourcesParamsInput
    */
    public TaskSparkInfoQuery dataSourcesParamsInput(String dataSourcesParamsInput){
        setDataSourcesParamsInput(dataSourcesParamsInput);
		return this;
    }

    /**
    * 设置 输入数据源参数
    * @param dataSourcesParamsInputList
    */
    public TaskSparkInfoQuery dataSourcesParamsInputList(List<String> dataSourcesParamsInputList){
        this.dataSourcesParamsInputList = dataSourcesParamsInputList;
		return this;
    }


	/**
    * 设置 输入数据源过滤条件
    * @param dataSourcesFilterInput
    */
    public TaskSparkInfoQuery dataSourcesFilterInput(String dataSourcesFilterInput){
        setDataSourcesFilterInput(dataSourcesFilterInput);
		return this;
    }

    /**
    * 设置 输入数据源过滤条件
    * @param dataSourcesFilterInputList
    */
    public TaskSparkInfoQuery dataSourcesFilterInputList(List<String> dataSourcesFilterInputList){
        this.dataSourcesFilterInputList = dataSourcesFilterInputList;
		return this;
    }


	/**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutput
    */
    public TaskSparkInfoQuery dataSourcesChooseOutput(String dataSourcesChooseOutput){
        setDataSourcesChooseOutput(dataSourcesChooseOutput);
		return this;
    }

    /**
    * 设置 输出数据源id
    * @param dataSourcesChooseOutputList
    */
    public TaskSparkInfoQuery dataSourcesChooseOutputList(List<String> dataSourcesChooseOutputList){
        this.dataSourcesChooseOutputList = dataSourcesChooseOutputList;
		return this;
    }


	/**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutput
    */
    public TaskSparkInfoQuery dataSourceTypeOutput(String dataSourceTypeOutput){
        setDataSourceTypeOutput(dataSourceTypeOutput);
		return this;
    }

    /**
    * 设置 输出数据源类型
    * @param dataSourceTypeOutputList
    */
    public TaskSparkInfoQuery dataSourceTypeOutputList(List<String> dataSourceTypeOutputList){
        this.dataSourceTypeOutputList = dataSourceTypeOutputList;
		return this;
    }


	/**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutput
    */
    public TaskSparkInfoQuery dataSourcesTableNameOutput(String dataSourcesTableNameOutput){
        setDataSourcesTableNameOutput(dataSourcesTableNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源表名
    * @param dataSourcesTableNameOutputList
    */
    public TaskSparkInfoQuery dataSourcesTableNameOutputList(List<String> dataSourcesTableNameOutputList){
        this.dataSourcesTableNameOutputList = dataSourcesTableNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutput
    */
    public TaskSparkInfoQuery dataSourcesFileNameOutput(String dataSourcesFileNameOutput){
        setDataSourcesFileNameOutput(dataSourcesFileNameOutput);
		return this;
    }

    /**
    * 设置 输出数据源文件名
    * @param dataSourcesFileNameOutputList
    */
    public TaskSparkInfoQuery dataSourcesFileNameOutputList(List<String> dataSourcesFileNameOutputList){
        this.dataSourcesFileNameOutputList = dataSourcesFileNameOutputList;
		return this;
    }


	/**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutput
    */
    public TaskSparkInfoQuery dataSourcesParamsOutput(String dataSourcesParamsOutput){
        setDataSourcesParamsOutput(dataSourcesParamsOutput);
		return this;
    }

    /**
    * 设置 输出数据源参数
    * @param dataSourcesParamsOutputList
    */
    public TaskSparkInfoQuery dataSourcesParamsOutputList(List<String> dataSourcesParamsOutputList){
        this.dataSourcesParamsOutputList = dataSourcesParamsOutputList;
		return this;
    }


	/**
    * 设置 输入输出自定映射关系
    * @param columnDatas
    */
    public TaskSparkInfoQuery columnDatas(String columnDatas){
        setColumnDatas(columnDatas);
		return this;
    }

    /**
    * 设置 输入输出自定映射关系
    * @param columnDatasList
    */
    public TaskSparkInfoQuery columnDatasList(List<String> columnDatasList){
        this.columnDatasList = columnDatasList;
		return this;
    }


	/**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutput
    */
    public TaskSparkInfoQuery dataSourcesClearOutput(String dataSourcesClearOutput){
        setDataSourcesClearOutput(dataSourcesClearOutput);
		return this;
    }

    /**
    * 设置 数据源数据源删除条件
    * @param dataSourcesClearOutputList
    */
    public TaskSparkInfoQuery dataSourcesClearOutputList(List<String> dataSourcesClearOutputList){
        this.dataSourcesClearOutputList = dataSourcesClearOutputList;
		return this;
    }


	/**
    * 设置 表所属公司
    * @param company
    */
    public TaskSparkInfoQuery company(String company){
        setCompany(company);
		return this;
    }

    /**
    * 设置 表所属公司
    * @param companyList
    */
    public TaskSparkInfoQuery companyList(List<String> companyList){
        this.companyList = companyList;
		return this;
    }


	/**
    * 设置 表所属部门
    * @param section
    */
    public TaskSparkInfoQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 表所属部门
    * @param sectionList
    */
    public TaskSparkInfoQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 表所属服务
    * @param service
    */
    public TaskSparkInfoQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 表所属服务
    * @param serviceList
    */
    public TaskSparkInfoQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 更新说明
    * @param updateContext
    */
    public TaskSparkInfoQuery updateContext(String updateContext){
        setUpdateContext(updateContext);
		return this;
    }

    /**
    * 设置 更新说明
    * @param updateContextList
    */
    public TaskSparkInfoQuery updateContextList(List<String> updateContextList){
        this.updateContextList = updateContextList;
		return this;
    }


	/**
    * 设置 字段个数
    * @param columnSize
    */
    public TaskSparkInfoQuery columnSize(String columnSize){
        setColumnSize(columnSize);
		return this;
    }

    /**
    * 设置 字段个数
    * @param columnSizeList
    */
    public TaskSparkInfoQuery columnSizeList(List<String> columnSizeList){
        this.columnSizeList = columnSizeList;
		return this;
    }


	/**
    * 设置 行数范围
    * @param rowsRange
    */
    public TaskSparkInfoQuery rowsRange(String rowsRange){
        setRowsRange(rowsRange);
		return this;
    }

    /**
    * 设置 行数范围
    * @param rowsRangeList
    */
    public TaskSparkInfoQuery rowsRangeList(List<String> rowsRangeList){
        this.rowsRangeList = rowsRangeList;
		return this;
    }


	/**
    * 设置 错误率
    * @param errorRate
    */
    public TaskSparkInfoQuery errorRate(String errorRate){
        setErrorRate(errorRate);
		return this;
    }

    /**
    * 设置 错误率
    * @param errorRateList
    */
    public TaskSparkInfoQuery errorRateList(List<String> errorRateList){
        this.errorRateList = errorRateList;
		return this;
    }


	/**
    * 设置 是否开启质量检测
    * @param enableQuality
    */
    public TaskSparkInfoQuery enableQuality(String enableQuality){
        setEnableQuality(enableQuality);
		return this;
    }

    /**
    * 设置 是否开启质量检测
    * @param enableQualityList
    */
    public TaskSparkInfoQuery enableQualityList(List<String> enableQualityList){
        this.enableQualityList = enableQualityList;
		return this;
    }


	/**
    * 设置 去重字段
    * @param duplicateColumns
    */
    public TaskSparkInfoQuery duplicateColumns(String duplicateColumns){
        setDuplicateColumns(duplicateColumns);
		return this;
    }

    /**
    * 设置 去重字段
    * @param duplicateColumnsList
    */
    public TaskSparkInfoQuery duplicateColumnsList(List<String> duplicateColumnsList){
        this.duplicateColumnsList = duplicateColumnsList;
		return this;
    }


	/**
    * 设置 不可重复字段
    * @param primaryColumns
    */
    public TaskSparkInfoQuery primaryColumns(String primaryColumns){
        setPrimaryColumns(primaryColumns);
		return this;
    }

    /**
    * 设置 不可重复字段
    * @param primaryColumnsList
    */
    public TaskSparkInfoQuery primaryColumnsList(List<String> primaryColumnsList){
        this.primaryColumnsList = primaryColumnsList;
		return this;
    }


	/**
    * 设置 输入文件类型
    * @param fileTypeInput
    */
    public TaskSparkInfoQuery fileTypeInput(String fileTypeInput){
        setFileTypeInput(fileTypeInput);
		return this;
    }

    /**
    * 设置 输入文件类型
    * @param fileTypeInputList
    */
    public TaskSparkInfoQuery fileTypeInputList(List<String> fileTypeInputList){
        this.fileTypeInputList = fileTypeInputList;
		return this;
    }


	/**
    * 设置 输入文件编码
    * @param encodingInput
    */
    public TaskSparkInfoQuery encodingInput(String encodingInput){
        setEncodingInput(encodingInput);
		return this;
    }

    /**
    * 设置 输入文件编码
    * @param encodingInputList
    */
    public TaskSparkInfoQuery encodingInputList(List<String> encodingInputList){
        this.encodingInputList = encodingInputList;
		return this;
    }


	/**
    * 设置 输入分割符
    * @param sepInput
    */
    public TaskSparkInfoQuery sepInput(String sepInput){
        setSepInput(sepInput);
		return this;
    }

    /**
    * 设置 输入分割符
    * @param sepInputList
    */
    public TaskSparkInfoQuery sepInputList(List<String> sepInputList){
        this.sepInputList = sepInputList;
		return this;
    }


	/**
    * 设置 输出文件类型
    * @param fileTypeOutput
    */
    public TaskSparkInfoQuery fileTypeOutput(String fileTypeOutput){
        setFileTypeOutput(fileTypeOutput);
		return this;
    }

    /**
    * 设置 输出文件类型
    * @param fileTypeOutputList
    */
    public TaskSparkInfoQuery fileTypeOutputList(List<String> fileTypeOutputList){
        this.fileTypeOutputList = fileTypeOutputList;
		return this;
    }


	/**
    * 设置 输出文件编码
    * @param encodingOutput
    */
    public TaskSparkInfoQuery encodingOutput(String encodingOutput){
        setEncodingOutput(encodingOutput);
		return this;
    }

    /**
    * 设置 输出文件编码
    * @param encodingOutputList
    */
    public TaskSparkInfoQuery encodingOutputList(List<String> encodingOutputList){
        this.encodingOutputList = encodingOutputList;
		return this;
    }


	/**
    * 设置 输出文件分割符
    * @param sepOutput
    */
    public TaskSparkInfoQuery sepOutput(String sepOutput){
        setSepOutput(sepOutput);
		return this;
    }

    /**
    * 设置 输出文件分割符
    * @param sepOutputList
    */
    public TaskSparkInfoQuery sepOutputList(List<String> sepOutputList){
        this.sepOutputList = sepOutputList;
		return this;
    }


	/**
    * 设置 输入是否包含表头
    * @param headerInput
    */
    public TaskSparkInfoQuery headerInput(String headerInput){
        setHeaderInput(headerInput);
		return this;
    }

    /**
    * 设置 输入是否包含表头
    * @param headerInputList
    */
    public TaskSparkInfoQuery headerInputList(List<String> headerInputList){
        this.headerInputList = headerInputList;
		return this;
    }


	/**
    * 设置 输出是否包含表头
    * @param headerOutput
    */
    public TaskSparkInfoQuery headerOutput(String headerOutput){
        setHeaderOutput(headerOutput);
		return this;
    }

    /**
    * 设置 输出是否包含表头
    * @param headerOutputList
    */
    public TaskSparkInfoQuery headerOutputList(List<String> headerOutputList){
        this.headerOutputList = headerOutputList;
		return this;
    }


	/**
    * 设置 洗牌个数默认空
    * @param repartitionNumInput
    */
    public TaskSparkInfoQuery repartitionNumInput(String repartitionNumInput){
        setRepartitionNumInput(repartitionNumInput);
		return this;
    }

    /**
    * 设置 洗牌个数默认空
    * @param repartitionNumInputList
    */
    public TaskSparkInfoQuery repartitionNumInputList(List<String> repartitionNumInputList){
        this.repartitionNumInputList = repartitionNumInputList;
		return this;
    }


	/**
    * 设置 洗牌字段默认空
    * @param repartitionColsInput
    */
    public TaskSparkInfoQuery repartitionColsInput(String repartitionColsInput){
        setRepartitionColsInput(repartitionColsInput);
		return this;
    }

    /**
    * 设置 洗牌字段默认空
    * @param repartitionColsInputList
    */
    public TaskSparkInfoQuery repartitionColsInputList(List<String> repartitionColsInputList){
        this.repartitionColsInputList = repartitionColsInputList;
		return this;
    }


	/**
    * 设置 写入模式默认空
    * @param modelOutput
    */
    public TaskSparkInfoQuery modelOutput(String modelOutput){
        setModelOutput(modelOutput);
		return this;
    }

    /**
    * 设置 写入模式默认空
    * @param modelOutputList
    */
    public TaskSparkInfoQuery modelOutputList(List<String> modelOutputList){
        this.modelOutputList = modelOutputList;
		return this;
    }


	/**
    * 设置 分区字段默认空
    * @param partitionByOutput
    */
    public TaskSparkInfoQuery partitionByOutput(String partitionByOutput){
        setPartitionByOutput(partitionByOutput);
		return this;
    }

    /**
    * 设置 分区字段默认空
    * @param partitionByOutputList
    */
    public TaskSparkInfoQuery partitionByOutputList(List<String> partitionByOutputList){
        this.partitionByOutputList = partitionByOutputList;
		return this;
    }


	/**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutput
    */
    public TaskSparkInfoQuery mergeOutput(String mergeOutput){
        setMergeOutput(mergeOutput);
		return this;
    }

    /**
    * 设置 合并小文件默认-1 不合并
    * @param mergeOutputList
    */
    public TaskSparkInfoQuery mergeOutputList(List<String> mergeOutputList){
        this.mergeOutputList = mergeOutputList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public TaskSparkInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public TaskSparkInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public TaskSparkInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public TaskSparkInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public TaskSparkInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public TaskSparkInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public TaskSparkInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public TaskSparkInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public TaskSparkInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public TaskSparkInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public TaskSparkInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public TaskSparkInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TaskSparkInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TaskSparkInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TaskSparkInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TaskSparkInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TaskSparkInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TaskSparkInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public TaskSparkInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public TaskSparkInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public TaskSparkInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public TaskSparkInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public TaskSparkInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public TaskSparkInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public TaskSparkInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public TaskSparkInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskSparkInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskSparkInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskSparkInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskSparkInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}