package com.mortals.xhx.module.task.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.task.model.vo.TaskUpdateLogsVo;
import lombok.Data;
/**
* etl-任务更新日志实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class TaskUpdateLogsEntity extends TaskUpdateLogsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    private String updateContext;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TaskUpdateLogsEntity) {
            TaskUpdateLogsEntity tmp = (TaskUpdateLogsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.updateContext = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}