package com.mortals.xhx.module.task.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.task.model.TaskUpdateLogsEntity;
import com.mortals.xhx.module.task.service.TaskUpdateLogsService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* etl-任务更新日志
*
* @author zxfei
* @date 2024-07-15
*/
@RestController
@RequestMapping("task/update/logs")
public class TaskUpdateLogsController extends BaseCRUDJsonBodyMappingController<TaskUpdateLogsService,TaskUpdateLogsEntity,Long> {

    @Autowired
    private ParamService paramService;

    public TaskUpdateLogsController(){
        super.setModuleDesc( "etl-任务更新日志");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "deleted", DeletedEnum.getEnumMap());
        super.init(model, context);
    }


}